ChangeSet@1.2422.1.4, 2007-02-08 01:05:19-06:00, csun@csun-rh.mysql.com +1 -0
  bug#26161 - Falcon assertion on startup with tc.log
  
  To avoid the assertion, it is needed to make the "prepare" conditional. The previous cset was not correct.

  storage/falcon/ha_falcon.cpp@1.113, 2007-02-08 01:05:17-06:00, csun@csun-rh.mysql.com +3 -2
    Previous Cset was not the right one - make "prepare" conditional.

ChangeSet@1.2422.1.3, 2007-02-07 16:15:08-06:00, klewis@klewis-mysql. +2 -0
  Restructured XA support conditional so only the "prepare" call in the handlerton is conditional.

  storage/falcon/ha_falcon.cpp@1.112, 2007-02-07 16:14:54-06:00, klewis@klewis-mysql. +1 -3
    Restructured XA support conditional so only the "prepare" call in the handlerton is conditional.

  storage/falcon/ha_falcon.h@1.23, 2007-02-07 16:15:02-06:00, klewis@klewis-mysql. +0 -2
    Restructured XA support conditional so only the "prepare" call in the handlerton is conditional.

ChangeSet@1.2422.1.2, 2007-02-05 18:16:49-06:00, klewis@klewis-mysql. +13 -0
  1) Set Transaction::hasUpdates only when the transaction really receives 
  changes that may need to be committed.
    A. When a record object is added to the transaction.
    B. When an index is created.
    C. When Database::deleteSection is called for a transaction.
  This flag lets Transaction::commit call SRLCommit::append() to add a 
  commit record to the serial log.  The gopher thread will see this and call 
  Transaction::writeComplete(void) when it is done with the transaction.
  hasUpdates in NOT set when a single node is added to a DeferredIndex.  
  We wait until the associated record is added to the transaction.
  2) To make sure that writeComplete can find the transaction pointer, 
  it is sent into SRLCommit::append() to be stored in the associated 
  SerialLogTransaction.
  3) Back in Transaction::commit(), if hasUpdates is false, instead of 
  just setting WritePending to false, call writeComplete() to do that, 
  which has the added benefit of droppong all deferredIndexes.  
  The index might contain an index entry after an update conflict 
  since the indexes are updated first.

  storage/falcon/Database.cpp@1.45, 2007-02-05 18:15:51-06:00, klewis@klewis-mysql. +7 -4
    Send the transaction pointer into SRLcommit::append() so that the
    SerialLogTransaction can be always linked to the transaction.  

  storage/falcon/Database.h@1.20, 2007-02-05 18:16:01-06:00, klewis@klewis-mysql. +1 -1
    Send the transaction pointer into SRLcommit::append() so that the
    SerialLogTransaction can be always linked to the transaction.

  storage/falcon/Dbb.cpp@1.48, 2007-02-05 18:16:13-06:00, klewis@klewis-mysql. +3 -3
    Send the transaction pointer into SRLcommit::append() so that the
    SerialLogTransaction can be always linked to the transaction.

  storage/falcon/Dbb.h@1.26, 2007-02-05 18:16:16-06:00, klewis@klewis-mysql. +1 -1
    Send the transaction pointer into SRLcommit::append() so that the
    SerialLogTransaction can be always linked to the transaction.

  storage/falcon/DeferredIndex.cpp@1.13, 2007-02-05 18:16:20-06:00, klewis@klewis-mysql. +2 -2
    Name change

  storage/falcon/DeferredIndex.h@1.10, 2007-02-05 18:16:22-06:00, klewis@klewis-mysql. +1 -1
    Name change

  storage/falcon/SRLCommit.cpp@1.10, 2007-02-05 18:16:25-06:00, klewis@klewis-mysql. +12 -11
    Send the transaction pointer into SRLcommit::append() so that the
    SerialLogTransaction can be always linked to the transaction.  
    The transactin object pointed to will not go away since 
    writePending is true.

  storage/falcon/SRLCommit.h@1.5, 2007-02-05 18:16:28-06:00, klewis@klewis-mysql. +2 -1
    Send the transaction pointer into SRLcommit::append() so that the
    SerialLogTransaction can be always linked to the transaction.

  storage/falcon/SRLRecordStub.cpp@1.8, 2007-02-05 18:16:30-06:00, klewis@klewis-mysql. +3 -3
    cleanup

  storage/falcon/Statement.cpp@1.12, 2007-02-05 18:16:33-06:00, klewis@klewis-mysql. +0 -1
    Do not set hasUpdates too soon.

  storage/falcon/StorageConnection.h@1.15, 2007-02-05 18:16:35-06:00, klewis@klewis-mysql. +3 -3
    Cleanup

  storage/falcon/Table.cpp@1.62, 2007-02-05 18:16:38-06:00, klewis@klewis-mysql. +2 -7
    Do not set hasUpdates too soon.  Set Transaction::hasUpdates only when the 
    transaction really receives changes that may need to be committed.
      A. When a record object is added to the transaction.
      B. When an index is created.
      C. When Database::deleteSection is called for a transaction.

  storage/falcon/Transaction.cpp@1.52, 2007-02-05 18:16:41-06:00, klewis@klewis-mysql. +10 -8
    1. Use isActive() to see if a transaction is active.
    2. In Transaction::commit(), if hasUpdates is false, instead of just setting 
    WritePending to false, call writeComplete() to do that, which has the added 
    benefit of droppong all deferredIndexes.  The index might contain an index 
    entry after an update conflict since the indexes are updated first.
    3. In getRelativeState(), if our isolation is read-committed, we should 
    always return CommittedButOlder if the other trans is committed. 

ChangeSet@1.2422.1.1, 2007-02-05 20:32:56+01:00, mleich@three.local.lan +2 -0
  Repair test myisam_select
  - add missing file with expected results
  - add comment

  mysql-test/r/myisam_select.result@1.1, 2007-02-05 20:32:51+01:00, mleich@three.local.lan +3309 -0
    Add missing file with expected results

  mysql-test/r/myisam_select.result@1.0, 2007-02-05 20:32:51+01:00, mleich@three.local.lan +0 -0

  mysql-test/t/myisam_select.test@1.2, 2007-02-05 20:32:51+01:00, mleich@three.local.lan +11 -0
    Add comment about history and future of this test

ChangeSet@1.2424, 2007-02-05 19:47:49+01:00, df@kahlann.erinye.com +1 -0
  fix changelog order in rpm spec file

  support-files/mysql.spec.sh@1.179, 2007-02-05 19:47:47+01:00, df@kahlann.erinye.com +5 -5
    fix changelog order in spec file

ChangeSet@1.2423, 2007-02-05 19:43:05+01:00, df@kahlann.erinye.com +1 -0
  raise version number after clone-off

  configure.in@1.425, 2007-02-05 19:43:03+01:00, df@kahlann.erinye.com +1 -1
     raise version number after clone-off

ChangeSet@1.2422, 2007-02-05 17:18:20+01:00, guilhem@gbichot3.local +2 -0
  Fix for BUG#25835 "Falcon: assertion on startup".
  Now that we have two XA-capable engines (Falcon and InnoDB) (precisely,
  two which have a non-zero "prepare" method), if the binlog is not enabled
  (which is not detectable in the mysql-test testsuite which always
  enables the binlog), then a mmap-based log is used for tracking
  which transactions committed or prepared.
  The crash was due to that log being created with a name derived from
  the argument of --log-bin (which is incorrect as --log-bin was not
  specified). In this case we use the mandatory argument of --log-tc,
  which has a default of "tc.log", as the name of this mmap-based log.
  Also, the access modes of that log were wrong and so mysqld
  failed to write to it.
  TAG: mysql-5.2.2-falcon-alpha
  TAG: mysql-5.2.2-falcon-alpha-build
  TAG: clone-mysql-5.2.2-falcon-alpha-build

  sql/log.cc@1.254, 2007-02-05 17:18:17+01:00, guilhem@gbichot3.local +1 -1
    fixing wrong order of arguments to my_create()
    (3rd param is the desired modes of the file; "0" lead to no rights
    for anybody on the file).

  sql/mysqld.cc@1.590, 2007-02-05 17:18:18+01:00, guilhem@gbichot3.local +1 -1
    When opening/creating the transaction coordinator's log, if binlog is
    used, the tc log is the binlog so we use the binlog's name; otherwise
    we use the mmap-based log, named after the mandatory argument of the
    --log-tc option (meant for that).

ChangeSet@1.2419.1.1, 2007-02-02 18:34:37-05:00, jas@rowvwade. +5 -0
  Sketched in push down conditions (doesn't do anything) and alter tablespace
  (ditto).  Also conditionalized XA support to avoid crashing the server.

  storage/falcon/StorageDatabase.cpp@1.41, 2007-02-02 18:34:28-05:00, jas@rowvwade. +0 -108
    Deleted some dead code.

  storage/falcon/StorageHandler.cpp@1.11, 2007-02-02 18:34:29-05:00, jas@rowvwade. +73 -0
    Starting fleshing in Falcon's data dictionary (necessary for tablespaces).

  storage/falcon/StorageHandler.h@1.8, 2007-02-02 18:34:29-05:00, jas@rowvwade. +12 -7
    Starting fleshing in Falcon's data dictionary (necessary for tablespaces).

  storage/falcon/ha_falcon.cpp@1.111, 2007-02-02 18:34:30-05:00, jas@rowvwade. +45 -2
    Sketched in push down conditions (doesn't do anything) and alter tablespace
    (ditto).  Also conditionalized XA support to avoid crashing the server.

  storage/falcon/ha_falcon.h@1.22, 2007-02-02 18:34:30-05:00, jas@rowvwade. +9 -1
    Sketched in push down conditions (doesn't do anything) and alter tablespace
    (ditto).  Also conditionalized XA support to avoid crashing the server.

ChangeSet@1.2417.1.1, 2007-02-01 18:19:26-05:00, jas@fluffy.netfrastructure.com +1 -0
  Replace "const UCHAR*" in Falcon interface modules with 
  "const unsigned char*" to Linux compilability.

  storage/falcon/StorageHandler.h@1.7, 2007-02-01 18:19:23-05:00, jas@fluffy.netfrastructure.com +3 -3
    Replace "const UCHAR*" in Falcon interface modules with 
    "const unsigned char*" to Linux compilability.

ChangeSet@1.2414.1.1, 2007-01-31 20:13:17-08:00, brian@zim.(none) +1 -0
  Reworked a section of code that caused valgrind errors (and that partitioning was not happy about). 

  storage/archive/ha_archive.cc@1.128, 2007-01-31 20:13:12-08:00, brian@zim.(none) +14 -7
    Put checks around the code

ChangeSet@1.2417, 2007-01-31 18:45:33-05:00, jas@fluffy.netfrastructure.com +2 -0
  Changed a few "const UCHAR*"s to "const unsigned char*" in
  the Falcon interface modules to compile on Linux.

  mysql-test/t/myisam_select.test@1.1, 2007-01-17 13:35:02-05:00, jas@fluffy.netfrastructure.com +2775 -0
    BitKeeper file /home/jas/mysql-falcon/mysql-test/t/myisam_select.test

  mysql-test/t/myisam_select.test@1.0, 2007-01-17 13:35:02-05:00, jas@fluffy.netfrastructure.com +0 -0

  storage/falcon/StorageConnection.h@1.14, 2007-01-31 18:45:31-05:00, jas@fluffy.netfrastructure.com +1 -1
    Changed a few "const UCHAR*"s to "const unsigned char*" in
    the Falcon interface modules to compile on Linux.

ChangeSet@1.2403.2.10, 2007-01-31 16:43:15-05:00, jas@rowvwade. +19 -0
  Added support for transaction xid (XA transaction ids) to Falcon.  This includes
  tracking xids through transaction prepare operations, logging and recovering xids,
  and commit / rollback by xid for post crash recovery.

  storage/falcon/Connection.cpp@1.6, 2007-01-31 16:43:00-05:00, jas@rowvwade. +14 -2
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/Connection.h@1.5, 2007-01-31 16:43:00-05:00, jas@rowvwade. +4 -1
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/Database.cpp@1.44, 2007-01-31 16:43:01-05:00, jas@rowvwade. +12 -0
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/Database.h@1.19, 2007-01-31 16:43:01-05:00, jas@rowvwade. +2 -0
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/IndexPage.cpp@1.33, 2007-01-31 16:43:01-05:00, jas@rowvwade. +4 -2
    Insignificant change for logical clarity.

  storage/falcon/SerialLog.cpp@1.57, 2007-01-31 16:43:02-05:00, jas@rowvwade. +48 -1
    Added log message for presence of limbo transactions from recovery.  More
    work must be done to handle this situation in a rational and sane manner.

  storage/falcon/SerialLog.h@1.26, 2007-01-31 16:43:02-05:00, jas@rowvwade. +3 -1
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/SerialLogTransaction.cpp@1.14, 2007-01-31 16:43:03-05:00, jas@rowvwade. +8 -0
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/SerialLogTransaction.h@1.8, 2007-01-31 16:43:04-05:00, jas@rowvwade. +1 -0
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/Server.cpp@1.4, 2007-01-31 16:43:04-05:00, jas@rowvwade. +1 -1
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/StorageConnection.cpp@1.20, 2007-01-31 16:43:04-05:00, jas@rowvwade. +2 -2
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/StorageConnection.h@1.13, 2007-01-31 16:43:05-05:00, jas@rowvwade. +1 -1
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/StorageHandler.cpp@1.10, 2007-01-31 16:43:05-05:00, jas@rowvwade. +4 -4
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/StorageHandler.h@1.6, 2007-01-31 16:43:05-05:00, jas@rowvwade. +3 -3
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/Transaction.cpp@1.51, 2007-01-31 16:43:06-05:00, jas@rowvwade. +15 -1
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/Transaction.h@1.25, 2007-01-31 16:43:06-05:00, jas@rowvwade. +4 -2
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/TransactionManager.cpp@1.3, 2007-01-31 16:43:07-05:00, jas@rowvwade. +42 -0
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/TransactionManager.h@1.3, 2007-01-31 16:43:07-05:00, jas@rowvwade. +2 -0
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

  storage/falcon/ha_falcon.cpp@1.110, 2007-01-31 16:43:07-05:00, jas@rowvwade. +3 -3
    Added support for transaction xid (XA transaction ids) to Falcon.  This includes
    tracking xids through transaction prepare operations, logging and recovering xids,
    and commit / rollback by xid for post crash recovery.

ChangeSet@1.2414, 2007-01-30 16:15:22-07:00, peterg@linux.site +1 -0
  Changed comments before functions to Doxygen style.

  sql/handler.cc@1.234.1.58, 2007-01-30 16:15:18-07:00, peterg@linux.site +75 -99
    Changed comments before functions to Doxygen style.

ChangeSet@1.2403.1.7, 2007-01-29 13:17:30-08:00, brian@zim.(none) +3 -0
  Extended mysqlslap.c for auto tests (see the comment on the mysqlslap.c file). I also fixed a bug where limit was not being reached. 

  client/client_priv.h@1.63, 2007-01-29 13:17:27-08:00, brian@zim.(none) +2 -0
    More options

  client/mysqlslap.c@1.41, 2007-01-29 13:17:27-08:00, brian@zim.(none) +65 -21
    Extended the auto-sql in the following ways:
    1) You can now specify a load type of either "mixed", "read", or "write". Not great, but a definite improvement.
    2) A new option allows you to specify how many rows are inserted for the "read" load. 
    
    I also fixed a bug where limit was not being reached by running threads. 

  mysql-test/r/mysqlslap.result@1.10, 2007-01-29 13:17:27-08:00, brian@zim.(none) +2 -0
    Updated results

ChangeSet@1.2403.2.9, 2007-01-29 14:07:03-05:00, jas@rowvwade. +1 -0
  Undo activation of on line add index due to server bug.

  storage/falcon/ha_falcon.cpp@1.109, 2007-01-29 14:06:56-05:00, jas@rowvwade. +1 -1
    Undo activation of on line add index due to server bug.

ChangeSet@1.2403.2.8, 2007-01-29 11:39:22-05:00, jas@rowvwade. +1 -0
  Activate support for online add index.

  storage/falcon/ha_falcon.cpp@1.108, 2007-01-29 11:39:16-05:00, jas@rowvwade. +4 -2
    Activate support for online add index.

ChangeSet@1.2409.1.3, 2007-01-29 10:17:47+01:00, df@kahlann.erinye.com +1 -0
  raise version number after clone-off

  configure.in@1.424, 2007-01-29 10:17:45+01:00, df@kahlann.erinye.com +1 -1
    raise version number after clone-off

ChangeSet@1.2409.1.2, 2007-01-27 00:52:56+01:00, hakank@lu0008.wdf.sap.corp +9 -0
  After merge fix.
  TAG: clone-5.2.1-falcon-alpha-build

  mysql-test/t/falcon_bug_201.test@1.2, 2007-01-27 00:52:49+01:00, hakank@lu0008.wdf.sap.corp +2 -2
    After merge fix.

  mysql-test/t/falcon_bug_205.test@1.2, 2007-01-27 00:52:49+01:00, hakank@lu0008.wdf.sap.corp +2 -3
    After merge fix.

  mysql-test/t/falcon_bug_218.test@1.2, 2007-01-27 00:52:49+01:00, hakank@lu0008.wdf.sap.corp +2 -3
    After merge fix.

  mysql-test/t/falcon_bug_226.test@1.5, 2007-01-27 00:52:49+01:00, hakank@lu0008.wdf.sap.corp +2 -2
    After merge fix.

  mysql-test/t/falcon_bug_233.test@1.4, 2007-01-27 00:52:49+01:00, hakank@lu0008.wdf.sap.corp +2 -2
    After merge fix.

  mysql-test/t/falcon_bug_23945.test@1.2, 2007-01-27 00:52:49+01:00, hakank@lu0008.wdf.sap.corp +2 -2
    After merge fix.

  mysql-test/t/falcon_bug_24079.test@1.3, 2007-01-27 00:52:49+01:00, hakank@lu0008.wdf.sap.corp +6 -6
    After merge fix.

  mysql-test/t/falcon_bugs.test@1.32, 2007-01-27 00:52:49+01:00, hakank@lu0008.wdf.sap.corp +6 -6
    After merge fix.

  mysql-test/t/falcon_bugs2.test@1.5, 2007-01-27 00:52:49+01:00, hakank@lu0008.wdf.sap.corp +1 -1
    After merge fix.

ChangeSet@1.2403.1.6, 2007-01-26 15:36:39-08:00, brian@zim.(none) +6 -0
  Two things:
  1) Two small windows cleanups for Archive.
  2) Patch from Calvin for Falcon to be able to have its own I_S loaded. One example added for this, does hello world. 

  include/mysql/plugin.h@1.26, 2007-01-26 15:36:36-08:00, brian@zim.(none) +19 -1
    Added new I_S type. 

  mysql-test/r/archive.result@1.29, 2007-01-26 15:36:36-08:00, brian@zim.(none) +1 -1
    Fixed not dropped table. 

  mysql-test/t/archive.test@1.30, 2007-01-26 15:36:36-08:00, brian@zim.(none) +1 -1
    Added additional drop table

  sql/sql_plugin.cc@1.43, 2007-01-26 15:36:36-08:00, brian@zim.(none) +16 -5
    Adding support in for the I_S. 

  sql/sql_show.cc@1.386.1.1, 2007-01-26 15:36:36-08:00, brian@zim.(none) +147 -4
    Added schema type for plugin I_S. Additional loops were added to pop these on to the end of requests. 

  storage/archive/ha_archive.cc@1.127, 2007-01-26 15:36:36-08:00, brian@zim.(none) +2 -2
    Windwos typo

ChangeSet@1.2403.1.5, 2007-01-26 14:17:45-08:00, brian@zim.(none) +3 -0
  For performance reasons we remove the ability in unique indexes on autoincrements to remove the ability to insert key lower then the current autoincrement value.

  mysql-test/r/archive.result@1.28, 2007-01-26 14:17:42-08:00, brian@zim.(none) +1 -1
    Modified error output

  mysql-test/t/archive.test@1.29, 2007-01-26 14:17:42-08:00, brian@zim.(none) +1 -0
    Fix for the change in behavior

  storage/archive/ha_archive.cc@1.126, 2007-01-26 14:17:42-08:00, brian@zim.(none) +5 -5
    ifdef of the search record code

ChangeSet@1.2403.2.7, 2007-01-26 17:05:04-05:00, jas@rowvwade. +8 -0
  Got general backwards compatibility / in-place upgrade working from Netfrastructure V2.7.

  storage/falcon/Dbb.cpp@1.47, 2007-01-26 17:04:55-05:00, jas@rowvwade. +35 -3
    Added in place upgrade for sequence section for V2.7 to V3.0 conversion.

  storage/falcon/Dbb.h@1.25, 2007-01-26 17:04:55-05:00, jas@rowvwade. +2 -1
    Added in place upgrade for sequence section for V2.7 to V3.0 conversion.

  storage/falcon/Engine.vcproj@1.10, 2007-01-26 17:04:55-05:00, jas@rowvwade. +67 -67
    Brought build up to snuff.

  storage/falcon/Index.cpp@1.30, 2007-01-26 17:04:56-05:00, jas@rowvwade. +2 -1
    Added index root caching to retro-indexes.

  storage/falcon/Index2RootPage.cpp@1.5, 2007-01-26 17:04:56-05:00, jas@rowvwade. +180 -38
    Re-cloned retro-index code from current index code.

  storage/falcon/Index2RootPage.h@1.3, 2007-01-26 17:04:57-05:00, jas@rowvwade. +8 -3
    Re-cloned retro-index code from current index code.

  storage/falcon/Record.cpp@1.21, 2007-01-26 17:04:57-05:00, jas@rowvwade. +9 -3
    Don't copy strings when extracting data from legacy format records.

  storage/falcon/RepositoryVolume.cpp@1.7, 2007-01-26 17:04:57-05:00, jas@rowvwade. +2 -2
    Re-cloned retro-index code from current index code.

ChangeSet@1.2403.8.2, 2007-01-26 11:15:16-08:00, brian@zim.(none) +3 -0
  This fixes a bug in show create table displaying auto_increment field when it should not.
  It also refactors the test case for Archive (removed two bad tests).

  mysql-test/r/archive.result@1.27, 2007-01-26 11:15:13-08:00, brian@zim.(none) +77 -48
    refactor archive test

  mysql-test/t/archive.test@1.28, 2007-01-26 11:15:13-08:00, brian@zim.(none) +44 -29
    Large  refactoring of Archive test

  storage/archive/ha_archive.cc@1.125, 2007-01-26 11:15:13-08:00, brian@zim.(none) +12 -35
    Updated comments.
    Added NULL packing hack
    Fixed bug in wrong display of auto increment in show create table

ChangeSet@1.2403.8.1, 2007-01-26 10:17:53-08:00, brian@zim.(none) +2 -0
  Fixed a warning. Added the -A option so that the autoincrement could be set outside of the file.

  storage/archive/archive_reader.c@1.7, 2007-01-26 10:17:50-08:00, brian@zim.(none) +41 -5
    Add option to autoincrement file.

  storage/archive/ha_archive.cc@1.124, 2007-01-26 10:17:50-08:00, brian@zim.(none) +2 -2
    Fixed warning

ChangeSet@1.2403.1.2, 2007-01-25 18:43:40-08:00, brian@zim.(none) +2 -0
  Made the example actually do something :)
  
  It now demonstrates creating its own thread and shows off how to clean up after itself (creates a really simple heartbeat file)

  plugin/daemon_example/Makefile.am@1.3, 2007-01-25 18:43:36-08:00, brian@zim.(none) +5 -3
    Added additional include

  plugin/daemon_example/daemon_example.cc@1.4, 2007-01-25 18:43:36-08:00, brian@zim.(none) +112 -5
    Created heart beat code. 

  plugin/daemon_example/daemon_example.cc@1.3, 2007-01-24 13:13:29-08:00, brian@zim.(none) +0 -0
    Rename: plugin/daemon_example/daemon_example.c -> plugin/daemon_example/daemon_example.cc

ChangeSet@1.2403.5.4, 2007-01-25 18:19:49+01:00, dfischer@mysql.com +1 -0
  Raise version number after cloning 5.1.15-beta

  configure.in@1.421.1.1, 2007-01-25 18:19:42+01:00, dfischer@mysql.com +1 -1
    Raise version number after cloning 5.1.15-beta

ChangeSet@1.2403.7.1, 2007-01-25 16:33:49+01:00, hakank@lu0008.wdf.sap.corp +1 -0
  Activated unicode related tests which are not failing anymore.

  mysql-test/t/disabled.def@1.264, 2007-01-25 16:33:40+01:00, hakank@lu0008.wdf.sap.corp +3 -11
    Activated unicode related tests which are not failing anymore.

ChangeSet@1.2403.5.3, 2007-01-25 13:12:02+01:00, jani@bk-internal.mysql.com +1 -0
  SETUP.sh:
    Don't use -Wshadow by default yet
  TAG: clone-5.1.15-build

  BUILD/SETUP.sh@1.68, 2007-01-25 13:11:47+01:00, jani@bk-internal.mysql.com +1 -1
    Don't use -Wshadow by default yet

ChangeSet@1.2403.2.4, 2007-01-25 12:34:12+01:00, hakank@lu0008.wdf.sap.corp +4 -0
  Post merge fix (revert).

  BitKeeper/deleted/.del-taocrypt.vcproj@1.2, 2007-01-25 12:08:52+01:00, hakank@lu0008.wdf.sap.corp +0 -0
    Delete: extra/yassl/taocrypt/taocrypt.vcproj

  extra/yassl/taocrypt/taocrypt.vcproj@1.1, 2007-01-25 12:07:58+01:00, hakank@lu0008.wdf.sap.corp +626 -0
    BitKeeper file /home/hakan/work/mysql/mysql-5.1-falcon-to-merge/extra/yassl/taocrypt/taocrypt.vcproj

  extra/yassl/taocrypt/taocrypt.vcproj@1.0, 2007-01-25 12:07:58+01:00, hakank@lu0008.wdf.sap.corp +0 -0

  BitKeeper/deleted/.del-yassl.vcproj@1.2, 2007-01-25 12:12:36+01:00, hakank@lu0008.wdf.sap.corp +0 -0
    Delete: extra/yassl/yassl.vcproj

  extra/yassl/Makefile.am@1.12, 2007-01-25 12:34:07+01:00, hakank@lu0008.wdf.sap.corp +1 -5
    Post merge fix (revert).

  extra/yassl/taocrypt/Makefile.am@1.11, 2007-01-25 12:34:07+01:00, hakank@lu0008.wdf.sap.corp +1 -4
    Post merge fix (revert).

ChangeSet@1.2403.3.4, 2007-01-25 11:24:35+01:00, hakank@lu0008.wdf.sap.corp +1 -0
  After merge fix.

  extra/yassl/yassl.vcproj@1.1, 2007-01-25 11:22:52+01:00, hakank@lu0008.wdf.sap.corp +425 -0
    BitKeeper file /home/hakan/work/mysql/mysql-5.1-falcon/extra/yassl/yassl.vcproj

  extra/yassl/yassl.vcproj@1.0, 2007-01-25 11:22:52+01:00, hakank@lu0008.wdf.sap.corp +0 -0

ChangeSet@1.2403.3.3, 2007-01-25 10:29:13+01:00, hakank@lu0008.wdf.sap.corp +1 -0
  After merge fix.

  mysql-test/r/index_merge_falcon.result@1.2, 2007-01-25 10:29:04+01:00, hakank@lu0008.wdf.sap.corp +11 -0
    After merge fix.

ChangeSet@1.2401.1.7, 2007-01-25 10:00:09+03:00, sergefp@mysql.com +3 -0
  BUG#24127: merge: update tests results

  mysql-test/r/ndb_subquery.result@1.7, 2007-01-25 10:00:05+03:00, sergefp@mysql.com +2 -2
    BUG#24127: merge: update tests results

  mysql-test/r/subselect.result@1.163, 2007-01-25 10:00:05+03:00, sergefp@mysql.com +15 -15
    BUG#24127: merge: update tests results

  mysql-test/r/subselect3.result@1.4, 2007-01-25 10:00:05+03:00, sergefp@mysql.com +27 -26
    BUG#24127: merge: update tests results

ChangeSet@1.2401.2.1, 2007-01-25 11:17:51+07:00, tomas@poseidon.mysql.com +2 -0
  ndb:
  - added extra cluster connect inicator bit for better handeling of delacation of event operations on cluster disconnect
  - added extra assert to try to track down valgrind issue

  storage/ndb/src/ndbapi/NdbEventOperationImpl.cpp@1.77, 2007-01-25 11:17:41+07:00, tomas@poseidon.mysql.com +16 -1
    ndb:
    - added extra cluster connect inicator bit for better handeling of delacation of event operations on cluster disconnect
    - added extra assert to try to track down valgrind issue

  storage/ndb/src/ndbapi/NdbEventOperationImpl.hpp@1.34, 2007-01-25 11:17:41+07:00, tomas@poseidon.mysql.com +2 -0
    ndb:
    - added extra cluster connect inicator bit for better handeling of delacation of event operations on cluster disconnect
    - added extra assert to try to track down valgrind issue

ChangeSet@1.2403.3.2, 2007-01-25 01:28:22+01:00, hakank@lu0008.wdf.sap.corp +2 -0
  After merge fix.

  mysql-test/r/falcon_bugs.result@1.33, 2007-01-25 01:28:16+01:00, hakank@lu0008.wdf.sap.corp +1 -1
    After merge fix.

  mysql-test/r/view.result@1.197.2.2, 2007-01-25 01:28:16+01:00, hakank@lu0008.wdf.sap.corp +4 -4
    After merge fix.

ChangeSet@1.1810.2520.3, 2007-01-25 02:27:28+03:00, sergefp@mysql.com +1 -0
  BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...):
  Fixed typo problem that surfaced after the merge

  sql/sql_select.cc@1.312.1.173, 2007-01-25 02:27:26+03:00, sergefp@mysql.com +2 -2
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...):
    Fixed typo problem that surfaced after the merge

ChangeSet@1.2343.72.3, 2007-01-24 18:15:47-05:00, jas@rowvwade. +2 -0
  Minor re-organization for clarity.

  storage/falcon/ha_falcon.cpp@1.105.1.1, 2007-01-24 18:15:41-05:00, jas@rowvwade. +4 -0
    Essentially, a no-op.  Maybe someday it will do something.

  storage/falcon/ha_falcon.h@1.21, 2007-01-24 18:15:42-05:00, jas@rowvwade. +4 -3
    Reorganization for clarity.

ChangeSet@1.2343.72.2, 2007-01-24 18:07:23-05:00, jas@rowvwade. +1 -0
  Fixed a data page space allocation bug where the amount of free space on a page (none) was
  confused with an empty page.

  storage/falcon/DataPage.cpp@1.14, 2007-01-24 18:07:17-05:00, jas@rowvwade. +3 -0
    When deleting a zero length blob from a completely full data page, DataPage::deleteLine()
    was correctly returning the number of available byte -- zero -- without considering that
    zero means the page is empty and should be deleted.  In short, the code stupidly assumed
    that deleting a record on a page should result in free space.  Silly body.

ChangeSet@1.2343.33.68, 2007-01-24 23:50:48+01:00, hakank@lu0008.wdf.sap.corp +7 -0
  hand merge

  extra/yassl/Makefile.am@1.10, 2007-01-24 23:50:42+01:00, hakank@lu0008.wdf.sap.corp +5 -1
    hand merge

  extra/yassl/taocrypt/Makefile.am@1.9, 2007-01-24 23:50:42+01:00, hakank@lu0008.wdf.sap.corp +4 -1
    hand merge

  mysql-test/r/warnings.result@1.56, 2007-01-24 23:50:42+01:00, hakank@lu0008.wdf.sap.corp +1 -8
    hand merge

  mysql-test/t/disabled.def@1.262, 2007-01-24 23:50:43+01:00, hakank@lu0008.wdf.sap.corp +6 -4
    hand merge

  sql/CMakeLists.txt@1.30, 2007-01-24 23:50:43+01:00, hakank@lu0008.wdf.sap.corp +18 -7
    hand merge

  sql/log_event.cc@1.252.5.3, 2007-01-24 23:50:43+01:00, hakank@lu0008.wdf.sap.corp +133 -84
    hand merge

  sql/set_var.cc@1.198, 2007-01-24 23:50:43+01:00, hakank@lu0008.wdf.sap.corp +97 -19
    hand merge

ChangeSet@1.2372.4.7, 2007-01-24 14:40:39-07:00, malff@weblab.(none) +4 -0
  Bug#21029 (Dependencies between sql_yacc.cc and dependent headers not detected)
  
  The build scripts in general, using automake, autoconf, etc, contain several
  special commands and work around all related to the way the bison code in the
  parser is built, for sql/sql_yacc.yy. These work arounds, accumulated over
  time during development, ultimately cause the build scripts to be unstable
  and cause build defects by not enforcing dependencies.
  
  This fix simplifies the build process and aligns it with the automake tooling,
  which provides native support for bison and *.yy files.
  
  In particular, the following problem have been fixed:
  - dependencies with sql_yacc.cc were not honored (Bug 21029), leading to
    corrupted builds,
  - the work around introduced by Bug 24557, to cleanup the generated files
    sql_yacc.h and sql_yacc.cc, has been removed,
  - the generated makefile, in a source distribution, used to destroy the files
    sql_yacc.h and sql_yacc.cc on a 'make clean' target. This has been fixed:
    these files are now removed by make maintainer-clean.
  - The root cause of the problem found with gcc 4.1 (see Bug 24619) has been
    clearly documented, and the "sed" hack has been replaced by a cleaner
    work around, when building the code with bison 1.875.
  - Removed the file sql/sql_yacc.yy.bak, added by WL 3031 by accident.
  - Removed the unnecessary AM_YFLAG= --debug introduced by WL 3432, since
    the compiling option DBUG_OFF takes precedence when setting YYDEBUG.

  BitKeeper/deleted/.del-sql_yacc.yy.bak@1.3, 2007-01-24 14:39:20-07:00, malff@weblab.(none) +0 -0
    Rename: sql/sql_yacc.yy.bak -> BitKeeper/deleted/.del-sql_yacc.yy.bak

  Makefile.am@1.106.1.3, 2007-01-24 14:40:37-07:00, malff@weblab.(none) +0 -8
    General cleanup of the build process for sql_yacc.yy

  sql/Makefile.am@1.170.1.1, 2007-01-24 14:40:37-07:00, malff@weblab.(none) +6 -22
    General cleanup of the build process for sql_yacc.yy

  sql/sql_yacc.yy@1.529.1.1, 2007-01-24 14:40:37-07:00, malff@weblab.(none) +22 -0
    General cleanup of the build process for sql_yacc.yy

ChangeSet@1.1810.2520.2, 2007-01-24 22:23:50+03:00, sergefp@mysql.com +3 -0
  BUG#24127: merge fixes: If subselect is a union, dont allocate several 
  identical pushed_cond_guards arrays. Allocate only one always.

  mysql-test/r/subselect.result@1.134.1.37, 2007-01-24 22:23:47+03:00, sergefp@mysql.com +3 -3
    BUG#24127: merge

  mysql-test/t/subselect3.test@1.4, 2007-01-24 22:23:47+03:00, sergefp@mysql.com +0 -1
    BUG#24127: merge

  sql/item_subselect.cc@1.113.1.36, 2007-01-24 22:23:47+03:00, sergefp@mysql.com +2 -2
    BUG#24127: merge fixes: If subselect is a union, dont allocate several 
    identical pushed_cond_guards arrays. Allocate only one always.

ChangeSet@1.1810.2519.4, 2007-01-24 22:11:27+03:00, dlenev@mockturtle.local +1 -0
  Disabling back im_daemon_life_cycle.test, which was temporarily enabled in
  the team tree for additional investigation.

  mysql-test/t/disabled.def@1.2.4.21, 2007-01-24 22:11:25+03:00, dlenev@mockturtle.local +1 -0
    Disabling back im_daemon_life_cycle.test, which was temporarily enabled in
    the team tree for additional investigation.

ChangeSet@1.2395.2.1, 2007-01-24 10:30:06-08:00, brian@zim.(none) +5 -0
  This patch passes comment to be embedded in ARZ.
  Fixes autodiscovery of tables. 
  Allows the FRM to be extracted from the ARZ file via archive_reader. 

  storage/archive/archive_reader.c@1.6, 2007-01-24 10:30:03-08:00, brian@zim.(none) +50 -1
    Extract FRM command added.
    We now print the embedded comment

  storage/archive/archive_test.c@1.10, 2007-01-24 10:30:03-08:00, brian@zim.(none) +25 -3
    Additional tests for FRM annd comment

  storage/archive/azio.c@1.15, 2007-01-24 10:30:03-08:00, brian@zim.(none) +81 -4
    Filled in functionality for comment and frm.

  storage/archive/azlib.h@1.10, 2007-01-24 10:30:03-08:00, brian@zim.(none) +24 -10
    Refactored position.

  storage/archive/ha_archive.cc@1.123, 2007-01-24 10:30:04-08:00, brian@zim.(none) +98 -23
    Discovery mechanism filled in. 

ChangeSet@1.2401.1.3, 2007-01-24 20:11:36+04:00, gluh@mysql.com +1 -0
  after merge fix

  mysql-test/t/view.test@1.177.1.2, 2007-01-24 20:11:34+04:00, gluh@mysql.com +14 -17
    after merge fix

ChangeSet@1.2343.33.67, 2007-01-24 15:57:38+01:00, hakank@lu0008.wdf.sap.corp +1 -0
  falcon_bug_24511 passes now.

  mysql-test/t/disabled.def@1.261, 2007-01-24 15:57:30+01:00, hakank@lu0008.wdf.sap.corp +1 -1
    falcon_bug_24511 passes now.

ChangeSet@1.2372.29.2, 2007-01-24 15:45:41+01:00, istruewing@chilla.local +1 -0
  After merge fix

  mysql-test/r/myisam.result@1.102.1.2, 2007-01-24 15:45:11+01:00, istruewing@chilla.local +1 -0
    After merge fix

ChangeSet@1.2389.1.5, 2007-01-24 15:55:16+02:00, gkodinov@macbook.gmz +7 -0
  merge of 5.0-opt -> 5.1-opt

  mysql-test/r/func_in.result@1.32.1.2, 2007-01-24 15:54:58+02:00, gkodinov@macbook.gmz +3 -46
    merge of 5.0-opt -> 5.1-opt

  mysql-test/r/func_str.result@1.136, 2007-01-24 15:54:59+02:00, gkodinov@macbook.gmz +6 -6
    merge of 5.0-opt -> 5.1-opt

  mysql-test/r/range.result@1.51.1.2, 2007-01-24 15:55:00+02:00, gkodinov@macbook.gmz +1 -1
    merge of 5.0-opt -> 5.1-opt

  mysql-test/r/view.result@1.194.2.2, 2007-01-24 15:55:01+02:00, gkodinov@macbook.gmz +44 -10
    merge of 5.0-opt -> 5.1-opt

  mysql-test/t/func_in.test@1.24.1.2, 2007-01-24 15:55:01+02:00, gkodinov@macbook.gmz +36 -34
    merge of 5.0-opt -> 5.1-opt

  sql/item_strfunc.cc@1.308, 2007-01-24 15:55:02+02:00, gkodinov@macbook.gmz +0 -13
    merge of 5.0-opt -> 5.1-opt

  sql/item_strfunc.h@1.125, 2007-01-24 15:55:03+02:00, gkodinov@macbook.gmz +0 -4
    merge of 5.0-opt -> 5.1-opt

ChangeSet@1.1810.2518.3, 2007-01-24 13:29:46+01:00, istruewing@chilla.local +1 -0
  Bug#24607 - MyISAM pointer size determined incorrectly
  After merge fix

  mysql-test/r/myisam.result@1.71.12.2, 2007-01-24 13:29:44+01:00, istruewing@chilla.local +1 -1
    Bug#24607 - MyISAM pointer size determined incorrectly
    After merge fix

ChangeSet@1.1616.2941.1, 2007-01-24 13:17:01+01:00, istruewing@chilla.local +2 -0
  Bug#24607 - MyISAM pointer size determined incorrectly
  Fixed test. On 32-bit machines which compile without
  -DBIG_TABLES, MAX_ROWS is truncated to a 32-bit value.
  Using a value below 4G is portable.

  mysql-test/r/myisam.result@1.45.10.4, 2007-01-24 13:16:59+01:00, istruewing@chilla.local +2 -2
    Bug#24607 - MyISAM pointer size determined incorrectly
    Fixed test results.

  mysql-test/t/myisam.test@1.33.12.4, 2007-01-24 13:16:59+01:00, istruewing@chilla.local +1 -1
    Bug#24607 - MyISAM pointer size determined incorrectly
    Fixed test. On 32-bit machines which compile without
    -DBIG_TABLES, MAX_ROWS is truncated to a 32-bit value.
    Using a value below 4G is portable.

ChangeSet@1.2389.3.2, 2007-01-24 14:49:36+04:00, holyfoot@mysql.com +9 -0
  bug #22682 Test fails --without-geometry
  geometry dependent parts moved to proper .test files

  BitKeeper/etc/ignore@1.243.14.1, 2007-01-24 14:49:35+04:00, holyfoot@mysql.com +1 -0
    Added libmysqld/sql_servers.cc to the ignore list

  mysql-test/r/gis.result@1.41, 2007-01-24 14:49:34+04:00, holyfoot@mysql.com +11 -0
    result fixed

  mysql-test/r/innodb.result@1.184, 2007-01-24 14:49:34+04:00, holyfoot@mysql.com +0 -2
    result fixed

  mysql-test/r/innodb_gis.result@1.8, 2007-01-24 14:49:34+04:00, holyfoot@mysql.com +2 -0
    result fixed

  mysql-test/r/view.result@1.194.3.1, 2007-01-24 14:49:34+04:00, holyfoot@mysql.com +0 -11
    result fixed

  mysql-test/t/gis.test@1.33, 2007-01-24 14:49:34+04:00, holyfoot@mysql.com +10 -0
    HAVE_GEOMETRY dependent part moved here from view.test

  mysql-test/t/innodb.test@1.153.1.1, 2007-01-24 14:49:34+04:00, holyfoot@mysql.com +0 -6
    HAVE_GEOMETRY dependent part moved to innodb_gis.test

  mysql-test/t/innodb_gis.test@1.3, 2007-01-24 14:49:35+04:00, holyfoot@mysql.com +6 -0
    HAVE_GEOMETRY dependent part moved here from innodb.test

  mysql-test/t/view.test@1.175.4.1, 2007-01-24 14:49:35+04:00, holyfoot@mysql.com +0 -9
    HAVE_GEOMETRY dependent part moved to gis.test

ChangeSet@1.1810.2424.20, 2007-01-24 11:53:09+04:00, svoj@mysql.com +2 -0
  After merge fix.

  mysql-test/r/myisam.result@1.71.10.5, 2007-01-24 11:53:08+04:00, svoj@mysql.com +0 -13
    After merge fix.

  mysql-test/t/myisam.test@1.55.8.5, 2007-01-24 11:53:08+04:00, svoj@mysql.com +0 -34
    After merge fix.

ChangeSet@1.2390.7.10, 2007-01-24 10:46:25+03:00, dlenev@mockturtle.local +1 -0
  Fixed test case after merging fix for bug#24491 "using alias from source
  table in insert ... on duplicate key" in 5.1 tree.

  mysql-test/t/sp-error.test@1.115.1.2, 2007-01-24 10:46:23+03:00, dlenev@mockturtle.local +32 -31
    After merge fix.

ChangeSet@1.1810.2462.14, 2007-01-24 16:12:39+11:00, stewart@willster.(none) +1 -0
  fix hpux build problem and some ndb connect errors being missed

  ndb/src/common/util/SocketClient.cpp@1.6.6.1, 2007-01-24 16:12:37+11:00, stewart@willster.(none) +2 -2
    fix two problems recently introduced:
    - HPUX build problem
    - some connect errors not being detected properly

ChangeSet@1.1810.2456.40, 2007-01-23 10:11:53-08:00, igor@olga.mysql.com +1 -0
  Post-merge fix.

  mysql-test/t/fulltext_left_join.test@1.12.1.3, 2007-01-23 10:11:52-08:00, igor@olga.mysql.com +0 -13
    Post-merge fix.

ChangeSet@1.2343.72.1, 2007-01-23 12:55:24-05:00, jas@rowvwade. +1 -0
  Replace assertion in Table::validateAndInsert with a simple exception if an update
  encounters an extremely unprobable sequence of concurrent rolled back transactions.

  storage/falcon/Table.cpp@1.61, 2007-01-23 12:55:16-05:00, jas@rowvwade. +3 -2
    Try a few more times for validateAndInsert to allow multiple concurrent transactions
    to rollback.

ChangeSet@1.2389.2.1, 2007-01-23 19:45:58+02:00, gkodinov@macbook.gmz +4 -0
  Bug #6172: RAND(a) should only accept constant values as arguments
   RAND() must accept scalar expressions regardless of their kind.
   That includes both constant expressions and expressions that 
   depend on column values.
   When the expression is constant the random seed can be initialized
   at compile time.
   However when the expression is not constant the random seed must be
   initialized at each invocation (while it still can be allocated at
   compile time).
   Implemented the above rules by extending Item_func_rand::val_real()
   to initialize the random seed at the correct place.

  mysql-test/r/func_math.result@1.40, 2007-01-23 19:45:49+02:00, gkodinov@macbook.gmz +40 -5
    Bug #6172: RAND(a) should only accept constant values as arguments
     - extened the test case

  mysql-test/t/func_math.test@1.29, 2007-01-23 19:45:49+02:00, gkodinov@macbook.gmz +19 -5
    Bug #6172: RAND(a) should only accept constant values as arguments
     - extened the test case

  sql/item_func.cc@1.345.2.1, 2007-01-23 19:45:50+02:00, gkodinov@macbook.gmz +17 -19
    Bug #6172: RAND(a) should only accept constant values as arguments
     - allow specifying non-const expressions as RAND() arguments

  sql/item_func.h@1.161, 2007-01-23 19:45:50+02:00, gkodinov@macbook.gmz +2 -0
    Bug #6172: RAND(a) should only accept constant values as arguments
     - allow specifying non-const expressions as RAND() arguments

ChangeSet@1.2397.1.1, 2007-01-24 00:27:19+11:00, stewart@willster.(none) +3 -0
  Bug#25567 records() call performs scan in NDB, performance bug

  mysql-test/r/ndb_basic.result@1.49.1.1, 2007-01-24 00:27:13+11:00, stewart@willster.(none) +6 -6
    from spaces, to tabs. what fun!

  sql/ha_ndbcluster.h@1.165, 2007-01-24 00:27:13+11:00, stewart@willster.(none) +2 -0
    fix estimate_rows_upper_bound() to be correct for NDB

  sql/sql_select.cc@1.481, 2007-01-24 00:27:14+11:00, stewart@willster.(none) +1 -1
    use non-exact records information

ChangeSet@1.2372.28.1, 2007-01-23 05:09:14-08:00, acurtis@xiphis.org +3 -0
  Bug#25396
    "Valgrind leak in closecon_handlerton"
    plugin_shutdown() calls plugin_deinitialize() which calls ha_finalize_handlerton().
    ndbcluster_end() fails to wait for the ndb utility thread to exit which results in
    the handlerton struct being freed before the ndb utility thread has destroyed it's THD
    but before the plugin has been marked as UNINITIALIZED
  
  Bug is caused by misuse of abort_loops variable and not locking mutex during calls to
  pthread condition variable functions causing a race in valgrind's pthread_cond_wait
  implementation.

  BUILD/compile-amd64-valgrind-max@1.1, 2007-01-23 05:09:11-08:00, acurtis@xiphis.org +24 -0
    New BitKeeper file ``BUILD/compile-amd64-valgrind-max''

  BUILD/compile-amd64-valgrind-max@1.0, 2007-01-23 05:09:11-08:00, acurtis@xiphis.org +0 -0

  sql/ha_ndbcluster.cc@1.384.2.1, 2007-01-23 05:09:11-08:00, acurtis@xiphis.org +67 -46
    Bug25396
    Valgrind requires that mutex be held during call to pthread_cond_signal.
    Change pthread_cond_timedwait() to pthread_cond_wait() where the timeout is not needed.
    Ensure that appropiate variables are protected by mutex.
    Remove use of abort_loop global variable.
    Ensure that ndbcluster_end waits for util thread to exit.
    Add an extra cond_var as insurance against non-conforming pthreads implementations.

  sql/mysqld.cc@1.576.33.1, 2007-01-23 05:09:11-08:00, acurtis@xiphis.org +7 -4
    Bug25386
    Valgrind requires that mutex be held during call to pthread_cond_signal.

ChangeSet@1.1810.2471.2, 2007-01-23 15:03:48+03:00, dlenev@mockturtle.local +5 -0
  Proposed fix for bug#24491 "using alias from source table in insert ...
  on duplicate key".
  
  INSERT ... SELECT ... ON DUPLICATE KEY UPDATE which was used in
  stored routine or as prepared statement and which in its ON DUPLICATE
  KEY clause erroneously tried to assign value to a column mentioned only
  in its SELECT part was properly emitting error on the first execution
  but succeeded on the second and following executions.
  
  Code which is responsible for name resolution of fields mentioned in
  UPDATE clause (e.g. see select_insert::prepare()) modifies table list
  and Name_resolution_context used in this process. It uses
  Name_resolution_context_state::save_state/restore_state() to revert
  these modifications. Unfortunately those two methods failed to revert
  properly modifications to TABLE_LIST::next_name_resolution_table
  and this broke name resolution process for successive executions.
  
  This patch fixes Name_resolution_context_state::save_state/restore_state()
  in such way that it properly handles TABLE_LIST::next_name_resolution_table.

  mysql-test/r/ps.result@1.56.12.1, 2007-01-23 15:03:45+03:00, dlenev@mockturtle.local +16 -0
    Added test case for bug#24491 "using alias from source table in insert ...
    on duplicate key"

  mysql-test/r/sp-error.result@1.102.1.8, 2007-01-23 15:03:46+03:00, dlenev@mockturtle.local +19 -0
    Added test case for bug#24491 "using alias from source table in insert ...
    on duplicate key"

  mysql-test/t/ps.test@1.56.12.1, 2007-01-23 15:03:46+03:00, dlenev@mockturtle.local +30 -0
    Added test case for bug#24491 "using alias from source table in insert ...
    on duplicate key"

  mysql-test/t/sp-error.test@1.100.1.11, 2007-01-23 15:03:46+03:00, dlenev@mockturtle.local +32 -0
    Added test case for bug#24491 "using alias from source table in insert ...
    on duplicate key"

  sql/item.h@1.183.15.1, 2007-01-23 15:03:46+03:00, dlenev@mockturtle.local +2 -7
    Name_resolution_context::save_state/restore_state():
      At the moment these methods are used only by code implementing
      INSERT and INSERT ... SELECT statements. This code doesn't modify
     'next_name_resolution_table' member of table list element
      corresponding to the first table of SELECT clause (pointed by
      'first_name_resolution_table'). But it modifies table list element
      corresponding to the target table of INSERT (pointed by 'table_list')
      So these methods were changed to reflect this.

ChangeSet@1.1810.2462.12, 2007-01-23 12:58:10+01:00, pekka@clam.ndb.mysql.com +1 -0
  ndb - bug#25562 use byte-size max_data_length() when setting blob part size

  sql/ha_ndbcluster.cc@1.175.1.122, 2007-01-23 12:56:51+01:00, pekka@clam.ndb.mysql.com +21 -11
    bug#25562 use byte-size max_data_length() when setting blob part size

ChangeSet@1.2343.71.1, 2007-01-23 10:03:31+01:00, hakank@lu0008.wdf.sap.corp +3 -0
  Added handler test for Falcon as requested by Brian.

  mysql-test/r/handler_falcon.result@1.1, 2007-01-23 10:03:23+01:00, hakank@lu0008.wdf.sap.corp +517 -0
    New BitKeeper file ``mysql-test/r/handler_falcon.result''

  mysql-test/r/handler_falcon.result@1.0, 2007-01-23 10:03:23+01:00, hakank@lu0008.wdf.sap.corp +0 -0

  mysql-test/t/disabled.def@1.260, 2007-01-23 10:03:22+01:00, hakank@lu0008.wdf.sap.corp +1 -0
    handler test currently fails with Falcon.

  mysql-test/t/handler_falcon.test@1.1, 2007-01-23 10:03:22+01:00, hakank@lu0008.wdf.sap.corp +20 -0
    New BitKeeper file ``mysql-test/t/handler_falcon.test''

  mysql-test/t/handler_falcon.test@1.0, 2007-01-23 10:03:22+01:00, hakank@lu0008.wdf.sap.corp +0 -0

ChangeSet@1.1810.2515.2, 2007-01-23 17:19:27+11:00, stewart@willster.(none) +1 -0
  round up Transporter connect timeout

  ndb/src/common/transporter/Transporter.cpp@1.18.7.2, 2007-01-23 17:19:23+11:00, stewart@willster.(none) +1 -1
    change so timeout is rounded up to nearest second

ChangeSet@1.1810.2515.1, 2007-01-23 17:07:09+11:00, stewart@willster.(none) +5 -0
  Bug #25487  	deleting ndb_cluster_connection object takes long time
    
    aim is to:
    a) if set_connect_timeout called, timeout connect attempt (for retry on
    next call) after timeout period
    b) preserve existing blocking behaviour otherwise (for, e.g. mgmapi)
    
    Related to customer issue with long time deleting ndb_cluster_connection
    object. believe we're hanging on the connect(2) call until timeout (when
    we then realise we should exit the thread).

  ndb/include/mgmapi/mgmapi.h@1.42.16.1, 2007-01-23 17:06:24+11:00, stewart@willster.(none) +10 -0
    add ndb_mgm_set_connect_timeout

  ndb/include/util/SocketClient.hpp@1.4.3.1, 2007-01-23 17:06:32+11:00, stewart@willster.(none) +4 -0
    add timeout (seconds) for max time to wait for connection

  ndb/src/common/transporter/Transporter.cpp@1.18.7.1, 2007-01-23 17:06:32+11:00, stewart@willster.(none) +6 -2
    set limit on amount of time we'll wait for tcp connect

  ndb/src/common/util/SocketClient.cpp@1.6.5.1, 2007-01-23 17:06:32+11:00, stewart@willster.(none) +56 -4
    only try to connect for a maximum of timeout time

  ndb/src/mgmapi/mgmapi.cpp@1.44.33.1, 2007-01-23 17:06:33+11:00, stewart@willster.(none) +13 -0
    add ndb_mgm_set_connect_timeout

ChangeSet@1.1810.2462.11, 2007-01-23 11:44:42+07:00, tomas@poseidon.mysql.com +4 -0
  ndb - bug#22013
      Fix bug in event handling wrt early node shutdown

  ndb/src/mgmsrv/MgmtSrvr.cpp@1.73.43.1, 2007-01-23 11:44:36+07:00, tomas@poseidon.mysql.com +35 -13
    Fix bug in event handling wrt early node shutdown

  ndb/src/ndbapi/ClusterMgr.cpp@1.17.10.1, 2007-01-23 11:44:36+07:00, tomas@poseidon.mysql.com +5 -4
    Fix reportNodeFailed if only connected wo/ having received any API_REGCONF

  ndb/src/ndbapi/ClusterMgr.hpp@1.4.7.1, 2007-01-23 11:44:36+07:00, tomas@poseidon.mysql.com +2 -2
    Fix reportNodeFailed if only connected wo/ having received any API_REGCONF

  ndb/src/ndbapi/SignalSender.cpp@1.3.5.1, 2007-01-23 11:44:36+07:00, tomas@poseidon.mysql.com +9 -0
    Fix memleak

ChangeSet@1.2343.33.64, 2007-01-22 22:39:43-06:00, klewis@klewis-mysql. +9 -0
  Temporary fix for Bug#24858 while waiting for WL#3664.
  This also contains some other fixes for handling varbinary
  and some code cleanup.

  storage/falcon/Cache.cpp@1.18, 2007-01-22 22:39:23-06:00, klewis@klewis-mysql. +3 -4
    Delete unnecessary line and use a shared lock when not 
    writing to the cache. 

  storage/falcon/MySQLCollation.cpp@1.12, 2007-01-22 22:39:26-06:00, klewis@klewis-mysql. +8 -5
    This is a preliminary fix to Bug#24858 while waiting for WL#3664.  
    Introduce new functions to count characters according to the current
    charset and truncate strings to some prefix number of characters.
    This should be replaced when the new version of strnxfrm() becomes
    available.

  storage/falcon/MySQLCollation.h@1.6, 2007-01-22 22:39:28-06:00, klewis@klewis-mysql. +5 -1
    This is a preliminary fix to Bug#24858 while waiting for WL#3664.  
    Introduce new functions to count characters according to the current
    charset and truncate strings to some prefix number of characters.
    This should be replaced when the new version of strnxfrm() becomes
    available.

  storage/falcon/StorageConnection.cpp@1.19, 2007-01-22 22:39:30-06:00, klewis@klewis-mysql. +20 -20
    Cleanup

  storage/falcon/StorageHandler.h@1.5, 2007-01-22 22:39:31-06:00, klewis@klewis-mysql. +1 -1
    Cleanup

  storage/falcon/StorageTable.cpp@1.32, 2007-01-22 22:39:33-06:00, klewis@klewis-mysql. +11 -0
    Truncate strings to prefix number of characters before comparing them.

  storage/falcon/StorageTableShare.h@1.22, 2007-01-22 22:39:35-06:00, klewis@klewis-mysql. +1 -1
    Cleanup

  storage/falcon/SynchronizationObject.h@1.3, 2007-01-22 22:39:36-06:00, klewis@klewis-mysql. +1 -1
    Cleanup

  storage/falcon/ha_falcon.cpp@1.106, 2007-01-22 22:39:38-06:00, klewis@klewis-mysql. +71 -4
    Use more information when finding the length of a string in 
    falcon_strnfrmlen().  Also, add falcon_strnchrlen() and 
    falcon_strntrunc().  
    The MySQL server uses a charset for varbinary fields.  We need to 
    reference this charset so that it is not padded with spaces since
    some places treat varbinary like varchar.

ChangeSet@1.2343.33.63, 2007-01-22 22:12:50-06:00, klewis@klewis-mysql. +1 -0
  Recent changes to Transaction::prepare() have made it more likely
  that a transaction is in Limbo state during a duplicate check.  
  This has caused falcon_bugs to start failing again if run multiple
  times. The failing section is Bug 188.
  A new function, Transaction::isActive(), needs to be used in
  Transaction::getRelativeState() to make the other transaction
  wait on a trans in limbo.

  storage/falcon/Transaction.cpp@1.50, 2007-01-22 22:12:42-06:00, klewis@klewis-mysql. +1 -1
    Recent changes to Transaction::prepare() have made it more likely
    that a transaction is in Limbo state during a duplicate check.  
    This has caused falcon_bugs to start failing again if run multiple
    times. The failing section is Bug 188.
    A new function, Transaction::isActive(), needs to be used in
    Transaction::getRelativeState() to make the other transaction
    wait on a trans in limbo.

ChangeSet@1.2398, 2007-01-23 09:52:13+07:00, tomas@poseidon.mysql.com +1 -0
  correct manual merge

  mysql-test/r/ndb_basic.result@1.50, 2007-01-23 09:52:02+07:00, tomas@poseidon.mysql.com +6 -6
    correct manual merge

ChangeSet@1.1810.2462.10, 2007-01-23 07:12:03+07:00, tomas@poseidon.mysql.com +1 -0
  bug#25746 ndb: 4209 error with 2 VARCHAR primary keys
  - post review changes

  sql/ha_ndbcluster.cc@1.175.1.121, 2007-01-23 07:11:53+07:00, tomas@poseidon.mysql.com +1 -1
    bug#25746 ndb: 4209 error with 2 VARCHAR primary keys
    - post review changes

ChangeSet@1.2390.10.1, 2007-01-23 01:58:07+02:00, monty@mysql.com +10 -0
  Change to new (after merge) error numbers

  mysql-test/extra/rpl_tests/rpl_trig004.test@1.4, 2007-01-23 01:58:05+02:00, monty@mysql.com +1 -1
    Fixed bug in last push

  mysql-test/r/create.result@1.130.1.1, 2007-01-23 01:58:05+02:00, monty@mysql.com +1 -1
    Fixed error number

  mysql-test/r/rpl_sp.result@1.33.1.1, 2007-01-23 01:58:05+02:00, monty@mysql.com +2 -2
    Fixed error number

  mysql-test/r/sp.result@1.246.1.1, 2007-01-23 01:58:05+02:00, monty@mysql.com +8 -8
    Fixed error number

  mysql-test/r/view.result@1.198.1.1, 2007-01-23 01:58:05+02:00, monty@mysql.com +3 -3
    Better fix for now() handling

  mysql-test/t/ndb_basic.test@1.47.1.1, 2007-01-23 01:58:05+02:00, monty@mysql.com +3 -3
    Use error names instead of numbers

  mysql-test/t/ndb_index_unique.test@1.26.1.1, 2007-01-23 01:58:05+02:00, monty@mysql.com +1 -1
    Use error names instead of numbers

  mysql-test/t/rpl_skip_error-slave.opt@1.4.1.1, 2007-01-23 01:58:05+02:00, monty@mysql.com +1 -1
    Change to new error number

  mysql-test/t/sp.test@1.214.1.1, 2007-01-23 01:58:06+02:00, monty@mysql.com +8 -8
    Change to new error number

  mysql-test/t/view.test@1.178.1.1, 2007-01-23 01:58:06+02:00, monty@mysql.com +3 -3
    Better fix for now() handling

ChangeSet@1.1616.2921.12, 2007-01-22 14:23:53-08:00, igor@olga.mysql.com +3 -0
  Fixed bug #25637: LEFT JOIN with BOOLEAN FULLTEXT loses left table matches.
  The bug is actually a duplicate of the bug 14708.
  Down-ported the fix for 14708 from 5.0.  
  Merged the test case for bug 14708 from 5.0.

  mysql-test/r/fulltext_left_join.result@1.12.2.1, 2007-01-22 14:23:52-08:00, igor@olga.mysql.com +40 -0
    Added a test case for bug #25637 (duplicate .of bug 14708).
    Merged the test case for bug 14708 from 5.0.

  mysql-test/t/fulltext_left_join.test@1.12.2.1, 2007-01-22 14:23:52-08:00, igor@olga.mysql.com +41 -0
    Added a test case for bug #25637 (duplicate of bug 14708).
    Merged the test case for bug 14708 from 5.0.

  sql/item_func.cc@1.124.53.1, 2007-01-22 14:23:52-08:00, igor@olga.mysql.com +1 -1
    Fixed bug #25637: LEFT JOIN with BOOLEAN FULLTEXT loses left table matches.
    The bug is actually a duplicate of the bug 14708.
    Down-ported the fix for 14708 from 5.0.  

ChangeSet@1.1810.2456.38, 2007-01-22 23:04:14+03:00, evgen@moonbone.local +1 -0
  sql_select.cc:
    Code cleanup after fix for bug#23417.

  sql/sql_select.cc@1.312.1.170, 2007-01-22 23:04:03+03:00, evgen@moonbone.local +2 -3
    Code cleanup after fix for bug#23417.

ChangeSet@1.2390.9.2, 2007-01-22 21:19:56+02:00, monty@mysql.com +9 -0
  Change to new (after merge) error numbers

  mysql-test/r/create.result@1.131, 2007-01-22 21:19:53+02:00, monty@mysql.com +1 -1
    Fixed error number

  mysql-test/r/rpl_sp.result@1.34, 2007-01-22 21:19:53+02:00, monty@mysql.com +2 -2
    Fixed error number

  mysql-test/r/sp.result@1.247, 2007-01-22 21:19:54+02:00, monty@mysql.com +8 -8
    Fixed error number

  mysql-test/r/view.result@1.199, 2007-01-22 21:19:54+02:00, monty@mysql.com +3 -3
    Better fix for now() handling

  mysql-test/t/ndb_basic.test@1.48, 2007-01-22 21:19:54+02:00, monty@mysql.com +3 -3
    Use error names instead of numbers

  mysql-test/t/ndb_index_unique.test@1.27, 2007-01-22 21:19:54+02:00, monty@mysql.com +1 -1
    Use error names instead of numbers

  mysql-test/t/rpl_skip_error-slave.opt@1.5, 2007-01-22 21:19:54+02:00, monty@mysql.com +1 -1
    Change to new error number

  mysql-test/t/sp.test@1.215, 2007-01-22 21:19:54+02:00, monty@mysql.com +8 -8
    Change to new error number

  mysql-test/t/view.test@1.179, 2007-01-22 21:19:54+02:00, monty@mysql.com +3 -3
    Better fix for now() handling

ChangeSet@1.1810.2456.37, 2007-01-22 22:08:51+03:00, evgen@moonbone.local +1 -0
  sql_prepare.cc:
    Post fix for bug#25123.

  sql/sql_prepare.cc@1.142.21.1, 2007-01-22 22:08:31+03:00, evgen@moonbone.local +1 -1
    Post fix for bug#25123.

ChangeSet@1.1810.2462.9, 2007-01-23 00:34:00+07:00, tomas@poseidon.mysql.com +3 -0
  bug#25746 ndb: 4209 error with 2 VARCHAR primary keys
  - make sure keys are copied correctly when varchar has 2 length bytes
  - test case

  mysql-test/r/ndb_basic.result@1.28.1.8, 2007-01-23 00:33:54+07:00, tomas@poseidon.mysql.com +16 -0
    bug#25746 ndb: 4209 error with 2 VARCHAR primary keys
    - test case

  mysql-test/t/ndb_basic.test@1.32.1.5, 2007-01-23 00:33:54+07:00, tomas@poseidon.mysql.com +19 -0
    bug#25746 ndb: 4209 error with 2 VARCHAR primary keys
    - test case

  sql/ha_ndbcluster.cc@1.175.1.120, 2007-01-23 00:33:54+07:00, tomas@poseidon.mysql.com +16 -10
    bug#25746 ndb: 4209 error with 2 VARCHAR primary keys
    - make sure keys are copied correctly when varchar has 2 length bytes

ChangeSet@1.1810.2503.5, 2007-01-22 20:00:27+03:00, anozdrin@alik. +1 -0
  Enabling im_daemon_life_cycle.imtest in team tree.
  
  Do not propagate this change into main trees.

  mysql-test/t/disabled.def@1.2.9.3, 2007-01-22 20:00:26+03:00, anozdrin@alik. +0 -1
    Enbled im_daemon_life_cycle.imtest

ChangeSet@1.2390.7.8, 2007-01-22 19:50:34+03:00, anozdrin@alik. +1 -0
  Enabling im_daemon_life_cycle.imtest in team tree in order to debug IM.
  Do not propagate this change into main trees!

  mysql-test/t/disabled.def@1.175.39.1, 2007-01-22 19:50:32+03:00, anozdrin@alik. +1 -1
    im_daemon_life_cycle enabled.

ChangeSet@1.2303.253.1, 2007-01-22 18:42:52+02:00, monty@mysql.com +60 -0
  Give warnings for unused objects
  Changed error message to be compatible with old error file
  Added new error message for new DUP_ENTRY syntax

  BUILD/SETUP.sh@1.65.1.1, 2007-01-22 18:42:48+02:00, monty@mysql.com +2 -2
    Give warnings for unused objects

  mysql-test/extra/binlog_tests/insert_select-binlog.test@1.6, 2007-01-22 18:42:48+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/extra/binlog_tests/mix_innodb_myisam_binlog.test@1.31.3.1, 2007-01-22 18:42:48+02:00, monty@mysql.com +9 -9
    Changed to use new error message

  mysql-test/extra/rpl_tests/rpl_auto_increment.test@1.6, 2007-01-22 18:42:48+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/extra/rpl_tests/rpl_foreign_key.test@1.6, 2007-01-22 18:42:48+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/extra/rpl_tests/rpl_insert_id.test@1.15, 2007-01-22 18:42:48+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/extra/rpl_tests/rpl_insert_id_pk.test@1.3, 2007-01-22 18:42:48+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/extra/rpl_tests/rpl_loaddata.test@1.6, 2007-01-22 18:42:48+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/extra/rpl_tests/rpl_row_basic.test@1.3.1.1, 2007-01-22 18:42:48+02:00, monty@mysql.com +3 -3
    Changed to use new error message

  mysql-test/extra/rpl_tests/rpl_stm_EE_err2.test@1.2, 2007-01-22 18:42:48+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/extra/rpl_tests/rpl_trig004.test@1.3, 2007-01-22 18:42:48+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/include/mix1.inc@1.22.1.1, 2007-01-22 18:42:48+02:00, monty@mysql.com +7 -7
    Changed to use new error message

  mysql-test/include/mix2.inc@1.5, 2007-01-22 18:42:48+02:00, monty@mysql.com +14 -14
    Changed to use new error message

  mysql-test/include/ps_modify.inc@1.7, 2007-01-22 18:42:48+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/include/query_cache.inc@1.17, 2007-01-22 18:42:48+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/include/varchar.inc@1.9, 2007-01-22 18:42:48+02:00, monty@mysql.com +6 -6
    Changed to use new error message

  mysql-test/r/create.result@1.130, 2007-01-22 18:42:48+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/r/rpl_sp.result@1.21.2.1, 2007-01-22 18:42:48+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/r/sp.result@1.232.3.1, 2007-01-22 18:42:48+02:00, monty@mysql.com +8 -8
    Changed to use new error message

  mysql-test/r/view.result@1.193.3.1, 2007-01-22 18:42:48+02:00, monty@mysql.com +2 -0
    Changed to use new error message

  mysql-test/t/auto_increment.test@1.30, 2007-01-22 18:42:48+02:00, monty@mysql.com +5 -5
    Changed to use new error message

  mysql-test/t/create.test@1.88, 2007-01-22 18:42:48+02:00, monty@mysql.com +8 -8
    Changed to use new error message

  mysql-test/t/create_select_tmp.test@1.15, 2007-01-22 18:42:49+02:00, monty@mysql.com +4 -4
    Changed to use new error message

  mysql-test/t/ctype_utf8.test@1.101.1.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +45 -45
    Changed to use new error message

  mysql-test/t/delayed.test@1.15.1.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/heap.test@1.36, 2007-01-22 18:42:49+02:00, monty@mysql.com +14 -14
    Changed to use new error message

  mysql-test/t/heap_btree.test@1.23, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/heap_hash.test@1.12, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/innodb.test@1.149.1.2, 2007-01-22 18:42:49+02:00, monty@mysql.com +14 -14
    Changed to use new error message

  mysql-test/t/insert_select.test@1.33.1.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/t/insert_update.test@1.21, 2007-01-22 18:42:49+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/t/join_outer.test@1.40, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/key.test@1.32, 2007-01-22 18:42:49+02:00, monty@mysql.com +6 -6
    Changed to use new error message

  mysql-test/t/merge.test@1.48, 2007-01-22 18:42:49+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/t/myisam.test@1.71.4.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/t/ndb_charset.test@1.13, 2007-01-22 18:42:49+02:00, monty@mysql.com +9 -9
    Changed to use new error message

  mysql-test/t/ndb_index_unique.test@1.23.1.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +6 -6
    Changed to use new error message

  mysql-test/t/ndb_insert.test@1.13, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/ndb_replace.test@1.8, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/ndb_update.test@1.7.1.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/replace.test@1.14, 2007-01-22 18:42:49+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/t/rpl_err_ignoredtable.test@1.28, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/rpl_row_create_table.test@1.7.1.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/t/rpl_skip_error-slave.opt@1.4, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/rpl_sp.test@1.19.2.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/t/show_check.test@1.73, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/sp-error.test@1.116, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/sp.test@1.204.1.3, 2007-01-22 18:42:49+02:00, monty@mysql.com +11 -11
    Changed to use new error message

  mysql-test/t/sp_trans.test@1.11, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/temp_table.test@1.17, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/type_binary.test@1.3.1.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/type_bit.test@1.19, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/type_bit_innodb.test@1.6, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/type_blob.test@1.34, 2007-01-22 18:42:49+02:00, monty@mysql.com +2 -2
    Changed to use new error message

  mysql-test/t/type_varchar.test@1.10.1.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    Changed to use new error message

  mysql-test/t/view.test@1.175.2.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +2 -0
    Changed to use new error message

  sql-bench/example@1.1, 2007-01-22 18:42:50+02:00, monty@mysql.com +3 -0
    Example file for how to run tests

  sql-bench/example@1.0, 2007-01-22 18:42:50+02:00, monty@mysql.com +0 -0

  sql/handler.cc@1.234.36.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +3 -3
    ER_DUP_ENTRY -> ER_DUP_ENTRY_WITH_KEY_NAME

  sql/share/errmsg.txt@1.134.2.1, 2007-01-22 18:42:49+02:00, monty@mysql.com +49 -25
    Changed error message to be compatible with old error file
    Added new error message for new DUP_ENTRY syntax

  sql/sql_table.cc@1.372.5.2, 2007-01-22 18:42:49+02:00, monty@mysql.com +1 -1
    ER_DUP_ENTRY -> ER_DUP_ENTRY_WITH_KEY_NAME

ChangeSet@1.2343.10.29, 2007-01-22 17:29:11+01:00, jonas@eel.(none) +1 -0
  ndb - bug#25755
    remove accidently left debug prinouts

  storage/ndb/src/kernel/blocks/suma/Suma.cpp@1.49.1.4, 2007-01-22 17:29:07+01:00, jonas@eel.(none) +0 -2
    ndb - bug#25755
      remove accidently left debug prinouts

ChangeSet@1.2343.10.28, 2007-01-22 17:25:49+01:00, jonas@eel.(none) +2 -0
  ndb - bug#25755
    Make sure subscriber is removed from list when n_subscribers is decreased

  storage/ndb/src/kernel/blocks/suma/Suma.cpp@1.49.1.3, 2007-01-22 17:25:45+01:00, jonas@eel.(none) +41 -7
    Make sure subscriber is removed from list when n_subscribers is decreased

  storage/ndb/src/kernel/blocks/suma/Suma.hpp@1.17.1.1, 2007-01-22 17:25:45+01:00, jonas@eel.(none) +1 -1
    Make sure subscriber is removed from list when n_subscribers is decreased

ChangeSet@1.2343.10.27, 2007-01-22 17:06:27+01:00, jonas@eel.(none) +1 -0
  ndb - fix bug is NODE_VERSION_REP
    Fix assertion in corner-case where signal isnt sent to any node

  storage/ndb/src/kernel/blocks/qmgr/QmgrMain.cpp@1.42.1.6, 2007-01-22 17:06:20+01:00, jonas@eel.(none) +2 -1
    Fix corner-case where signal isnt sent to any node

ChangeSet@1.1616.2934.14, 2007-01-22 16:32:57+01:00, df@kahlann.erinye.com +1 -0
  after-merge fix

  mysql-test/mysql-test-run.pl@1.8.20.2, 2007-01-22 16:32:56+01:00, df@kahlann.erinye.com +1 -1
    after-merge fix

ChangeSet@1.1616.2936.5, 2007-01-22 16:34:58+04:00, svoj@mysql.com +1 -0
  BUG#24401 - MySQL server crashes if you try to retrieve data from
              corrupted table
  
  Accessing a table with corrupted column definition results in server
  crash.
  
  This is fixed by refusing to open such tables. Affects MyISAM only.
  No test case, since it requires crashed table.

  myisam/mi_open.c@1.80.2.10, 2007-01-22 16:34:57+04:00, svoj@mysql.com +7 -0
    Refuse to open MyISAM table with summary columns length bigger than
    length of the record.

ChangeSet@1.1810.2456.36, 2007-01-22 15:14:38+03:00, evgen@moonbone.local +3 -0
  Bug#25123: ON DUPLICATE KEY clause allows fields not from the insert table.
  
  When inserting into a join-based view the update fields from the ON DUPLICATE
  KEY UPDATE wasn't checked to be from the table being inserted into and were
  silently ignored.
  
  The new check_view_single_update() function is added to check that
  insert/update fields are being from the same single table of the view.

  mysql-test/r/insert.result@1.22.1.5, 2007-01-22 15:13:57+03:00, evgen@moonbone.local +21 -0
    Added a test case for bug#25123: ON DUPLICATE KEY clause allows fields not from the insert table.

  mysql-test/t/insert.test@1.22.1.3, 2007-01-22 15:14:18+03:00, evgen@moonbone.local +18 -0
    Added a test case for bug#25123: ON DUPLICATE KEY clause allows fields not from the insert table.

  sql/sql_insert.cc@1.146.42.1, 2007-01-22 15:13:24+03:00, evgen@moonbone.local +73 -20
    Bug#25123: ON DUPLICATE KEY clause allows fields not from the insert table.
    The new check_view_single_update() function is added to check that
    insert/update fields are being from the same single table of the view.

ChangeSet@1.2382.3.1, 2007-01-22 12:51:21+02:00, gkodinov@macbook.gmz +3 -0
  BUG#16590: Optimized does not do right "const" table pre-read
   st_table::const_key_parts member is used in determining if
   certain key has a prefix that is compared to constant(s) in
   the query predicates.
   If there's such prefix the index can be used to get the data
   from the remaining suffix columns in sorted order.
   However if a field is compared to another field from a "const"
   table the const_key_parts is not amended.
   This makes the optimizer unable to detect that the key can be 
   used for sorting and adds an extra filesort.
   Fixed by updating const_key_parts after reading in the "const"
   table.

  mysql-test/r/order_by.result@1.59.1.1, 2007-01-22 12:51:13+02:00, gkodinov@macbook.gmz +9 -0
    BUG#16590: Optimized does not do right "const" table pre-read
     - test case

  mysql-test/t/order_by.test@1.42.1.1, 2007-01-22 12:51:14+02:00, gkodinov@macbook.gmz +13 -0
    BUG#16590: Optimized does not do right "const" table pre-read
     - test case

  sql/sql_select.cc@1.477.1.1, 2007-01-22 12:51:14+02:00, gkodinov@macbook.gmz +16 -0
    BUG#16590: Optimized does not do right "const" table pre-read
     - fill up the const_key_parts structure

ChangeSet@1.2393.1.1, 2007-01-21 11:41:00-08:00, brian@zim.(none) +4 -0
  Just adding support for a "minor" version number. 

  storage/archive/archive_reader.c@1.5, 2007-01-21 11:40:56-08:00, brian@zim.(none) +2 -1
    Print minor information version. 

  storage/archive/archive_test.c@1.9, 2007-01-21 11:40:56-08:00, brian@zim.(none) +3 -3
    Fixed test

  storage/archive/azio.c@1.14, 2007-01-21 11:40:56-08:00, brian@zim.(none) +5 -1
    Added support for "minor" version.

  storage/archive/azlib.h@1.9, 2007-01-21 11:40:56-08:00, brian@zim.(none) +15 -13
    Added information for minor information. 

ChangeSet@1.2391.1.1, 2007-01-20 17:19:54-08:00, brian@zim.(none) +5 -0
  1) New dirty state for files (need this for longterm fast recovery)
  2) We now store shortest and longest row information.
  3) archive_reader can now check and backup files (even if they are hot)
  4) We now record longest and shortest row information for stats. 

  storage/archive/archive_reader.c@1.4, 2007-01-20 17:19:48-08:00, brian@zim.(none) +161 -11
    Added options for:
    1) Online backup for tables
    2) Check table option. 

  storage/archive/archive_test.c@1.8, 2007-01-20 17:19:48-08:00, brian@zim.(none) +47 -16
    Additional test, format is now the same as an actual table. 

  storage/archive/azio.c@1.13, 2007-01-20 17:19:48-08:00, brian@zim.(none) +33 -15
    Fixed issue closing files multiple times.
    Added option for recording longest and shortest rows. 
    Additional "dirty" state added. 

  storage/archive/azlib.h@1.8, 2007-01-20 17:19:48-08:00, brian@zim.(none) +15 -1
    Added additional space for longest and shortest row information.

  storage/archive/ha_archive.cc@1.122, 2007-01-20 17:19:48-08:00, brian@zim.(none) +1 -4
    Cleaned up warming and removed unneeded close. 

ChangeSet@1.2343.33.62, 2007-01-20 18:30:49-05:00, jas@rowvwade. +2 -0
  Change handler conditional to blow if server sees more than one
  engine with two phase commit.  Alose temporarily turn off online add index.

  sql/handler.cc@1.247, 2007-01-20 18:30:42-05:00, jas@rowvwade. +2 -1
    Avoid horrible death if the server sees two engines with two phase commit.

  storage/falcon/ha_falcon.cpp@1.105, 2007-01-20 18:30:43-05:00, jas@rowvwade. +6 -3
    Temporarily turn off online add index.

ChangeSet@1.2343.33.61, 2007-01-20 17:50:31-05:00, jas@rowvwade. +18 -0
  Added support for XA transactions (not complete yet, unfortunately).  Also
  get prototype online add index working for testing.

  storage/falcon/Database.cpp@1.43, 2007-01-20 17:50:15-05:00, jas@rowvwade. +2 -0
    Streamlined transaction prepare.

  storage/falcon/Database.h@1.18, 2007-01-20 17:50:15-05:00, jas@rowvwade. +1 -1
    Streamlined transaction prepare.

  storage/falcon/Dbb.cpp@1.46, 2007-01-20 17:50:16-05:00, jas@rowvwade. +2 -10
    Added XID information to prepare and serial log transactions to support XA transactions.

  storage/falcon/Dbb.h@1.24, 2007-01-20 17:50:16-05:00, jas@rowvwade. +1 -1
    Added XID information to prepare and serial log transactions to support XA transactions.

  storage/falcon/SRLDropTable.cpp@1.15, 2007-01-20 17:50:16-05:00, jas@rowvwade. +1 -5
    Eliminated obsolete SRL versions

  storage/falcon/SRLIndexPage.cpp@1.10, 2007-01-20 17:50:17-05:00, jas@rowvwade. +2 -11
    Eliminated obsolete SRL version.

  storage/falcon/SRLInversionPage.cpp@1.5, 2007-01-20 17:50:17-05:00, jas@rowvwade. +2 -11
    Eliminated obsolete SRL version.

  storage/falcon/SRLPrepare.cpp@1.10, 2007-01-20 17:50:18-05:00, jas@rowvwade. +15 -1
    Phased in logging of XID information on transaction prepare.

  storage/falcon/SRLPrepare.h@1.7, 2007-01-20 17:50:18-05:00, jas@rowvwade. +4 -1
    Phased in logging of XID information on transaction prepare.

  storage/falcon/SRLVersion.h@1.9, 2007-01-20 17:50:18-05:00, jas@rowvwade. +2 -1
    Phased in logging of XID information on transaction prepare.

  storage/falcon/SerialLogTransaction.cpp@1.13, 2007-01-20 17:50:19-05:00, jas@rowvwade. +15 -0
    Phased in logging of XID information on transaction prepare.

  storage/falcon/SerialLogTransaction.h@1.7, 2007-01-20 17:50:19-05:00, jas@rowvwade. +3 -0
    Phased in logging of XID information on transaction prepare.

  storage/falcon/StorageHandler.cpp@1.9, 2007-01-20 17:50:19-05:00, jas@rowvwade. +10 -0
    Added XID information to prepare and serial log transactions to support XA transactions.

  storage/falcon/StorageHandler.h@1.4, 2007-01-20 17:50:20-05:00, jas@rowvwade. +2 -0
    Added XID information to prepare and serial log transactions to support XA transactions.

  storage/falcon/Transaction.cpp@1.49, 2007-01-20 17:50:20-05:00, jas@rowvwade. +11 -3
    Added XID information to prepare and serial log transactions to support XA transactions.

  storage/falcon/Transaction.h@1.24, 2007-01-20 17:50:20-05:00, jas@rowvwade. +3 -3
    Added XID information to prepare and serial log transactions to support XA transactions.

  storage/falcon/ha_falcon.cpp@1.104, 2007-01-20 17:50:21-05:00, jas@rowvwade. +35 -2
    Added support for XA transactions (not complete yet, unfortunately).  Also
    get prototype online add index working for testing.

  storage/falcon/ha_falcon.h@1.20, 2007-01-20 17:50:21-05:00, jas@rowvwade. +5 -0
    Added support for XA transactions (not complete yet, unfortunately).  Also
    get prototype online add index working for testing.

ChangeSet@1.2390.7.7, 2007-01-20 14:08:53+03:00, dlenev@mockturtle.local +2 -0
  Fixed test case for bug #25044 "ALTER TABLE ... ENABLE KEYS acquires
  global 'opening tables' lock." after merging it into 5.1 tree.

  mysql-test/r/alter_table-big.result@1.2, 2007-01-20 14:08:50+03:00, dlenev@mockturtle.local +1 -1
    Fixed "show binlog events" usage as 5.1 and 5.0 sizes of binlog
    events differ.

  mysql-test/t/alter_table-big.test@1.2, 2007-01-20 14:08:50+03:00, dlenev@mockturtle.local +2 -2
    This test needs statement based binlogging.
    Also fixed "show binlog events" usage as 5.1 and 5.0 sizes
    of binlog events differ.

ChangeSet@1.2343.10.26, 2007-01-20 03:01:37+01:00, jonas@perch.ndb.mysql.com +2 -0
  ndb - Fix bug when sending NODE_VERSION_REP

  storage/ndb/src/kernel/blocks/qmgr/Qmgr.hpp@1.14.1.3, 2007-01-20 03:01:35+01:00, jonas@perch.ndb.mysql.com +6 -0
    Fix bug when sending NODE_VERSION_REP

  storage/ndb/src/kernel/blocks/qmgr/QmgrMain.cpp@1.42.1.5, 2007-01-20 03:01:35+01:00, jonas@perch.ndb.mysql.com +38 -24
    Fix bug when sending NODE_VERSION_REP

ChangeSet@1.2343.33.60, 2007-01-19 17:57:53-05:00, jas@rowvwade. +5 -0
  Rework index "new level" code to keep the root constant to the index root page
  could be cached in the Index object, obviating the need to look it up for for
  index operation.  The Optimization is current invoked only during the index
  scan operation, but extending it to other operations once it becomes stable
  will be very easy.

  storage/falcon/Index.cpp@1.29, 2007-01-19 17:57:45-05:00, jas@rowvwade. +18 -9
    Rework index "new level" code to keep the root constant to the index root page
    could be cached in the Index object, obviating the need to look it up for for
    index operation.  The Optimization is current invoked only during the index
    scan operation, but extending it to other operations once it becomes stable
    will be very easy.

  storage/falcon/Index.h@1.13, 2007-01-19 17:57:45-05:00, jas@rowvwade. +5 -2
    Rework index "new level" code to keep the root constant to the index root page
    could be cached in the Index object, obviating the need to look it up for for
    index operation.  The Optimization is current invoked only during the index
    scan operation, but extending it to other operations once it becomes stable
    will be very easy.

  storage/falcon/Index2RootPage.cpp@1.4, 2007-01-19 17:57:46-05:00, jas@rowvwade. +0 -2
    Eliminated dead code.

  storage/falcon/IndexRootPage.cpp@1.49, 2007-01-19 17:57:46-05:00, jas@rowvwade. +62 -18
    Eliminated dead code.

  storage/falcon/IndexRootPage.h@1.15, 2007-01-19 17:57:46-05:00, jas@rowvwade. +4 -3
    Rework index "new level" code to keep the root constant to the index root page
    could be cached in the Index object, obviating the need to look it up for for
    index operation.  The Optimization is current invoked only during the index
    scan operation, but extending it to other operations once it becomes stable
    will be very easy.

ChangeSet@1.2343.33.59, 2007-01-19 16:30:51-05:00, jas@rowvwade. +1 -0
  Mark records as inactive when deleting.

  storage/falcon/Table.cpp@1.60, 2007-01-19 16:30:45-05:00, jas@rowvwade. +10 -2
    Mark records as inactive when deleting.

ChangeSet@1.1810.2513.1, 2007-01-19 23:15:59+03:00, dlenev@mockturtle.local +5 -0
  Fix for bug #25044 "ALTER TABLE ... ENABLE KEYS acquires global 'opening
  tables' lock."
  
  Execution of ALTER TABLE ... ENABLE KEYS on a table (which can take rather
  long time) prevented concurrent execution of all statements using tables.
  
  The problem was caused by the fact that we were holding LOCK_open mutex
  during whole duration of this statement and particularly during call
  to handler::enable_indexes(). This behavior was introduced as part of the
  fix for bug 14262 "SP: DROP PROCEDURE|VIEW (maybe more) write to binlog
  too late (race cond)"
  
  The patch simply restores old behavior. Note that we can safely do this as
  this operation takes exclusive lock (similar to name-lock) which blocks both
  DML and DDL on the table being altered.
  
  It also introduces mysql-test/include/wait_show_pattern.inc helper script
  which is used to make test-case for this bug robust enough.

  mysql-test/include/wait_show_pattern.inc@1.1, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +51 -0
    New BitKeeper file ``mysql-test/include/wait_show_pattern.inc''

  mysql-test/include/wait_show_pattern.inc@1.0, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +0 -0

  mysql-test/include/wait_slave_status.inc@1.2, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +7 -36
    Now wait_slave_status.inc reuses more generic wait_output_matches.inc script.

  mysql-test/r/alter_table-big.result@1.1, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +18 -0
    New BitKeeper file ``mysql-test/r/alter_table-big.result''

  mysql-test/r/alter_table-big.result@1.0, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +0 -0

  mysql-test/t/alter_table-big.test@1.1, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +62 -0
    New BitKeeper file ``mysql-test/t/alter_table-big.test''

  mysql-test/t/alter_table-big.test@1.0, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +0 -0

  sql/sql_table.cc@1.239.43.1, 2007-01-19 23:15:58+03:00, dlenev@mockturtle.local +23 -2
    mysql_alter_table():
      Changed ALTER TABLE ... ENABLE/DISABLE KEYS not to hold LOCK_open mutex
      during call to handler::enable_indexes() as the latter can take rather
      long time and therefore such ALTER would block execution of all other
      statements that use tables. We can safely do this as this operation takes 
      exclusive lock (similar to name-lock) on the table which is altered.

ChangeSet@1.2343.33.58, 2007-01-19 15:00:05-05:00, jas@rowvwade. +8 -0
  Tighten thread-safe careful-write record tree code.  Also streamlined
  code path to IndexRootPage::indexScan.

  storage/falcon/Database.cpp@1.42, 2007-01-19 14:59:55-05:00, jas@rowvwade. +2 -0
    Streamline index scan path.

  storage/falcon/Database.h@1.17, 2007-01-19 14:59:56-05:00, jas@rowvwade. +1 -1
    Streamline index scan path.

  storage/falcon/Dbb.cpp@1.45, 2007-01-19 14:59:56-05:00, jas@rowvwade. +2 -0
    Streamline index scan path.

  storage/falcon/Dbb.h@1.23, 2007-01-19 14:59:57-05:00, jas@rowvwade. +1 -1
    Streamline index scan path.

  storage/falcon/Index.cpp@1.28, 2007-01-19 14:59:57-05:00, jas@rowvwade. +17 -1
    Streamline index scan path.

  storage/falcon/RecordLeaf.cpp@1.16, 2007-01-19 14:59:57-05:00, jas@rowvwade. +2 -1
    Tighten thread-safe careful-write record tree code.

  storage/falcon/RepositoryVolume.cpp@1.6, 2007-01-19 14:59:58-05:00, jas@rowvwade. +6 -6
    Tighten thread-safe careful-write record tree code.

  storage/falcon/Table.cpp@1.59, 2007-01-19 14:59:58-05:00, jas@rowvwade. +74 -44
    Tighten thread-safe careful-write record tree code.

ChangeSet@1.1810.2490.4, 2007-01-19 13:09:48-05:00, iggy@recycle.(none) +1 -0
  Bug#22807 mysql_upgrade fails when called with a basedir-path containing spaces
  - Corrected compiler warnings and performance problems with new 
  dynstr_append_os_quoted function.

  mysys/string.c@1.8.2.2, 2007-01-19 13:09:46-05:00, iggy@recycle.(none) +13 -15
    Bug#22807 mysql_upgrade fails when called with a basedir-path containing spaces
    - Fix compiler warnings.
    - Used dynstr_append_mem where string length is known.

ChangeSet@1.2343.70.3, 2007-01-19 12:19:20-05:00, jas@rowvwade. +10 -0
  Fixed record tree to be completely thread safe careful write.

  storage/falcon/RecordGroup.cpp@1.6, 2007-01-19 12:19:10-05:00, jas@rowvwade. +23 -26
    Fixed record tree to be completely thread safe careful write.

  storage/falcon/RecordGroup.h@1.5, 2007-01-19 12:19:10-05:00, jas@rowvwade. +1 -1
    Fixed record tree to be completely thread safe careful write.

  storage/falcon/RecordLeaf.cpp@1.15, 2007-01-19 12:19:11-05:00, jas@rowvwade. +15 -18
    Fixed record tree to be completely thread safe careful write.

  storage/falcon/RecordLeaf.h@1.7, 2007-01-19 12:19:11-05:00, jas@rowvwade. +1 -5
    Fixed record tree to be completely thread safe careful write.

  storage/falcon/RecordSection.h@1.5, 2007-01-19 12:19:11-05:00, jas@rowvwade. +1 -1
    Fixed record tree to be completely thread safe careful write.

  storage/falcon/SRLUpdateRecords.cpp@1.17, 2007-01-19 12:19:12-05:00, jas@rowvwade. +1 -0
    Added insertion for bad record numbers.

  storage/falcon/SyncObject.cpp@1.18, 2007-01-19 12:19:12-05:00, jas@rowvwade. +1 -1
    Delete blank line.

  storage/falcon/Table.cpp@1.58, 2007-01-19 12:19:13-05:00, jas@rowvwade. +16 -51
    Fixed record tree to be completely thread safe careful write.

  storage/falcon/Table.h@1.13, 2007-01-19 12:19:13-05:00, jas@rowvwade. +1 -1
    Fixed record tree to be completely thread safe careful write.

  storage/falcon/Transaction.cpp@1.48, 2007-01-19 12:19:13-05:00, jas@rowvwade. +1 -0
    Added assertion for valid record number

ChangeSet@1.2390.1.30, 2007-01-19 11:30:40-05:00, cmiller@zippy.cornsilk.net +1 -0
  Add missing version delimiter.

  mysql-test/t/ps.test@1.103, 2007-01-19 11:30:38-05:00, cmiller@zippy.cornsilk.net +2 -0
    Add missing version delimiter.

ChangeSet@1.2343.10.25, 2007-01-19 17:01:52+01:00, jonas@perch.ndb.mysql.com +2 -0
  ndb - bug#19645
    fix some more sp100 hang cases

  storage/ndb/src/kernel/blocks/qmgr/QmgrMain.cpp@1.42.1.4, 2007-01-19 17:01:49+01:00, jonas@perch.ndb.mysql.com +5 -0
    let suma know of API_FAILREQ even if not connected, to handle startme/handover 
      problem

  storage/ndb/src/kernel/blocks/suma/Suma.cpp@1.49.1.2, 2007-01-19 17:01:49+01:00, jonas@perch.ndb.mysql.com +29 -0
    some error inserts
    + resend API_FAILREQ during handover

ChangeSet@1.1810.2512.1, 2007-01-19 18:34:09+03:00, evgen@moonbone.local +6 -0
  Bug#25172: Not checked buffer size leads to a server crash.
  
  After fix for bug#21798 JOIN stores the pointer to the buffer for sorting
  fields. It is used while sorting for grouping and for ordering. If ORDER BY
  clause has more elements then the GROUP BY clause then a memory overrun occurs.
  
  Now the length of the ORDER BY list is always passed to the 
  make_unireg_sortorder() function and it allocates buffer big enough to be
  used for bigger list.

  mysql-test/r/select.result@1.121.9.1, 2007-01-19 18:33:41+03:00, evgen@moonbone.local +8 -0
    Added a test case for bug#25172: Not checked buffer size leads to a server crash.

  mysql-test/t/select.test@1.102.7.1, 2007-01-19 18:33:44+03:00, evgen@moonbone.local +11 -0
    Added a test case for bug#25172: Not checked buffer size leads to a server crash.

  sql/sql_delete.cc@1.144.1.46, 2007-01-19 18:33:25+03:00, evgen@moonbone.local +1 -1
    Bug#25172: Not checked buffer size leads to a server crash.
    Length parameter is initialized to 0 for the make_unireg_sortorder() function.

  sql/sql_select.cc@1.312.1.169, 2007-01-19 18:33:29+03:00, evgen@moonbone.local +8 -4
    Bug#25172: Not checked buffer size leads to a server crash.
    Now the length of the ORDER BY list is always passed to the 
    make_unireg_sortorder() function and it allocates buffer big enough to be
    used for bigger list.

  sql/sql_table.cc@1.239.42.1, 2007-01-19 18:33:37+03:00, evgen@moonbone.local +1 -1
    Bug#25172: Not checked buffer size leads to a server crash.
    Length parameter is initialized to 0 for the make_unireg_sortorder() function.

  sql/sql_update.cc@1.154.26.3, 2007-01-19 18:33:40+03:00, evgen@moonbone.local +1 -1
    Bug#25172: Not checked buffer size leads to a server crash.
    Length parameter is initialized to 0 for the make_unireg_sortorder() function.

ChangeSet@1.2390.8.1, 2007-01-19 18:33:48+03:00, kroki@moonlight.home +4 -0
  BUG#25211: events_bugs.test fails on sapsrv1
  
  The problem was that the events_bugs test could randomly fail due to
  races in the test case.
  
  The solution is to replace fixed sleeps with reliable polling of a
  certain state to settle.  For that, a new auxiliary script
  include/wait_condition.inc is used, that allows waiting for a given
  query to return true.

  mysql-test/include/wait_condition.inc@1.1, 2007-01-19 18:33:45+03:00, kroki@moonlight.home +39 -0
    New BitKeeper file ``mysql-test/include/wait_condition.inc''

  mysql-test/include/wait_condition.inc@1.0, 2007-01-19 18:33:45+03:00, kroki@moonlight.home +0 -0

  mysql-test/include/wait_until_rows_count.inc@1.2, 2007-01-19 18:33:45+03:00, kroki@moonlight.home +9 -41
    Script is rewritten using new include/wait_condition.inc.

  mysql-test/r/events_bugs.result@1.24, 2007-01-19 18:33:45+03:00, kroki@moonlight.home +72 -15
    Update result: add missing quotation mark.

  mysql-test/t/events_bugs.test@1.23, 2007-01-19 18:33:45+03:00, kroki@moonlight.home +84 -13
    Replace --sleep with the reliable waiting for a certain state.

ChangeSet@1.1810.2371.58, 2007-01-19 10:33:07-05:00, cmiller@zippy.cornsilk.net +1 -0
  Rearrange disable_warnings to enclose the warning emitters properly.

  mysql-test/t/ps.test@1.56.1.31, 2007-01-19 10:33:05-05:00, cmiller@zippy.cornsilk.net +2 -2
    Rearrange disable_warnings to enclose the warning emitters properly.

ChangeSet@1.1810.2511.1, 2007-01-19 08:56:06-05:00, cmiller@zippy.cornsilk.net +1 -0
  The rpl tree added a test case, and another source added a warning,
  and combined, they add a platform-specific warning.  The warnings 
  are not the goal of the test, in any case.

  mysql-test/t/ps.test@1.56.1.30, 2007-01-19 08:56:03-05:00, cmiller@zippy.cornsilk.net +2 -0
    Quash platform-specific warnings.

ChangeSet@1.1810.2504.2, 2007-01-19 13:06:22+01:00, istruewing@chilla.local +1 -0
  After merge fix

  mysql-test/r/myisam.result@1.71.11.2, 2007-01-19 13:06:19+01:00, istruewing@chilla.local +1 -1
    After merge fix

ChangeSet@1.2372.6.5, 2007-01-19 12:18:18+01:00, msvensson@pilot.mysql.com +1 -0
  Update result file to 5.1 format

  mysql-test/r/symlink.result@1.28.1.2, 2007-01-19 12:18:17+01:00, msvensson@pilot.mysql.com +2 -2
    Update result file to 5.1 format

ChangeSet@1.2372.23.1, 2007-01-19 14:14:11+03:00, kaa@polly.local +1 -0
  Fix for the bug #23814 "mysqlimport crashes"
  
  mysqlimport.c declared the opt_use_threads variable as my_bool, but the corresponding option was defined as GET_UINT. The problem only occured on architectures with strict alignment rules.

  client/mysqlimport.c@1.80, 2007-01-19 14:14:09+03:00, kaa@polly.local +2 -2
    Changed the opt_use_threads variable type to uint.

ChangeSet@1.1810.2424.16, 2007-01-19 12:03:03+01:00, msvensson@pilot.mysql.com +2 -0
  Use $MYSQLTESTVARDIR

  mysql-test/r/symlink.result@1.21.5.2, 2007-01-19 12:03:02+01:00, msvensson@pilot.mysql.com +2 -2
    Use $MYSQLTESTVARDIR

  mysql-test/t/symlink.test@1.17.2.2, 2007-01-19 12:03:02+01:00, msvensson@pilot.mysql.com +4 -4
    Use $MYSQLTESTVARDIR

ChangeSet@1.1810.2489.13, 2007-01-19 11:58:29+01:00, joerg@trift2. +1 -0
  cmd-line-utils/readline/undo.c  :    Replace an "uint" cast by the expanded "unsigned int" (compile problem on QNX).

  cmd-line-utils/readline/undo.c@1.10.2.1, 2007-01-19 11:58:26+01:00, joerg@trift2. +1 -1
    Replace an "uint" cast by the expanded "unsigned int",
    because there are platforms (QNX) on which "uint" is not defined in the "readline" library
    (and so building it failed, version 5.0.34).

ChangeSet@1.2372.18.3, 2007-01-19 11:35:00+01:00, tomas@poseidon.mysql.com +1 -0
  Bug#25387 ndb: dbug assert in reference counting for event operations
  - on blob part execute failure, must leave in state executin, and await dropEventOperation

  storage/ndb/src/ndbapi/NdbEventOperationImpl.cpp@1.76, 2007-01-19 11:34:52+01:00, tomas@poseidon.mysql.com +6 -1
    Bug#25387 ndb: dbug assert in reference counting for event operations
    - on blob part execute failure, must leave in state executin, and await dropEventOperation

ChangeSet@1.1810.2510.1, 2007-01-19 11:07:20+01:00, msvensson@pilot.mysql.com +1 -0
  Bug #15518 Reusing a stmt that has failed during prepare does not clear error
   - Additional patch removing check for mysql_errno on already closed
     mysql1

  tests/mysql_client_test.c@1.167.1.54, 2007-01-19 11:07:19+01:00, msvensson@pilot.mysql.com +0 -1
    No need to check mysql_errno of mysql1 which has already been closed.

ChangeSet@1.1810.2507.2, 2007-01-19 00:17:28-08:00, igor@olga.mysql.com +4 -0
  Fixed bug #25219: crash for a query that contains an EXIST subquery with
  UNION over correlated and uncorrelated SELECTS.
  In such subqueries each uncorrelated SELECT should be considered as
  uncacheable. Otherwise join_free is called for it and in many cases
  it causes some problems.

  mysql-test/r/subselect.result@1.134.13.1, 2007-01-19 00:17:26-08:00, igor@olga.mysql.com +33 -0
    Added a test case for bug #25219.

  mysql-test/t/subselect.test@1.129.1.9, 2007-01-19 00:17:26-08:00, igor@olga.mysql.com +34 -0
    Added a test case for bug #25219.

  sql/mysql_priv.h@1.290.81.4, 2007-01-19 00:17:26-08:00, igor@olga.mysql.com +4 -1
    Fixed bug #25219: crash for a query that contains an EXIST subquery with
    UNION over correlated and uncorrelated SELECTS.
    In such subqueries each uncorrelated SELECT should be considered as
    uncacheable. Otherwise join_free is called for it and in many cases
    it causes some problems. 
    Added a new flag UNCACHEABLE_UNITED for such SELECTs.

  sql/sql_lex.cc@1.142.31.5, 2007-01-19 00:17:26-08:00, igor@olga.mysql.com +10 -2
    Fixed bug #25219: crash for a query that contains an EXIST subquery with
    UNION over correlated and uncorrelated SELECTS.
    In such subqueries each uncorrelated SELECT should be considered as
    uncacheable. Otherwise join_free is called for it and in many cases
    it causes some problems.
    Added a new flag UNCACHEABLE_UNITED for such SELECTs.

ChangeSet@1.2390.1.24, 2007-01-19 12:15:44+04:00, ramil@mysql.com +1 -0
  after merge fix.

  mysql-test/r/select.result@1.142, 2007-01-19 12:15:34+04:00, ramil@mysql.com +5 -5
    after merge fix.

ChangeSet@1.2390.7.4, 2007-01-18 21:30:25-07:00, malff@weblab.(none) +1 -0
  Manual merge

  mysql-test/r/alter_table.result@1.73, 2007-01-18 21:30:21-07:00, malff@weblab.(none) +1 -1
    Manual merge

ChangeSet@1.1810.2124.40, 2007-01-19 04:36:33+01:00, jonas@perch.ndb.mysql.com +1 -0
  ndb - bug#25711
    fix cpu peak in big clusters during unpack of config

  ndb/src/common/util/ConfigValues.cpp@1.8.3.1, 2007-01-19 04:36:32+01:00, jonas@perch.ndb.mysql.com +121 -85
    use bin-search instead of hash (as keys collide too much)

ChangeSet@1.1810.2503.3, 2007-01-18 18:37:52-07:00, malff@weblab.(none) +3 -0
  Manual merge

  mysql-test/r/alter_table.result@1.49.1.13, 2007-01-18 18:37:49-07:00, malff@weblab.(none) +113 -0
    Manual merge

  mysql-test/t/alter_table.test@1.36.1.13, 2007-01-18 18:37:49-07:00, malff@weblab.(none) +5 -5
    Manual merge

  sql/sql_yacc.yy@1.371.1.132, 2007-01-18 18:37:49-07:00, malff@weblab.(none) +24 -1
    Manual merge

ChangeSet@1.1616.2940.1, 2007-01-18 16:53:49-07:00, malff@weblab.(none) +3 -0
  Bug#24562 (ALTER TABLE ... ORDER BY ... with complex expression asserts)
  WL#3681 (ALTER TABLE ORDER BY)
  
  Before this fix, the ALTER TABLE statement implemented an ORDER BY option
  with the following characteristics :
  
  1) The order by clause accepts a list of criteria, with optional ASC or
  DESC keywords
  
  2) Each criteria can be a general expression, involving operators,
  native functions, stored functions, user defined functions, subselects ...
  
  With this fix :
  
  1) has been left unchanged, since it's a de-facto existing feature,
  that was already present in the code base and partially covered in the test
  suite. Code coverage for ASC and DESC was missing and has been improved.
  
  2) has been changed to limit the kind of criteria that are permissible:
  now only a column name is valid.

  mysql-test/r/alter_table.result@1.40.1.13, 2007-01-18 16:53:47-07:00, malff@weblab.(none) +113 -0
    Prevent ALTER TABLE ORDER BY clauses to use general expressions.

  mysql-test/t/alter_table.test@1.29.1.14, 2007-01-18 16:53:47-07:00, malff@weblab.(none) +66 -0
    Prevent ALTER TABLE ORDER BY clauses to use general expressions.

  sql/sql_yacc.yy@1.203.1.200, 2007-01-18 16:53:47-07:00, malff@weblab.(none) +24 -1
    Prevent ALTER TABLE ORDER BY clauses to use general expressions.

ChangeSet@1.2390.1.22, 2007-01-18 18:02:58-05:00, cmiller@zippy.cornsilk.net +1 -0
  Fix merge problem.

  sql/sql_parse.cc@1.619, 2007-01-18 18:02:56-05:00, cmiller@zippy.cornsilk.net +2 -2
    Fix merge problem.

ChangeSet@1.1616.2934.12, 2007-01-18 13:26:26-07:00, tsmith@siva.hindu.god +2 -0
  ndb_types.test: sleep a bit longer, to ensure that timestamp > @now

  mysql-test/r/ndb_types.result@1.2.1.1, 2007-01-18 13:26:25-07:00, tsmith@siva.hindu.god +1 -0
    update results

  mysql-test/t/ndb_types.test@1.2.1.3, 2007-01-18 13:26:25-07:00, tsmith@siva.hindu.god +5 -5
    Sleep a bit longer, to ensure that timestamp changes between:
    set @now = now();
    and:
    insert into/update t1
    
    Test case failed (select timestamp>@now from t1 ==> 0, should be 1), and passed when run again.  This should(?) avoid that fluke.
    
    Clean up test file a bit while I'm here.

ChangeSet@1.1810.2371.53, 2007-01-18 13:15:16-07:00, tsmith@siva.hindu.god +1 -0
  Makefile.am: Fix previous bad merge.  Re-enable the test-ps target.

  Makefile.am@1.68.1.27, 2007-01-18 13:15:14-07:00, tsmith@siva.hindu.god +1 -0
    Fix previous bad merge.  Re-enable the test-ps target.

ChangeSet@1.1810.2490.3, 2007-01-18 11:38:05-05:00, iggy@recycle.(none) +3 -0
  Bug#22807 mysql_upgrade fails when called with a basedir-path containing spaces
  - Create space safe strings for system() calls in mysql_upgrade.exe

  client/mysql_upgrade.c@1.6.5.1, 2007-01-18 11:38:04-05:00, iggy@recycle.(none) +59 -22
    Bug#22807 mysql_upgrade fails when called with a basedir-path containing spaces
    - Make use of new dynstr_append_os_quoted function to produce a string safe for
    passing to the system() function.                                              
    - Refactor possible source of assertion.

  include/my_sys.h@1.178.9.1, 2007-01-18 11:38:04-05:00, iggy@recycle.(none) +2 -0
    Bug#22807 mysql_upgrade fails when called with a basedir-path containing spaces
    - Declare dynstr_append_os_quoted function.

  mysys/string.c@1.8.2.1, 2007-01-18 11:38:04-05:00, iggy@recycle.(none) +52 -0
    Bug#22807 mysql_upgrade fails when called with a basedir-path containing spaces
    - Define dynstr_append_os_quoted function.  This function will concatenate any 
    number of strings, escapes any OS quote in the result then surround the whole  
    affair in another set of quotes which is finally appended to specified         
    DYNAMIC_STRING.

ChangeSet@1.1346.1.859, 2007-01-18 16:41:32+01:00, joerg@mysql.com +1 -0
  Raise version number after cloning 4.0.29

  configure.in@1.191.1.149, 2007-01-18 16:41:18+01:00, joerg@mysql.com +1 -1
    Raise version number after cloning 4.0.29

ChangeSet@1.2372.21.1, 2007-01-18 10:34:50-05:00, iggy@alf. +1 -0
  Bug#25408 5.1 Can't compile on Windows
  - DBUG_ENTER must be called before assignment on Windows and Netware.

  storage/myisam/mi_packrec.c@1.42.3.1, 2007-01-18 10:34:45-05:00, iggy@alf. +1 -1
    Bug#25408 5.1 Can't compile on Windows
    - Call DBUG_ENTER before variable assignment.

ChangeSet@1.1810.2506.1, 2007-01-18 17:33:38+02:00, gkodinov@macbook.gmz +3 -0
  Bug #25382: Passing NULL to an UDF called from stored procedures 
   crashes server
   Check for null value is reliable only after calling some of the 
   val_xxx() methods. If the val_xxx() method is not called
   the null_value flag will be set only for certain types of NULL
   values (like SQL constant NULLs for example).
   This caused a crash while trying to dereference a NULL pointer
   that is returned by val_str() for NULL values.
   Fixed by swapping the order of val_xxx() and null_value check.

  mysql-test/r/udf.result@1.3.1.8, 2007-01-18 17:33:31+02:00, gkodinov@macbook.gmz +34 -0
    Bug #25382: Passing NULL to an UDF called from stored procedures 
     crashes server
     - test case

  mysql-test/t/udf.test@1.8.1.4, 2007-01-18 17:33:32+02:00, gkodinov@macbook.gmz +47 -0
    Bug #25382: Passing NULL to an UDF called from stored procedures 
     crashes server
     - test case

  sql/item_func.cc@1.270.37.1, 2007-01-18 17:33:33+02:00, gkodinov@macbook.gmz +6 -3
    Bug #25382: Passing NULL to an UDF called from stored procedures 
     crashes server
     - reliably check null_value

ChangeSet@1.2372.20.1, 2007-01-18 13:21:20+01:00, mskold@mysql.com +1 -0
  Crash in rpl_ndb_dd_advance: check for null transaction pointer

  sql/ha_ndbcluster.cc@1.393, 2007-01-18 13:20:30+01:00, mskold@mysql.com +1 -1
    Crash in rpl_ndb_dd_advance: check for null transaction pointer

ChangeSet@1.1810.2501.3, 2007-01-18 15:28:45+04:00, ramil@mysql.com +4 -0
  after merge fix.

  mysql-test/r/range.result@1.44.2.1, 2007-01-18 15:28:31+04:00, ramil@mysql.com +2 -2
    after merge fix.

  mysql-test/r/type_bit.result@1.14.2.1, 2007-01-18 15:28:32+04:00, ramil@mysql.com +1 -1
    after merge fix.

  mysql-test/r/type_bit_innodb.result@1.3.1.3, 2007-01-18 15:28:32+04:00, ramil@mysql.com +1 -1
    after merge fix.

  sql/field.cc@1.256.40.1, 2007-01-18 15:28:32+04:00, ramil@mysql.com +2 -0
    after merge fix.

ChangeSet@1.1810.2502.1, 2007-01-18 12:48:17+03:00, kroki@moonlight.home +3 -0
  Bug#24404: strange bug with view+permission+prepared statement.
  
  The problem was that if a prepared statement accessed a view, the
  access to the tables listed in the query after that view was done in
  the security context of the view.
  
  The bug was in the assigning of the security context to the tables
  belonging to a view: we traversed the list of all query tables
  instead.  It didn't show up in the normal (non-prepared) statements
  because of the different order of the steps of checking privileges
  and descending into a view for normal and prepared statements.
  
  The solution is to traverse the list and stop once the last table
  belonging to the view was processed.

  mysql-test/r/view_grant.result@1.8.7.1, 2007-01-18 12:48:15+03:00, kroki@moonlight.home +43 -0
    Add result for bug#24404: strange bug with view+permission+prepared
    statement.

  mysql-test/t/view_grant.test@1.8.7.1, 2007-01-18 12:48:15+03:00, kroki@moonlight.home +71 -1
    Add test case for bug#24404: strange bug with view+permission+prepared
    statement.

  sql/sql_view.cc@1.78.16.1, 2007-01-18 12:48:15+03:00, kroki@moonlight.home +7 -3
    Remove dead line.
    When setting security context, we should traverse the list of tables
    belonging to a given view, not all query tables.  We achieve that by
    stopping at the first table past view_tables_tail.

ChangeSet@1.1810.2501.2, 2007-01-18 10:51:29+04:00, ramil@mysql.com +2 -0
  after merge fix.

  mysql-test/r/select.result@1.121.8.2, 2007-01-18 10:51:25+04:00, ramil@mysql.com +17 -363
    after merge fix.

  sql/item.cc@1.113.58.3, 2007-01-18 10:51:25+04:00, ramil@mysql.com +2 -2
    after merge fix.

ChangeSet@1.1810.2456.32, 2007-01-17 20:13:45-08:00, igor@olga.mysql.com +6 -0
  Fixed bug #25580: incorrect stored representations of views in cases
  when they contain the '!' operator.
  Added an implementation for the method Item_func_not::print. 
  The method encloses any NOT expression into extra parentheses to avoid
  incorrect stored representations of views that use the '!' operators.
  Without this change when a view was created that contained
  the expression !0*5  its stored representation contained not this
  expression but rather the expression not(0)*5 . 
  The operator '!' is of a higher precedence than '*', while NOT is 
  of a lower precedence than '*'. That's why the expression !0*5 
  is interpreted as not(0)*5, while the expression not(0)*5 is interpreted
  as not((0)*5) unless sql_mode is set to HIGH_NOT_PRECEDENCE.
  Now we translate !0*5 into (not(0))*5. 

  mysql-test/r/sp-code.result@1.5.2.1, 2007-01-17 20:13:43-08:00, igor@olga.mysql.com +1 -1
    Adjusted results after the fix of bug 25580.

  mysql-test/r/subselect.result@1.134.12.1, 2007-01-17 20:13:43-08:00, igor@olga.mysql.com +5 -5
    Adjusted results after the fix of bug 25580.

  mysql-test/r/view.result@1.138.28.2, 2007-01-17 20:13:43-08:00, igor@olga.mysql.com +11 -0
    Added a test case for bug #25580.

  mysql-test/t/view.test@1.126.26.1, 2007-01-17 20:13:43-08:00, igor@olga.mysql.com +11 -0
    Added a test case for bug #25580.

  sql/item_cmpfunc.cc@1.187.16.1, 2007-01-17 20:13:43-08:00, igor@olga.mysql.com +16 -0
    Fixed bug #25580: incorrect stored representations of views in cases
    when they contain the '!' operator.
    Added an implementation for the method Item_func_not::print. 
    The method encloses the NOT expression into extra parenthesis to avoid
    incorrect stored representations of views that use the '!' operators.

  sql/item_cmpfunc.h@1.122.7.2, 2007-01-17 20:13:43-08:00, igor@olga.mysql.com +1 -0
    Fixed bug #25580: incorrect stored representations of views in cases
    when they contain the '!' operator.
    Added an implementation for the method Item_func_not::print. 
    The method encloses the NOT expression into extra parenthesis to avoid
    incorrect stored representations of views that use the '!' operators.

ChangeSet@1.2372.19.4, 2007-01-17 18:15:35-05:00, cmiller@zippy.cornsilk.net +3 -0
  errmsg change

  mysql-test/r/sp.result@1.243, 2007-01-17 18:15:33-05:00, cmiller@zippy.cornsilk.net +4 -4
    errmsg change

  mysql-test/r/sp_gis.result@1.7, 2007-01-17 18:15:33-05:00, cmiller@zippy.cornsilk.net +2 -2
    errmsg change

  mysql-test/r/udf.result@1.15.1.1, 2007-01-17 18:15:33-05:00, cmiller@zippy.cornsilk.net +1 -1
    errmsg change

ChangeSet@1.1810.2124.39, 2007-01-17 21:15:13+01:00, jonas@perch.ndb.mysql.com +6 -0
  ndb - bug#25686
    add support for doing mlockall before mallc instead of after
    (recommit in 5.0)

  ndb/include/portlib/NdbMem.h@1.3.2.1, 2007-01-17 21:15:11+01:00, jonas@perch.ndb.mysql.com +1 -1
    add support for doing mlockall before mallc instead of after

  ndb/src/common/portlib/NdbMem.c@1.12.2.1, 2007-01-17 21:15:11+01:00, jonas@perch.ndb.mysql.com +9 -1
    add support for doing mlockall before mallc instead of after

  ndb/src/kernel/blocks/cmvmi/Cmvmi.cpp@1.18.14.1, 2007-01-17 21:15:11+01:00, jonas@perch.ndb.mysql.com +17 -2
    add support for doing mlockall before mallc instead of after

  ndb/src/kernel/vm/Configuration.cpp@1.39.12.1, 2007-01-17 21:15:11+01:00, jonas@perch.ndb.mysql.com +1 -1
    add support for doing mlockall before mallc instead of after

  ndb/src/kernel/vm/Configuration.hpp@1.15.5.1, 2007-01-17 21:15:11+01:00, jonas@perch.ndb.mysql.com +1 -1
    add support for doing mlockall before mallc instead of after

  ndb/src/mgmsrv/ConfigInfo.cpp@1.60.23.1, 2007-01-17 21:15:12+01:00, jonas@perch.ndb.mysql.com +4 -4
    add support for doing mlockall before mallc instead of after

ChangeSet@1.2372.19.3, 2007-01-17 15:01:28-05:00, cmiller@zippy.cornsilk.net +1 -0
  errmsg update from Stefan.

  sql/share/errmsg.txt@1.138.1.1, 2007-01-17 15:01:26-05:00, cmiller@zippy.cornsilk.net +14 -7
    errmsg update from Stefan.

ChangeSet@1.2343.70.2, 2007-01-17 13:43:10-05:00, jas@rowvwade. +1 -0
  Disable show status until it actually works.

  storage/falcon/ha_falcon.cpp@1.103, 2007-01-17 13:43:04-05:00, jas@rowvwade. +1 -1
    Disable show status until it actually works.

ChangeSet@1.1616.2938.1, 2007-01-17 13:22:50-05:00, cmiller@zippy.cornsilk.net +2 -0
  Bug#23721: compile fails: check-cpu mishandles cpu flags with \
  	hyphen in it (like ds-cpl).
  
  convert illegal chars in cpu flags to '_' for variable assignment

  BUILD/check-cpu@1.12.3.1, 2007-01-17 13:22:49-05:00, cmiller@zippy.cornsilk.net +1 -1
    convert illegal chars in cpu flags to '_' for variable assignment

  BitKeeper/etc/collapsed@1.1.1.4, 2007-01-17 13:12:09-05:00, cmiller@zippy.cornsilk.net +1 -0

ChangeSet@1.1810.2489.9, 2007-01-17 20:46:09+03:00, kostja@bodhi.local +1 -0
  Disable symlinks under valgrind builds (again), with a comment.

  sql/mysqld.cc@1.439.87.3, 2007-01-17 20:46:06+03:00, kostja@bodhi.local +13 -2
    Once again, disable symlink.test under valgrind builds. symlink.test
    fails deep in mi_repair - the result of this having been disabled
    for almost 5 years. 

ChangeSet@1.2343.69.1, 2007-01-17 12:16:37-05:00, jas@rowvwade. +17 -0
  Added analysis function for file space and index analysis.  Restructured table analysis
  report structure.  Added transaction prepare mechanism to storage handler interface.

  storage/falcon/Connection.h@1.4, 2007-01-17 12:16:25-05:00, jas@rowvwade. +1 -0
    Added flag for disk space analysis.

  storage/falcon/Database.cpp@1.41, 2007-01-17 12:16:25-05:00, jas@rowvwade. +30 -4
    Added support for index and disk space analysis.

  storage/falcon/Dbb.cpp@1.44, 2007-01-17 12:16:26-05:00, jas@rowvwade. +69 -22
    Added support for index and disk space analysis.

  storage/falcon/Dbb.h@1.22, 2007-01-17 12:16:26-05:00, jas@rowvwade. +30 -9
    Added support for index and disk space analysis.

  storage/falcon/Engine.vcproj@1.9, 2007-01-17 12:16:27-05:00, jas@rowvwade. +8 -2
    Added TransactionManager to Netfrastructure build.

  storage/falcon/IndexRootPage.cpp@1.48, 2007-01-17 12:16:27-05:00, jas@rowvwade. +45 -0
    Added index analysis.

  storage/falcon/IndexRootPage.h@1.14, 2007-01-17 12:16:27-05:00, jas@rowvwade. +2 -0
    Added index analysis.

  storage/falcon/PageInventoryPage.cpp@1.11, 2007-01-17 12:16:28-05:00, jas@rowvwade. +43 -0
    Added space analysis.

  storage/falcon/PageInventoryPage.h@1.6, 2007-01-17 12:16:28-05:00, jas@rowvwade. +2 -0
    Added space analysis.

  storage/falcon/StorageConnection.cpp@1.18, 2007-01-17 12:16:28-05:00, jas@rowvwade. +12 -0
    Added transaction prepare call to storage handler interface.

  storage/falcon/StorageConnection.h@1.12, 2007-01-17 12:16:29-05:00, jas@rowvwade. +2 -1
    Added transaction prepare call to storage handler interface.

  storage/falcon/StorageHandler.cpp@1.8, 2007-01-17 12:16:29-05:00, jas@rowvwade. +36 -0
    Added transaction prepare call to storage handler interface.

  storage/falcon/StorageHandler.h@1.3, 2007-01-17 12:16:30-05:00, jas@rowvwade. +4 -1
    Added transaction prepare call to storage handler interface.

  storage/falcon/Stream.cpp@1.3, 2007-01-17 12:16:30-05:00, jas@rowvwade. +6 -0
    Added "indent" method to stream object.

  storage/falcon/Stream.h@1.3, 2007-01-17 12:16:30-05:00, jas@rowvwade. +1 -0
    Added "indent" method to stream object.

  storage/falcon/ha_falcon.cpp@1.102, 2007-01-17 12:16:31-05:00, jas@rowvwade. +21 -0
    Added transaction prepare mechanism to storage handle interface.  Also sketched in show_status (it
    will change again soon).

  storage/falcon/ha_falcon.h@1.19, 2007-01-17 12:16:31-05:00, jas@rowvwade. +5 -3
    Added transaction prepare mechanism to storage handle interface.  Also sketched in show_status (it
    will change again soon).

ChangeSet@1.1616.2934.6, 2007-01-17 15:46:30+03:00, kostja@bodhi.local +1 -0
  Fix a failure of lowercase_tables2 test on powermacg5, introduced
  by the patch for Bug#4968

  sql/sql_parse.cc@1.271.128.4, 2007-01-17 15:46:28+03:00, kostja@bodhi.local +1 -1
    Fix lowercase_tables2 test failure on powermacg5: table_case_name()
    function needed create_info.alias if lowercase_table_names=2, which
    was not set for the stack copy of HA_CREATE_INFO. Move the
    update of create_info.alias from create_table_precheck to 
    mysql_execute_command, so that it is done on the right object.

ChangeSet@1.1810.2371.46, 2007-01-17 13:43:03+01:00, msvensson@neptunus.(none) +1 -0
  Replace the --exec in a while loop that causes 3400 executions of cygwin/bash on 
  windows with a small perl script that does exactly the same. 

  mysql-test/t/mysql.test@1.4.1.21, 2007-01-17 13:43:00+01:00, msvensson@neptunus.(none) +13 -10
    Replace the --exec in a while loop that causes 3400 executions of cygwin/bash on 
    windows with a small perl script that does exactly the same. 

ChangeSet@1.1810.2489.7, 2007-01-17 14:24:54+03:00, kostja@bodhi.local +3 -0
  Fix a ps.test failure in 5.0-runtime tree.

  mysql-test/r/ps.result@1.56.1.31, 2007-01-17 14:24:47+03:00, kostja@bodhi.local +0 -8
    Update result files.

  mysql-test/t/ps.test@1.56.1.29, 2007-01-17 14:24:47+03:00, kostja@bodhi.local +11 -2
    Disable result ouptut of SHOW CREATE TABLE: DATA DIRECTORY option
    may be present or absent from the output depending on the build
    otpions and the operating system, so the output is not consistent
    across supported platforms.

  sql/mysqld.cc@1.439.87.2, 2007-01-17 14:24:47+03:00, kostja@bodhi.local +2 -8
    Remove a tricky #ifdef dependency of --use-symbolic-links on PURIFY
    added in 2002: DEBUG options should not influence server functionality.
    This backfired by producing different output of SHOW CREATE TABLE
    depending on the build options (see also Bug#25677 "With 
    --skip-symbolic-links option on, DATA DIRECTORY clause
    is silently ignored".

ChangeSet@1.1616.2936.4, 2007-01-17 12:22:00+01:00, msvensson@pilot.mysql.com +4 -0
  Bug#21122 SHOW CREATE TABLE: directory output only sometimes
  Bug #25000  	myisam.test fails on 'pb-valgrind-*' Valgrind
   - Move tests that need symlink to symlink.test

  mysql-test/r/myisam.result@1.45.11.3, 2007-01-17 12:21:59+01:00, msvensson@pilot.mysql.com +0 -21
    - Move tests that need symlink to symlink.test

  mysql-test/r/symlink.result@1.11.2.1, 2007-01-17 12:21:59+01:00, msvensson@pilot.mysql.com +21 -0
    - Move tests that need symlink to symlink.test

  mysql-test/t/myisam.test@1.33.13.3, 2007-01-17 12:21:59+01:00, msvensson@pilot.mysql.com +0 -35
    - Move tests that need symlink to symlink.test

  mysql-test/t/symlink.test@1.11.2.1, 2007-01-17 12:21:59+01:00, msvensson@pilot.mysql.com +37 -0
    - Move tests that need symlink to symlink.test

ChangeSet@1.1616.2936.3, 2007-01-17 12:12:24+01:00, msvensson@pilot.mysql.com +2 -0
  Cset exclude: msvensson@pilot.mysql.com|ChangeSet|20070117102733|42618

  mysql-test/r/myisam.result@1.45.11.2, 2007-01-17 12:12:20+01:00, msvensson@pilot.mysql.com +0 -0
    Exclude

  mysql-test/t/myisam.test@1.33.13.2, 2007-01-17 12:12:20+01:00, msvensson@pilot.mysql.com +0 -0
    Exclude

ChangeSet@1.1616.2937.2, 2007-01-17 11:51:52+01:00, msvensson@pilot.mysql.com +1 -0
  Bug#25505 Myisam library compiler error on Windows

  myisam/mi_packrec.c@1.25.1.8, 2007-01-17 11:51:51+01:00, msvensson@pilot.mysql.com +1 -2
    Combine the declaration of variable and assignment into one line
    since that is allowed befgore declaring another variable in C.

ChangeSet@1.2372.18.2, 2007-01-17 10:53:42+01:00, tomas@poseidon.mysql.com +2 -0
  Bug#25387 - added comments in code suggestion during review

  storage/ndb/src/ndbapi/NdbEventOperationImpl.cpp@1.75, 2007-01-17 10:53:34+01:00, tomas@poseidon.mysql.com +28 -5
    Bug#25387 - added comments in code suggestion during review

  storage/ndb/src/ndbapi/NdbEventOperationImpl.hpp@1.33, 2007-01-17 10:53:35+01:00, tomas@poseidon.mysql.com +60 -2
    Bug#25387 - added comments in code suggestion during review

ChangeSet@1.1810.2495.4, 2007-01-17 10:41:52+01:00, tulin@mysql.com +1 -0
  ha_ndbcluster.cc:
    Bug #25668    - corrected patch after test failures
  TAG: mysql-5.0.34

  sql/ha_ndbcluster.cc@1.175.63.2, 2007-01-17 10:38:52+01:00, tulin@mysql.com +16 -9
    Bug #25668    - corrected patch after test failures

ChangeSet@1.1810.2495.3, 2007-01-17 10:06:50+01:00, tulin@mysql.com +1 -0
  ha_ndbcluster.cc:
      Bug #25668    ndb: mysqld may core if cluster disconnected
      -- pTrans may be NULL, remove not needed usage of handler::ndb_err

  sql/ha_ndbcluster.cc@1.175.63.1, 2007-01-17 10:06:00+01:00, tulin@mysql.com +9 -16
      Bug #25668    ndb: mysqld may core if cluster disconnected
      -- pTrans may be NULL, remove not needed usage of handler::ndb_err

ChangeSet@1.2372.19.1, 2007-01-16 19:17:17-05:00, cmiller@zippy.cornsilk.net +1 -0
  Disabled "plugin".  Very minor memory leak keeping tree red.

  mysql-test/t/disabled.def@1.175.38.1, 2007-01-16 19:17:15-05:00, cmiller@zippy.cornsilk.net +1 -0
    Disabled "plugin".  Very minor memory leak keeping tree red.

ChangeSet@1.1810.2495.2, 2007-01-16 20:01:17+01:00, joerg@trift2. +1 -0
  myisam/mi_packrec.c
      Fix a compile error:  Macro "DBUG_ENTER" must not follow an executable statement.

  myisam/mi_packrec.c@1.30.12.1, 2007-01-16 20:01:14+01:00, joerg@trift2. +1 -1
    Fix a compile error:  Macro "DBUG_ENTER" must not follow an executable statement.

ChangeSet@1.1616.2934.5, 2007-01-16 21:23:52+03:00, kostja@bodhi.local +2 -0
  A fix for the broken 4.1-runtime tree.

  mysql-test/t/backup.test@1.13.1.2, 2007-01-16 21:23:49+03:00, kostja@bodhi.local +1 -0
    Backport a patch for sporadically failing myisam.test (and now ps.test)
    from 5.0. The cause was in backup.test not cleaning up tables in
    mysqltest-vardir/tmp after itself.

  mysql-test/t/ps.test@1.27.1.30, 2007-01-16 21:23:49+03:00, kostja@bodhi.local +5 -0
    Add additional protection against possible failure in the middle of
    backup.test

ChangeSet@1.2372.18.1, 2007-01-16 19:22:10+01:00, tomas@poseidon.mysql.com +2 -0
  Bug#25387 - ndb: dbug assert in reference counting for event operations
  - blob event operation not reference counted correctly, missing TE_ACTIVE
  - add reference counting for blobs events
  - make sure also blob event operations get TE_ACTIVE
  - some minor cleanups + adjustment of dbug prints

  storage/ndb/src/ndbapi/NdbEventOperationImpl.cpp@1.74, 2007-01-16 19:22:02+01:00, tomas@poseidon.mysql.com +81 -59
    Bug#25387 - ndb: dbug assert in reference counting for event operations
    - blob event operation not reference counted correctly, missing TE_ACTIVE
    - add reference counting for blobs events
    - make sure also blob event operations get TE_ACTIVE
    - some minor cleanups + adjustment of dbug prints

  storage/ndb/src/ndbapi/NdbEventOperationImpl.hpp@1.32, 2007-01-16 19:22:02+01:00, tomas@poseidon.mysql.com +7 -2
    Bug#25387 - ndb: dbug assert in reference counting for event operations
    - blob event operation not reference counted correctly, missing TE_ACTIVE
    - add reference counting for blobs events
    - make sure also blob event operations get TE_ACTIVE
    - some minor cleanups + adjustment of dbug prints

ChangeSet@1.2343.10.22, 2007-01-16 18:58:43+01:00, jonas@perch.ndb.mysql.com +1 -0
  ndb - bug#25636
    additional fix after autotest
    dont send start_fragreq to temporary tables such as ordered indexes...

  storage/ndb/src/kernel/blocks/dbdih/DbdihMain.cpp@1.94.1.4, 2007-01-16 18:58:42+01:00, jonas@perch.ndb.mysql.com +3 -1
    dont send START_FRAGREQ to temporary tables (such as ordered indexes)

ChangeSet@1.1810.2496.3, 2007-01-16 17:52:17+01:00, msvensson@neptunus.(none) +1 -0
  Update xid's as an effect of not closing the prepared statements all the time

  mysql-test/t/mix_innodb_myisam_binlog.test@1.20.5.1, 2007-01-16 17:52:14+01:00, msvensson@neptunus.(none) +10 -10
    Update xid's as an effect of not closing the prepared statements all the time

ChangeSet@1.1810.2496.2, 2007-01-16 17:47:41+01:00, msvensson@neptunus.(none) +1 -0
  Don't reuse prepared statements if running with reconnect enabled

  client/mysqltest.c@1.155.30.2, 2007-01-16 17:47:33+01:00, msvensson@neptunus.(none) +10 -0
    Don't reuse prepared statements if running with reconnect enabled

ChangeSet@1.1616.2936.1, 2007-01-16 18:05:37+04:00, svoj@mysql.com +1 -0
  BUG#24855 - Crash mysqld 4.1.21 with corrupted tables
  
  Accessing fixed record format table with crashed key definition results
  in server/myisamchk segmentation fault.
  
  This is fixed by refusing to open such tables. Affects MyISAM only.
  No test case, since it requires crashed table.

  myisam/mi_open.c@1.80.2.9, 2007-01-16 18:05:36+04:00, svoj@mysql.com +7 -1
    Refuse to open fixed record format table with key segment that includes
    BLOB part (which is true only for tables with crashed key definition).

ChangeSet@1.1810.2496.1, 2007-01-16 13:39:42+01:00, msvensson@neptunus.(none) +3 -0
  Bug#15518 Reusing a stmt that has failed during prepare does not clear error
   - Always reset error when calling mysql_stmt_prepare a second time
   - Set stmt->state to MYSQL_STMT_INIT_DONE before closing prepared stmt in server.
   - Add test to mysql_client_test
   - Remove mysql_stmt_close in mysqltest after each query
   - Close all open statements in mysqltest if disable_ps_protocol is called. 

  client/mysqltest.c@1.155.30.1, 2007-01-16 13:39:38+01:00, msvensson@neptunus.(none) +21 -4
    Don't close the statement after each query - reprepare it in next query.
    When "disable_ps_protocol" is issued make sure to close all open
    statements. Otherwise the test for @@max_prepared_statements fails. But we
    also get a test that the statements that are open can be closed and reopened
    in the middle of the tests.

  libmysql/libmysql.c@1.233.11.1, 2007-01-16 13:39:39+01:00, msvensson@neptunus.(none) +11 -3
    Reset the last error every time mysql_stmt_prepare is called.
    Set state to MYSQL_STMT_INIT_DONE befoe closing it in the server. That way
    we will always have right status regardless of wheter close fails or not. 

  tests/mysql_client_test.c@1.167.24.2, 2007-01-16 13:39:39+01:00, msvensson@neptunus.(none) +85 -8
    Add testcase for bug15518, re-prepare a previously prepare statement that has failed
    to prepare. Test also when connection to server has been lost inbetween.
    Change all assert to DIE_UNLESS so we get printout of line and an error message
    if it fails.

ChangeSet@1.1810.2495.1, 2007-01-16 12:46:48+01:00, joerg@trift2. +1 -0
  configure.in  :  Fix a dependency problem for "extra/" which shows up only in RPM builds.

  configure.in@1.245.74.1, 2007-01-16 12:46:45+01:00, joerg@trift2. +2 -2
    Some files in "extra/", notably "comp_err", depend on "dbug/libdbug.a",
    so "dbug/" must be a target before "extra/" is attempted.  Fix this.

ChangeSet@1.2378.4.4, 2007-01-16 11:58:48+01:00, mats@romeo.(none) +1 -0
  Post-merge fixes.

  sql/sql_insert.cc@1.239.1.4, 2007-01-16 11:58:44+01:00, mats@romeo.(none) +0 -2
    Removing HAVE_ROW_BASED_REPLICATION conditional that is no longer used.

ChangeSet@1.2372.8.15, 2007-01-16 09:47:03+01:00, msvensson@neptunus.(none) +1 -0
  Always use two masters for ndb tests
  Abandon attempt to only use one for some tests that don't use the second master

  mysql-test/lib/mtr_cases.pl@1.53, 2007-01-16 09:47:01+01:00, msvensson@neptunus.(none) +3 -2
    Always use two masters for ndb tests

ChangeSet@1.2372.8.14, 2007-01-16 09:38:09+01:00, msvensson@neptunus.(none) +1 -0
  Remove wait until not readonly

  mysql-test/include/have_ndb.inc@1.16, 2007-01-16 09:38:07+01:00, msvensson@neptunus.(none) +0 -2
    Remove wait until not readonly

ChangeSet@1.1616.2935.1, 2007-01-16 09:35:14+01:00, msvensson@neptunus.(none) +1 -0
  Always use two masters for ndb tests

  mysql-test/lib/mtr_cases.pl@1.6.2.17, 2007-01-16 09:35:12+01:00, msvensson@neptunus.(none) +3 -2
    Always use two masters for ndb tests

ChangeSet@1.2372.16.1, 2007-01-16 09:19:41+01:00, mskold@mysql.com +7 -0
  Changed Dictionary::Table::setTablespace/getTablespace to setTablespaceName/getTablespaceName

  sql/ha_ndbcluster.cc@1.392, 2007-01-16 09:19:28+01:00, mskold@mysql.com +3 -3
    Changed Dictionary::Table::setTablespace/getTablespace to setTablespaceName/getTablespaceName

  storage/ndb/include/ndbapi/NdbDictionary.hpp@1.87, 2007-01-16 09:19:28+01:00, mskold@mysql.com +2 -2
    Changed Dictionary::Table::setTablespace/getTablespace to setTablespaceName/getTablespaceName

  storage/ndb/src/ndbapi/NdbDictionary.cpp@1.67, 2007-01-16 09:19:28+01:00, mskold@mysql.com +7 -1
    Changed Dictionary::Table::setTablespace/getTablespace to setTablespaceName/getTablespaceName

  storage/ndb/test/ndbapi/bank/BankLoad.cpp@1.15, 2007-01-16 09:19:28+01:00, mskold@mysql.com +1 -1
    Changed Dictionary::Table::setTablespace/getTablespace to setTablespaceName/getTablespaceName

  storage/ndb/test/ndbapi/create_tab.cpp@1.12, 2007-01-16 09:19:28+01:00, mskold@mysql.com +1 -1
    Changed Dictionary::Table::setTablespace/getTablespace to setTablespaceName/getTablespaceName

  storage/ndb/test/ndbapi/testDict.cpp@1.34, 2007-01-16 09:19:28+01:00, mskold@mysql.com +1 -1
    Changed Dictionary::Table::setTablespace/getTablespace to setTablespaceName/getTablespaceName

  storage/ndb/test/src/NDBT_Test.cpp@1.34, 2007-01-16 09:19:28+01:00, mskold@mysql.com +1 -1
    Changed Dictionary::Table::setTablespace/getTablespace to setTablespaceName/getTablespaceName

ChangeSet@1.1810.2456.31, 2007-01-15 14:01:36-08:00, igor@olga.mysql.com +1 -0
  Adjusted results after merge 4.1 -> 5.0 for the patch fixing bug 24776.

  mysql-test/r/range.result@1.44.1.9, 2007-01-15 14:01:35-08:00, igor@olga.mysql.com +1 -1
    Adjusted results after merge 4.1 -> 5.0 for the patch fixing bug 24776.

ChangeSet@1.2372.8.13, 2007-01-15 21:50:31+01:00, msvensson@neptunus.(none) +1 -0
  Cset exclude: cmiller@221.54.57.10.in-addr.arpa.cmiller/221.54.57.10.in-addr.arpa|ChangeSet|20070111195403|30218

  mysql-test/include/have_ndb.inc@1.15, 2007-01-15 21:50:29+01:00, msvensson@neptunus.(none) +0 -0
    Exclude

ChangeSet@1.1616.2934.4, 2007-01-15 23:25:16+03:00, kostja@bodhi.local +1 -0
  A post-merge fix.

  sql/sql_parse.cc@1.271.128.3, 2007-01-15 23:25:14+03:00, kostja@bodhi.local +1 -0
    A post-merge fix (broken alter_table.test): restore Svoj's fix
    for Bug#23404 lost during merge.

ChangeSet@1.2343.10.21, 2007-01-15 21:03:39+01:00, jonas@perch.ndb.mysql.com +5 -0
  ndb - bug#25636
    Fix DD problem during NR after 3 missed LCP's

  storage/ndb/src/kernel/blocks/dbdih/DbdihMain.cpp@1.94.1.3, 2007-01-15 21:03:37+01:00, jonas@perch.ndb.mysql.com +11 -0
    Send START_FRAGREQ also for fragments wo/ LCP

  storage/ndb/src/kernel/blocks/dblqh/DblqhMain.cpp@1.128.1.1, 2007-01-15 21:03:37+01:00, jonas@perch.ndb.mysql.com +13 -3
    inform TUP that no LCP is restored (if no lcp is restored :-)

  storage/ndb/src/kernel/blocks/dbtup/Dbtup.hpp@1.53.1.1, 2007-01-15 21:03:37+01:00, jonas@perch.ndb.mysql.com +2 -0
    inform TUP that no LCP is restored (if no lcp is restored :-)

  storage/ndb/src/kernel/blocks/dbtup/DbtupDiskAlloc.cpp@1.19.1.1, 2007-01-15 21:03:37+01:00, jonas@perch.ndb.mysql.com +7 -0
    inform TUP that no LCP is restored (if no lcp is restored :-)

  storage/ndb/src/kernel/blocks/pgman.cpp@1.18.1.1, 2007-01-15 21:03:37+01:00, jonas@perch.ndb.mysql.com +7 -0
    Add error insert using dump

ChangeSet@1.1810.2456.29, 2007-01-15 22:40:39+03:00, evgen@moonbone.local +1 -0
  sql_select.cc:
    Fix for crashes on 64bit platforms after fixing bug#23417.

  sql/sql_select.cc@1.312.1.168, 2007-01-15 22:40:19+03:00, evgen@moonbone.local +5 -3
    Fix for crashes on 64bit platforms after fixing bug#23417.

ChangeSet@1.1810.2491.1, 2007-01-15 19:15:52+02:00, gkodinov@macbook.gmz +3 -0
  BUG#20420: optimizer reports wrong keys on left join with IN
   The optimizer needs to evaluate whether predicates are better
   evaluated using an index. IN is one such predicate.
   To qualify an IN predicate must involve a field of the index
   on the left and constant arguments on the right.
   However whether an expression is a constant can be determined only
   by knowing the preceding tables in the join order. 
   Assuming that only IN predicates with expressions on the right that
   are constant for the whole query qualify limits the scope of 
   possible optimizations of the IN predicate (more specifically it
   doesn't allow the "Range checked for each record" optimization for
   such an IN predicate.
   Fixed by not pre-determining the optimizability of the IN predicate
   in the case when all right IN operands are not SQL constant expressions

  mysql-test/r/func_in.result@1.28.3.1, 2007-01-15 19:15:46+02:00, gkodinov@macbook.gmz +43 -0
    BUG#20420: optimizer reports wrong keys on left join with IN
     - test case

  mysql-test/t/func_in.test@1.22.3.1, 2007-01-15 19:15:47+02:00, gkodinov@macbook.gmz +36 -0
    BUG#20420: optimizer reports wrong keys on left join with IN
     - test case

  sql/item_cmpfunc.h@1.122.6.2, 2007-01-15 19:15:48+02:00, gkodinov@macbook.gmz +5 -1
    BUG#20420: optimizer reports wrong keys on left join with IN
     - cannot decide on the optimizability of a function without
       knowing the tables before it in the join order

ChangeSet@1.1810.2489.2, 2007-01-15 16:57:22+01:00, bteam@mysql.com +1 -0
  Raise version number after cloning 5.0.34

  configure.in@1.245.1.174, 2007-01-15 16:57:08+01:00, bteam@mysql.com +2 -2
    Raise version number after cloning 5.0.34

ChangeSet@1.1810.2490.1, 2007-01-15 10:00:29-05:00, iggy@recycle.(none) +1 -0
  Bug#19424 InnoDB: Possibly a memory overrun of the buffer being freed (Win64)
  - Re-enabling optimization on all except innodb/mem/*.

  innobase/CMakeLists.txt@1.1.3.1, 2007-01-15 10:00:26-05:00, iggy@recycle.(none) +2 -36
    Bug#19424 InnoDB: Possibly a memory overrun of the buffer being freed (Win64)
    - Re-enabling optimization on all except innodb/mem/*.

ChangeSet@1.2389.1.2, 2007-01-15 13:39:28+04:00, gluh@mysql.com +5 -0
  Bug#21713 incorrect value for the REFERENTIAL_CONSTRAINTS.UNIQUE_CONSTRAINT_NAME column
  added new field 'REFERENCED_TABLE_NAME' to 'referential_constraints' table
  field 'UNIQUE_CONSTRAINT_NAME' contains the name of the referenced index

  mysql-test/r/information_schema_inno.result@1.11, 2007-01-15 13:39:26+04:00, gluh@mysql.com +8 -8
    result fix

  mysql-test/t/information_schema_inno.test@1.8, 2007-01-15 13:39:26+04:00, gluh@mysql.com +3 -4
    test fix

  sql/sql_show.cc@1.381.1.2, 2007-01-15 13:39:27+04:00, gluh@mysql.com +4 -1
    added new field 'REFERENCED_TABLE_NAME' to 'referential_constraints' table
    field 'UNIQUE_CONSTRAINT_NAME' contains the name of the referenced index

  sql/table.h@1.158, 2007-01-15 13:39:27+04:00, gluh@mysql.com +1 -0
    added 'referenced_key_name' member to 'st_foreign_key_info' struct

  storage/innobase/handler/ha_innodb.cc@1.279.1.41, 2007-01-15 13:39:27+04:00, gluh@mysql.com +8 -2
    added the filling of referenced key name

ChangeSet@1.1810.2488.1, 2007-01-15 12:32:38+03:00, dlenev@mockturtle.local +3 -0
  Fix for bug#20390 "SELECT FOR UPDATE does not release locks
  of untouched rows in full table scans".
  
  SELECT ... FOR UPDATE/LOCK IN SHARE MODE statements as well as
  UPDATE/DELETE statements which were executed using full table
  scan were not releasing locks on rows which didn't satisfy
  WHERE condition.
  This bug surfaced in 5.0 and affected NDB tables. (InnoDB tables
  intentionally don't support such unlocking in default mode).
  
  This problem occured because code implementing join didn't call
  handler::unlock_row() for rows which didn't satisfy part of condition
  attached to this particular table/level of nested loop. So we solve
  the problem adding this call.
  Note that we already had this call in place in 4.1 but it was lost
  (actually not quite correctly placed) when we have introduced nested 
  joins.
  
  Also note that additional QA should be requested once this patch is
  pushed as interaction between handler::unlock_row() and many recent
  MySQL features such as subqueries, unions, views is not tested enough.

  mysql-test/r/ndb_lock.result@1.5.7.2, 2007-01-15 12:32:36+03:00, dlenev@mockturtle.local +35 -0
    Enabled back part of the test that covers bug #20390 "SELECT FOR
    UPDATE does not release locks of untouched rows in full table scans".
    Adjusted test in such way that it now covers both execution paths
    in which we unlock non-matching rows inspected during table scan.

  mysql-test/t/ndb_lock.test@1.7.7.2, 2007-01-15 12:32:36+03:00, dlenev@mockturtle.local +43 -6
    Enabled back part of the test that covers bug #20390 "SELECT FOR
    UPDATE does not release locks of untouched rows in full table scans".
    Adjusted test in such way that it now covers both execution paths
    in which we unlock non-matching rows inspected during table scan.

  sql/sql_select.cc@1.312.120.1, 2007-01-15 12:32:36+03:00, dlenev@mockturtle.local +1 -0
    evaluate_join_record() should call handler::unlock_row() for records
    which don't satisfy condition which was pushed-down to this table/level
    of nested loop.
    We just put back the thing that we already have in 4.1 and which was lost
    when we have introduced nested joins.

ChangeSet@1.2343.22.18, 2007-01-14 19:15:59+02:00, aelkin@dsl-hkibras-fe36f900-97.dhcp.inet.fi +1 -0
  Bug#24998 rpl_row_delayed_ins.test fails in pushbuild
  
  forgotten to push changed results

  mysql-test/r/rpl_row_delayed_ins.result@1.5, 2007-01-14 19:15:55+02:00, aelkin@dsl-hkibras-fe36f900-97.dhcp.inet.fi +7 -3
    changed

ChangeSet@1.2378.5.4, 2007-01-13 19:51:22-08:00, brian@zim.(none) +2 -0
  Updates to archive_reader. 

  storage/archive/archive_reader.c@1.3, 2007-01-13 19:51:20-08:00, brian@zim.(none) +139 -11
    Skeleton for future work. 

  storage/archive/ha_archive.cc@1.121, 2007-01-13 19:51:20-08:00, brian@zim.(none) +1 -1
    Set unpack for Windows

ChangeSet@1.2378.5.3, 2007-01-13 17:19:20-08:00, brian@zim.(none) +2 -0
  More windows warnings cleanup

  storage/archive/ha_archive.cc@1.120, 2007-01-13 17:19:18-08:00, brian@zim.(none) +6 -10
    More windows warnings clean up.

  storage/archive/ha_archive.h@1.61, 2007-01-13 17:19:18-08:00, brian@zim.(none) +1 -1
    Change in prototype to clear windows warning. 

ChangeSet@1.2378.5.2, 2007-01-13 16:16:56-08:00, brian@zim.(none) +2 -0
  REAL_PATH was rewritten for DATA DIRECTORY (doesn't get calculated for each table open, and won't be calculted more then once now).
  Windows warnings cleanup.
  
  I am still get a weird warning about file descriptors closed multiple times.

  storage/archive/ha_archive.cc@1.119, 2007-01-13 16:16:39-08:00, brian@zim.(none) +50 -28
    Cleanup from Windows warnings.
    REAL_PATH has been rewritten.

  storage/archive/ha_archive.h@1.60, 2007-01-13 16:16:39-08:00, brian@zim.(none) +1 -0
    real_path holds the full path of the non-symlinked version

ChangeSet@1.1616.2921.11, 2007-01-13 10:49:26-08:00, igor@olga.mysql.com +3 -0
  Fixed bug #24776: an assertion abort in handler::ha_index_init
  for queries using 'range checked for each record'.
  The problem was fixed in 5.0 by the patch for bug 12291.
  This patch down-ported the corresponding code from 5.0 into 
  QUICK_SELECT::init() and added a new test case. 

  mysql-test/r/range.result@1.19.3.9, 2007-01-13 10:49:24-08:00, igor@olga.mysql.com +43 -0
    Added a test case for bug #24776.

  mysql-test/t/range.test@1.12.6.1, 2007-01-13 10:49:24-08:00, igor@olga.mysql.com +43 -0
    Added a test case for bug #24776.

  sql/opt_range.h@1.28.1.16, 2007-01-13 10:49:24-08:00, igor@olga.mysql.com +2 -0
    Fixed bug #24776: an assertion abort in handler::ha_index_init
    for queries using 'range checked for each record'.
    The problem was fixed in 5.0 by the patch for bug 12291.
    The patch for 4.1 down-ported the corresponding code from 5.0 into 
    QUICK_SELECT::init(). 

ChangeSet@1.2372.14.2, 2007-01-12 20:05:55-08:00, brian@zim.(none) +4 -0
  Final cleanup for new archive internal format. All new headers work.

  storage/archive/archive_reader.c@1.2, 2007-01-12 20:05:51-08:00, brian@zim.(none) +9 -6
    Added version bit to solve the issue of hitting old archive files when reading them. 

  storage/archive/azio.c@1.12, 2007-01-12 20:05:51-08:00, brian@zim.(none) +1 -2
    Set the compression back on. 

  storage/archive/ha_archive.cc@1.118, 2007-01-12 20:05:51-08:00, brian@zim.(none) +56 -94
    Cleaned up memory allocation ( a bit more logical and less tricky ).
    Fixed bug in not setting autoincrement correctly and cleaned up memory usage for optimize

  storage/archive/ha_archive.h@1.59, 2007-01-12 20:05:51-08:00, brian@zim.(none) +5 -5
    Clean up.

ChangeSet@1.1810.2487.1, 2007-01-12 13:43:25-08:00, igor@olga.mysql.com +3 -0
  Fixed bug #25398: crash in a trigger when using trigger fields 
  in a select list.
  The objects of the Item_trigger_field class inherited the implementations
  of the methods copy_or_same, get_tmp_table_item and get_tmp_table_field
  from the class Item_field while they rather should have used the default
  implementations defined for the base class Item.
  It could cause catastrophic problems for triggers that used SELECTs
  with select list containing trigger fields such as NEW.<table column>
  under DISTINCT.

  mysql-test/r/trigger.result@1.29.11.4, 2007-01-12 13:43:23-08:00, igor@olga.mysql.com +32 -0
    Added a test case for bug #25398.

  mysql-test/t/trigger.test@1.34.14.1, 2007-01-12 13:43:23-08:00, igor@olga.mysql.com +46 -0
    Added a test case for bug #25398.

  sql/item.h@1.183.1.34, 2007-01-12 13:43:23-08:00, igor@olga.mysql.com +3 -0
    Fixed bug #25398: crash in a trigger when using trigger fields 
    in a select list.
    The objects of the Item_trigger_field class inherited the implementations
    of the methods copy_or_same, get_tmp_table_item and get_tmp_table_field
    from the class Item_field while they rather should have used the default
    implementations defined for the base class Item.
    It could cause catastrophic problems for triggers that used SELECTs
    with select list containing trigger fields such as NEW.<table column>
    under DISTINCT.

ChangeSet@1.1810.2486.2, 2007-01-12 23:22:41+03:00, sergefp@mysql.com +14 -0
  BUG#24127: (a,b) IN (SELECT c,d ...) can produce wrong results if a and/or b are NULLs:
  - Make the code produce correct result: use an array of triggers to turn on/off equalities for each
    compared column. Also turn on/off optimizations based on those equalities.
  - Make EXPLAIN output show "Full scan on NULL key" for tables for which we switch between
    ref/unique_subquery/index_subquery and ALL access.
  - index_subquery engine now has HAVING clause when it is needed, and it is
    displayed in EXPLAIN EXTENDED
  - Fix incorrect presense of "Using index" for index/unique-based subqueries (BUG#22930)
  // bk trigger note: this commit refers to BUG#24127

  mysql-test/r/ndb_subquery.result@1.3.1.1, 2007-01-12 23:22:36+03:00, sergefp@mysql.com +3 -3
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Updated test results (checked)

  mysql-test/r/subselect.result@1.134.1.35, 2007-01-12 23:22:36+03:00, sergefp@mysql.com +14 -14
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Updated test results (checked)

  mysql-test/r/subselect2.result@1.14, 2007-01-12 23:22:36+03:00, sergefp@mysql.com +5 -5
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Updated test results (checked)

  mysql-test/r/subselect3.result@1.1.1.2, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +404 -4
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Testcases

  mysql-test/t/subselect3.test@1.3, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +281 -10
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Testcases

  sql/item_cmpfunc.cc@1.187.1.42, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +29 -5
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - For row-based IN subqueries, use one flag per each column. Set the flags appropriately before
      running the subquery. 

  sql/item_cmpfunc.h@1.122.2.13, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +1 -0
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
     - Added Item_func_trig_cond::get_triv_var()

  sql/item_subselect.cc@1.113.1.35, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +156 -111
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Item_subselect::exec() and subselect_*_engine::exec() don't have parameter
      anymore - now Item_subselect owns the pushed down predicates guard flags.
    - A correct set of conditional predicates is now pushed into row-based IN 
      subquery.
    - select_indexsubquery_engine now has "HAVING clause" (needed for correct query
      results), and it is shown in EXPLAIN EXTENDED

  sql/item_subselect.h@1.77.1.9, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +75 -17
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Item_subselect::exec() and subselect_*_engine::exec() don't have parameter
      anymore - now Item_subselect owns the pushed down predicates guard flags.
    - A correct set of conditional predicates is now pushed into row-based IN 
      subquery.
    - select_indexsubquery_engine now has "HAVING clause" (needed for correct query
      results), and it is shown in EXPLAIN EXTENDED

  sql/mysql_priv.h@1.290.82.1, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +1 -1
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Added "in_having_cond" special Item name

  sql/mysqld.cc@1.439.85.2, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +3 -0
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Added "in_having_cond" special Item name

  sql/sql_lex.h@1.175.32.1, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +1 -1
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)

  sql/sql_select.cc@1.312.119.1, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +120 -76
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Make "ref" analyzer be able to work with conditional equalities
    - Fix subquery optimization code to match the changes in what kinds of 
      conditions are pushed down into subqueries 
    - Fix wrong EXPLAIN output in some queries with subquery (BUG#22390)

  sql/sql_select.h@1.92.1.23, 2007-01-12 23:22:37+03:00, sergefp@mysql.com +39 -3
    BUG#24127: wrong result for (null,not-null) IN (SELECT a,b ...)
    - Make "ref" analyzer be able to work with conditional equalities
    - Fix wrong EXPLAIN output in some queries with subquery (BUG#22390)

ChangeSet@1.1810.2486.1, 2007-01-12 22:11:40+03:00, sergefp@mysql.com +4 -0
  BUG#24085: Wrong result for NULL IN (SELECT not_null_val FROM ...)
  When transforming "oe IN (SELECT ie ...)" wrap the pushed-down predicates
  iff "oe can be null", not "ie can be null".
  The fix doesn't cover row-based subqueries, those will be fixed in #24127.

  mysql-test/r/subselect.result@1.134.1.34, 2007-01-12 22:11:37+03:00, sergefp@mysql.com +2 -2
    BUG#24085: Wrong result for NULL IN (SELECT not_null_val FROM ...)
    Update the test results (checked)

  mysql-test/r/subselect3.result@1.1.1.1, 2007-01-12 22:11:37+03:00, sergefp@mysql.com +84 -6
    BUG#24085: Wrong result for NULL IN (SELECT not_null_val FROM ...)
    - Testcase

  mysql-test/t/subselect3.test@1.2, 2007-01-12 22:11:37+03:00, sergefp@mysql.com +69 -2
    BUG#24085: Wrong result for NULL IN (SELECT not_null_val FROM ...)
    - Testcase

  sql/item_subselect.cc@1.113.1.34, 2007-01-12 22:11:37+03:00, sergefp@mysql.com +25 -14
    BUG#24085: Wrong result for NULL IN (SELECT not_null_val FROM ...)
    When transforming "oe IN (SELECT ie ...)" we should make special 
    provisions (wrap the pushed predicates) if we can encounter 
    NULL IN (SELECT ...), i.e. when oe->maybe_null. The code was checking
    for ie->maybe_null instead, fixed it for single value based subqueries.
    
    Row-based subqueries (e.g. (a,b) IN (SELECT c,d ...)) are not fixed 
    because they won't produce correct results for several other reasons 
    (filed as #24085)

ChangeSet@1.2378.3.3, 2007-01-12 10:33:44-07:00, malff@weblab.(none) +1 -0
  Fixed windows build break

  sql/CMakeLists.txt@1.21.7.3, 2007-01-12 10:33:42-07:00, malff@weblab.(none) +1 -1
    Fixed windows build break, file item_uniq.cc has been removed.

ChangeSet@1.2343.10.20, 2007-01-12 15:48:47+01:00, jonas@perch.ndb.mysql.com +3 -0
  ndb - bug#25587
    fix not aligned or non 32-bit values in "smart" scan

  mysql-test/r/ndb_partition_key.result@1.5, 2007-01-12 15:48:45+01:00, jonas@perch.ndb.mysql.com +48 -0
    testcase

  mysql-test/t/ndb_partition_key.test@1.3, 2007-01-12 15:48:45+01:00, jonas@perch.ndb.mysql.com +28 -0
    ndb - bug

  storage/ndb/src/ndbapi/NdbScanOperation.cpp@1.103.1.1, 2007-01-12 15:48:45+01:00, jonas@perch.ndb.mysql.com +9 -3
    Fix unaligned or non-32-bit values in "smart scan"

ChangeSet@1.1810.2456.26, 2007-01-12 17:35:24+03:00, evgen@moonbone.local +1 -0
  func_str.result:
    After merge fix

  mysql-test/r/func_str.result@1.110.1.16, 2007-01-12 17:34:59+03:00, evgen@moonbone.local +3 -3
    After merge fix

ChangeSet@1.2382.2.1, 2007-01-12 15:46:20+04:00, holyfoot@mysql.com +3 -0
  bug #24186 (nested query across partitions returns fewer records)
  
  Subselect's engine checks table->status field to determine if the
  record was properly found when we use keyread upon the table.
  Partition engine checks all the partitions for given key
  before return. So if matching record was found in the first
  partition and no matching records were found in the second, 
  we have table->status == NOT_FOUND after the function, what
  makes subselects to skip matching records.
  The patch adds table->status= 0 if we actually found something.

  mysql-test/r/partition.result@1.58, 2007-01-12 15:46:14+04:00, holyfoot@mysql.com +81 -0
    result fixed

  mysql-test/t/partition.test@1.52, 2007-01-12 15:46:14+04:00, holyfoot@mysql.com +93 -0
    testcase

  sql/ha_partition.cc@1.78.1.4, 2007-01-12 15:46:14+04:00, holyfoot@mysql.com +3 -0
    table->status set to 0 if we found something in previous partitions

ChangeSet@1.2378.2.6, 2007-01-12 11:06:38+01:00, tnurnberg@mysql.com +4 -0
  Bug#24660: "enum" field type definition problem
  
  ENUMs weren't allowed to have character 0xff, a perfectly good
  character in some locales.  This was circumvented by mapping 0xff in
  ENUMs to ',', thereby prevent actual commas from being used. Now if
  0xff makes an appearance, we find a character not used in the enum and
  use that as a separator. If no such character exists, we throw an
  error.
  
  Any solution would have broken some sort of existing behaviour. This
  solution should serve both fractions (those with 0xff and those with
  ',' in their enums), but WILL REQUIRE A DUMP/RESTORE CYCLE FROM THOSE
  WITH 0xff IN THEIR ENUMS. :-/ That is, mysqldump with their current
  server, and restore when upgrading to one with this patch.

  mysql-test/r/type_enum.result@1.30.1.1, 2007-01-12 11:06:35+01:00, tnurnberg@mysql.com +26 -0
    Bug#24660: "enum" field type definition problem
    
    Show that enums can now contain NAMES_SEP_CHAR (0xff, which is a perfectly respectable
    char in some locales), or ',', or both.

  mysql-test/t/type_enum.test@1.16.1.1, 2007-01-12 11:06:35+01:00, tnurnberg@mysql.com +23 -1
    Bug#24660: "enum" field type definition problem
    
    Show that enums can now contain NAMES_SEP_CHAR (0xff, which is a perfectly respectable
    char in some locales), or ',', or both.

  sql/table.cc@1.264.3.1, 2007-01-12 11:06:35+01:00, tnurnberg@mysql.com +0 -11
    Bug#24660: "enum" field type definition problem
    
    Revert fix for Bug#20922.

  sql/unireg.cc@1.92.1.1, 2007-01-12 11:06:35+01:00, tnurnberg@mysql.com +40 -21
    Bug#24660: "enum" field type definition problem
    
    Use a field-separator for ENUM-values that is not part of those values. If impossible,
    throw error.

ChangeSet@1.2386, 2007-01-12 13:34:33+04:00, gluh@mysql.com +1 -0
  Function mysql_rm_tmp_tables():
  fixed valgrind error
  fixed indentation

  sql/sql_base.cc@1.368.1.5, 2007-01-12 13:34:31+04:00, gluh@mysql.com +26 -26
    Function mysql_rm_tmp_tables():
    fixed valgrind error
    fixed indentation

ChangeSet@1.1810.2474.6, 2007-01-12 01:04:39+01:00, mmj@tiger.mmj.dk +1 -0
  mysql_explain_log.sh:
    Patch from Paul DuBois for better help messages

  scripts/mysql_explain_log.sh@1.3.3.1, 2007-01-12 01:03:50+01:00, mmj@tiger.mmj.dk +56 -52
    Patch from Paul DuBois for better help messages

ChangeSet@1.2343.33.55, 2007-01-12 00:20:47+01:00, hakank@lu0008.wdf.sap.corp +3 -0
  Test case for BUG#25555.

  mysql-test/r/falcon_bug_25555.result@1.1, 2007-01-12 00:20:39+01:00, hakank@lu0008.wdf.sap.corp +7 -0
    New BitKeeper file ``mysql-test/r/falcon_bug_25555.result''

  mysql-test/r/falcon_bug_25555.result@1.0, 2007-01-12 00:20:39+01:00, hakank@lu0008.wdf.sap.corp +0 -0

  mysql-test/t/disabled.def@1.259, 2007-01-12 00:20:39+01:00, hakank@lu0008.wdf.sap.corp +1 -0
    Disabled currently failing falcon_bug_25555.test.

  mysql-test/t/falcon_bug_25555.test@1.1, 2007-01-12 00:20:39+01:00, hakank@lu0008.wdf.sap.corp +15 -0
    New BitKeeper file ``mysql-test/t/falcon_bug_25555.test''

  mysql-test/t/falcon_bug_25555.test@1.0, 2007-01-12 00:20:39+01:00, hakank@lu0008.wdf.sap.corp +0 -0

ChangeSet@1.2343.22.17, 2007-01-11 23:59:12+02:00, aelkin@dsl-hkibras-fe36f900-97.dhcp.inet.fi +1 -0
  Bug #24998  	rpl_row_delayed_ins.test fails in pushbuild
  
  The test uses show binlog event which is not deterministic due to the single insert delayed
  query can generate up to number of inserted rows row-events pair (table_map + Write_row)
  
  The solution is to leave the current binlogging behaviour as it is and change 
  the test as spliting arguments of insert delayed query. Note, that such fix was applied
  earlier for  binlog_insert_delayed.test :
  https://intranet.mysql.com/secure/apps/irclog.php?channel=22&start_time=2006-09-27 
  
  There are no tests with insert delayed and show binlog events combination requiring
  this fix.

  mysql-test/extra/rpl_tests/rpl_row_delayed_ins.test@1.4, 2007-01-11 23:59:09+02:00, aelkin@dsl-hkibras-fe36f900-97.dhcp.inet.fi +3 -1
    splitting insert delayed per rows

ChangeSet@1.2343.68.1, 2007-01-11 14:58:05-07:00, malff@weblab.(none) +11 -0
  Bug#22687 (Functions UNIQUE_USERS, GROUP_UNIQUE_USERS)
  
  According to some internal communication, these two functions are place
  holders for future enhancements. Because they use a variable number of
  parameters, the implementation defined a reserved keyword for them in the
  parser grammar.
  
  Unfortunately, doing so creates a bug similar to Bug 21114 reported for the
  function FORMAT.
  
  In the 5.1 code base, due to improvements in the code implemented with bug
  21114, having a reserved keyword for functions with a variable number of
  arguments is not needed any more by the implementation.
  
  As a result, this fix removes the place-holder implementation, and removes
  the unnecessary reserved keywords. Should the functions UNIQUE_USERS and
  GROUP_UNIQUE_USERS be finally implemented in a later release, the
  implementation should sub class Create_native_func in sql/item_create.cc.
  For example, see the class Create_func_concat.

  BitKeeper/deleted/.del-item_uniq.cc@1.11.1.1, 2007-01-11 14:53:11-07:00, malff@weblab.(none) +0 -0
    Rename: sql/item_uniq.cc -> BitKeeper/deleted/.del-item_uniq.cc

  BitKeeper/deleted/.del-item_uniq.h@1.27.1.1, 2007-01-11 14:53:11-07:00, malff@weblab.(none) +0 -0
    Rename: sql/item_uniq.h -> BitKeeper/deleted/.del-item_uniq.h

  libmysqld/Makefile.am@1.103.2.1, 2007-01-11 14:58:02-07:00, malff@weblab.(none) +1 -1
    Remove native functions UNIQUE_USERS() and GROUP_UNIQUE_USERS().

  mysql-test/r/parser.result@1.5, 2007-01-11 14:58:02-07:00, malff@weblab.(none) +6 -6
    Remove native functions UNIQUE_USERS() and GROUP_UNIQUE_USERS().

  mysql-test/t/parser.test@1.5, 2007-01-11 14:58:02-07:00, malff@weblab.(none) +10 -6
    Remove native functions UNIQUE_USERS() and GROUP_UNIQUE_USERS().

  sql/Makefile.am@1.167.1.1, 2007-01-11 14:58:02-07:00, malff@weblab.(none) +2 -2
    Remove native functions UNIQUE_USERS() and GROUP_UNIQUE_USERS().

  sql/item.h@1.216.1.1, 2007-01-11 14:58:02-07:00, malff@weblab.(none) +0 -1
    Remove native functions UNIQUE_USERS() and GROUP_UNIQUE_USERS().

  sql/item_sum.h@1.109.2.1, 2007-01-11 14:58:02-07:00, malff@weblab.(none) +1 -1
    Remove native functions UNIQUE_USERS() and GROUP_UNIQUE_USERS().

  sql/lex.h@1.166.1.1, 2007-01-11 14:58:02-07:00, malff@weblab.(none) +0 -2
    Remove native functions UNIQUE_USERS() and GROUP_UNIQUE_USERS().

  sql/mysql_priv.h@1.464.3.1, 2007-01-11 14:58:02-07:00, malff@weblab.(none) +1 -0
    Remove native functions UNIQUE_USERS() and GROUP_UNIQUE_USERS().

  sql/sql_yacc.yy@1.521.1.7, 2007-01-11 14:58:02-07:00, malff@weblab.(none) +0 -8
    Remove native functions UNIQUE_USERS() and GROUP_UNIQUE_USERS().

ChangeSet@1.2343.33.53, 2007-01-11 16:07:49-05:00, jas@rowvwade. +1 -0
  Turn off reporting of frequent stall points (a debugging / analysis feature).

  storage/falcon/SyncObject.cpp@1.17, 2007-01-11 16:07:43-05:00, jas@rowvwade. +1 -1
    Turn off reporting of frequent stall points (a debugging / analysis feature).

ChangeSet@1.1810.2482.1, 2007-01-11 23:18:01+03:00, evgen@moonbone.local +10 -0
  Bug#23417: Too strict checks against GROUP BY in the ONLY_FULL_GROUP_BY mode.
  
  Currently in the ONLY_FULL_GROUP_BY mode no hidden fields are allowed in the
  select list. To ensure this each expression in the select list is checked
  to be a constant, an aggregate function or to occur in the GROUP BY list.
  The last two requirements are wrong and doesn't allow valid expressions like
  "MAX(b) - MIN(b)" or "a + 1" in a query with grouping by a.
  
  The correct check implemented by the patch will ensure that:
  any field reference in the [sub]expressions of the select list 
    is under an aggregate function or
    is mentioned as member of the group list or
    is an outer reference or
    is part of the select list element that coincide with a grouping element.
  
  The Item_field objects now can contain the position of the select list
  expression which they belong to. The position is saved during the
  field's Item_field::fix_fields() call.
  
  The non_agg_fields list for non-aggregated fields is added to the SELECT_LEX
  class. The SELECT_LEX::cur_pos_in_select_list now contains the position in the
  select list of the expression being currently fixed.

  mysql-test/r/group_by.result@1.69.1.7, 2007-01-11 23:17:42+03:00, evgen@moonbone.local +102 -0
    Added a test case for the bug#23417: Too strict checks against GROUP BY in the ONLY_FULL_GROUP_BY mode.

  mysql-test/t/group_by.test@1.59.1.3, 2007-01-11 23:17:43+03:00, evgen@moonbone.local +51 -0
    Added a test case for the bug#23417: Too strict checks against GROUP BY in the ONLY_FULL_GROUP_BY mode.

  sql/item.cc@1.113.1.136, 2007-01-11 23:17:37+03:00, evgen@moonbone.local +21 -2
    Bug#23417: Too strict checks against GROUP BY in the ONLY_FULL_GROUP_BY mode.
    The Item_field objects now contain the position of the select list
    expression which they belong to. The position is saved at the field's
    Item_field::fix_fields() call.

  sql/item.h@1.183.1.33, 2007-01-11 23:17:39+03:00, evgen@moonbone.local +2 -1
    Bug#23417: Too strict checks against GROUP BY in the ONLY_FULL_GROUP_BY mode.
    The Item_field objects now can store the position in the select list of the
    expression to which they are belongs to.

  sql/mysql_priv.h@1.290.81.3, 2007-01-11 23:17:39+03:00, evgen@moonbone.local +2 -1
    Bug#23417: Too strict checks against GROUP BY in the ONLY_FULL_GROUP_BY mode.
    Added the UNDEF_POS constant.

  sql/sql_base.cc@1.235.80.1, 2007-01-11 23:17:39+03:00, evgen@moonbone.local +4 -0
    Bug#23417: Too strict checks against GROUP BY in the ONLY_FULL_GROUP_BY mode.
    Now the setup_fields() function maintains the cur_pos_in_select_list variable.

  sql/sql_lex.cc@1.142.31.4, 2007-01-11 23:17:40+03:00, evgen@moonbone.local +2 -0
    Bug#23417: Too strict checks against GROUP BY in the ONLY_FULL_GROUP_BY mode.
    Set the cur_pos_in_select_list variable and the non_agg_fields list to their initial state.

  sql/sql_lex.h@1.175.31.1, 2007-01-11 23:17:40+03:00, evgen@moonbone.local +4 -0
    Bug#23417: Too strict checks against GROUP BY in the ONLY_FULL_GROUP_BY mode.
    The non_agg_fields list for non-aggregated fields is added to the SELECT_LEX
    class. The SELECT_LEX::cur_pos_in_select_list now stores the position in the
    select list of the expression being currently fixed.

  sql/sql_select.cc@1.312.1.167, 2007-01-11 23:17:41+03:00, evgen@moonbone.local +56 -22
    Bug#23417: Too strict checks against GROUP BY in the ONLY_FULL_GROUP_BY mode.
    Each select now keeps the list of fields that aren't
    used under any aggregate function. If an expression from the select list
    isn't found in the GROUP BY list the setup_group() function additionally
    checks whether non-aggregated fields occur in that expression.
    If there at least one such field and it isn't found in the GROUP BY list
    then an error is thrown.

  sql/sql_union.cc@1.130.1.6, 2007-01-11 23:17:41+03:00, evgen@moonbone.local +1 -0
    Bug#23417: Too strict checks against GROUP BY in the ONLY_FULL_GROUP_BY mode.
    Clean up of the non_agg_fields list.

ChangeSet@1.2343.33.52, 2007-01-11 15:09:42-05:00, jas@rowvwade. +7 -0
  Added general mechanism to saving and restore lock state in thread object.

  storage/falcon/Bitmap.cpp@1.9, 2007-01-11 15:09:34-05:00, jas@rowvwade. +20 -16
    Made provision for 64 bit clumps in bitmap segment.

  storage/falcon/Bitmap.h@1.7, 2007-01-11 15:09:35-05:00, jas@rowvwade. +4 -1
    Made provision for 64 bit clumps in bitmap segment.

  storage/falcon/Log.cpp@1.5, 2007-01-11 15:09:35-05:00, jas@rowvwade. +7 -1
    Added general mechanism to saving and restore lock state in thread object.

  storage/falcon/SyncObject.cpp@1.16, 2007-01-11 15:09:35-05:00, jas@rowvwade. +4 -7
    Added general mechanism to saving and restore lock state in thread object.

  storage/falcon/Table.cpp@1.57, 2007-01-11 15:09:36-05:00, jas@rowvwade. +2 -1
    Factored stack local Bitmap to out block.

  storage/falcon/Thread.cpp@1.16, 2007-01-11 15:09:36-05:00, jas@rowvwade. +14 -0
    Added general mechanism to saving and restore lock state in thread object.

  storage/falcon/Thread.h@1.9, 2007-01-11 15:09:37-05:00, jas@rowvwade. +11 -0
    Added general mechanism to saving and restore lock state in thread object.

ChangeSet@1.2343.10.19, 2007-01-11 21:06:36+01:00, jonas@perch.ndb.mysql.com +1 -0
  fix merge error

  storage/ndb/test/ndbapi/testNodeRestart.cpp@1.35.1.4, 2007-01-11 21:06:34+01:00, jonas@perch.ndb.mysql.com +2 -40
    fix merge error

ChangeSet@1.1810.2124.38, 2007-01-11 20:51:16+01:00, jonas@perch.ndb.mysql.com +4 -0
  ndb - bug#25554
    fix bug when master failure during nr
    (recommit against 5.0)

  ndb/src/kernel/blocks/dbdih/DbdihMain.cpp@1.24.62.1, 2007-01-11 20:51:15+01:00, jonas@perch.ndb.mysql.com +2 -1
    recommit against 5.0

  ndb/src/kernel/blocks/qmgr/QmgrMain.cpp@1.13.25.1, 2007-01-11 20:51:15+01:00, jonas@perch.ndb.mysql.com +21 -0
    recommit against 5.0

  ndb/test/ndbapi/testNodeRestart.cpp@1.13.15.1, 2007-01-11 20:51:15+01:00, jonas@perch.ndb.mysql.com +53 -0
    recommit against 5.0

  ndb/test/run-test/daily-basic-tests.txt@1.27.26.1, 2007-01-11 20:51:15+01:00, jonas@perch.ndb.mysql.com +4 -0
    recommit against 5.0

ChangeSet@1.2343.33.51, 2007-01-11 13:35:49-05:00, jas@rowvwade. +9 -0
  Pass optional bitmap into Index::scanIndex to allow static Bitmaps and reused of dynamic bitmaps.

  storage/falcon/Index.cpp@1.27, 2007-01-11 13:35:40-05:00, jas@rowvwade. +8 -2
    Pass optional bitmap into Index::scanIndex to allow static Bitmaps and reused of dynamic bitmaps.

  storage/falcon/Index.h@1.12, 2007-01-11 13:35:40-05:00, jas@rowvwade. +1 -1
    Pass optional bitmap into Index::scanIndex to allow static Bitmaps and reused of dynamic bitmaps.

  storage/falcon/NBitmap.cpp@1.6, 2007-01-11 13:35:40-05:00, jas@rowvwade. +2 -2
    Pass optional bitmap into Index::scanIndex to allow static Bitmaps and reused of dynamic bitmaps.

  storage/falcon/NInSelectBitmap.cpp@1.4, 2007-01-11 13:35:41-05:00, jas@rowvwade. +1 -1
    Pass optional bitmap into Index::scanIndex to allow static Bitmaps and reused of dynamic bitmaps.

  storage/falcon/StorageDatabase.cpp@1.40, 2007-01-11 13:35:41-05:00, jas@rowvwade. +4 -6
    Pass optional bitmap into Index::scanIndex to allow static Bitmaps and reused of dynamic bitmaps.

  storage/falcon/StorageDatabase.h@1.16, 2007-01-11 13:35:41-05:00, jas@rowvwade. +1 -1
    Pass optional bitmap into Index::scanIndex to allow static Bitmaps and reused of dynamic bitmaps.

  storage/falcon/StorageTable.cpp@1.31, 2007-01-11 13:35:42-05:00, jas@rowvwade. +3 -9
    Pass optional bitmap into Index::scanIndex to allow static Bitmaps and reused of dynamic bitmaps.

  storage/falcon/Table.cpp@1.56, 2007-01-11 13:35:42-05:00, jas@rowvwade. +3 -5
    Switch over to local, on stack bitmap for Table::checkUniqueIndexes.

  storage/falcon/Transaction.cpp@1.47, 2007-01-11 13:35:43-05:00, jas@rowvwade. +0 -1
    Do clear state vector when re-initializing index.

ChangeSet@1.2343.33.50, 2007-01-11 12:23:29-05:00, jas@rowvwade. +6 -0
  Added mechanism where read only transactions stay in the active transaction
  list with state Available.  The TransactionManager recognizes these transactions
  and re-uses them without the need to a write lock on the active transaction
  list.

  storage/falcon/Database.cpp@1.40, 2007-01-11 12:23:21-05:00, jas@rowvwade. +5 -69
    Moving all transaction handling to the TransactionManager class.

  storage/falcon/Database.h@1.16, 2007-01-11 12:23:21-05:00, jas@rowvwade. +0 -4
    Moving all transaction handling to the TransactionManager class.

  storage/falcon/Transaction.cpp@1.46, 2007-01-11 12:23:22-05:00, jas@rowvwade. +73 -98
    Added mechanism where read only transactions stay in the active transaction
    list with state Available.  The TransactionManager recognizes these transactions
    and re-uses them without the need to a write lock on the active transaction
    list.

  storage/falcon/Transaction.h@1.23, 2007-01-11 12:23:22-05:00, jas@rowvwade. +18 -9
    Added mechanism where read only transactions stay in the active transaction
    list with state Available.  The TransactionManager recognizes these transactions
    and re-uses them without the need to a write lock on the active transaction
    list.

  storage/falcon/TransactionManager.cpp@1.2, 2007-01-11 12:23:23-05:00, jas@rowvwade. +82 -43
    Added mechanism where read only transactions stay in the active transaction
    list with state Available.  The TransactionManager recognizes these transactions
    and re-uses them without the need to a write lock on the active transaction
    list.

  storage/falcon/TransactionManager.h@1.2, 2007-01-11 12:23:23-05:00, jas@rowvwade. +12 -5
    Added mechanism where read only transactions stay in the active transaction
    list with state Available.  The TransactionManager recognizes these transactions
    and re-uses them without the need to a write lock on the active transaction
    list.

ChangeSet@1.1810.2480.1, 2007-01-11 19:10:01+02:00, gkodinov@macbook.gmz +3 -0
  BUG#25106: A USING clause in combination with a VIEW results in column
             aliases ignored
  When a column reference to a column in JOIN USING is resolved and a new 
  Item is created for this column the user defined name was lost.
  This fix preserves the alias by setting the name of the new Item to the
  original alias.

  mysql-test/r/join.result@1.38.1.2, 2007-01-11 19:09:55+02:00, gkodinov@macbook.gmz +16 -0
    BUG#25106: A USING clause in combination with a VIEW results in column
               aliases ignored
     - test case

  mysql-test/t/join.test@1.32.1.3, 2007-01-11 19:09:56+02:00, gkodinov@macbook.gmz +20 -0
    BUG#25106: A USING clause in combination with a VIEW results in column
               aliases ignored
     - test case

  sql/sql_base.cc@1.235.79.1, 2007-01-11 19:09:56+02:00, gkodinov@macbook.gmz +13 -0
    BUG#25106: A USING clause in combination with a VIEW results in column
               aliases ignored
     - take the alias of the Item to be replaced and set it into the newly
       allocated Item.

ChangeSet@1.1616.2921.10, 2007-01-11 16:45:38+03:00, evgen@moonbone.local +4 -0
  Bug#23409: Arguments of the ENCODE() and the DECODE() functions were not printed
  correctly.
  
  The Item_func::print method was used to print the Item_func_encode and the
  Item_func_decode objects. The last argument to ENCODE and DECODE functions
  is a plain C string and thus Item_func::print wasn't able to print it.
  
  The print() method is added to the Item_func_encode class. It correctly
  prints the Item_func_encode and the Item_func_decode objects.

  mysql-test/r/func_str.result@1.70.1.34, 2007-01-11 16:43:01+03:00, evgen@moonbone.local +13 -1
    Added a test case for bug#23409: Arguments of the ENCODE() and the DECODE() functions were not printed correctly.

  mysql-test/t/func_str.test@1.64.1.22, 2007-01-11 16:42:29+03:00, evgen@moonbone.local +8 -0
    Added a test case for bug#23409: Arguments of the ENCODE() and the
    > DECODE() functionswere not printed correctly.

  sql/item_strfunc.cc@1.196.6.20, 2007-01-11 16:44:59+03:00, evgen@moonbone.local +13 -0
    Bug#23409: Arguments of the ENCODE() and the DECODE() functions were not printed correctly.
    The print() method is added to the Item_func_encode class. It correctly
    prints the Item_func_encode and the Item_func_decode objects.

  sql/item_strfunc.h@1.73.2.20, 2007-01-11 16:44:43+03:00, evgen@moonbone.local +8 -3
    Bug#23409: Arguments of the ENCODE() and the DECODE() functions were not printed correctly.
    The print() method is added to the Item_func_encode class.

ChangeSet@1.1616.2904.3, 2007-01-11 16:05:03+03:00, evgen@moonbone.local +3 -0
  Bug#17711: DELETE doesn't use index when ORDER BY, LIMIT and non-restricting
  WHERE is present.
  
  If a DELETE statement with ORDER BY and LIMIT contains a WHERE clause
  with conditions that for sure cannot be used for index access (like in
  WHERE @var:= field) the execution always follows the filesort path.    
  It happens currently even when for the above case there is an index that
  can be used to speedup sorting by the order by list.
  
  Now if a DELETE statement with ORDER BY and LIMIT contains such WHERE
  clause conditions that cannot be used to build any quick select then
  the mysql_delete() tries to use an index like there is no WHERE clause at all.

  mysql-test/r/delete.result@1.21.1.3, 2007-01-11 16:04:02+03:00, evgen@moonbone.local +7 -0
    Added a test case for bug#17711: DELETE doesn't use index when ORDER BY, LIMIT and non-restricting WHERE is present.

  mysql-test/t/delete.test@1.19.1.4, 2007-01-11 16:03:54+03:00, evgen@moonbone.local +10 -0
    Added a test case for bug#17711: DELETE doesn't use index when ORDER BY, LIMIT and non-restricting
    WHERE is present.

  sql/sql_delete.cc@1.99.2.44, 2007-01-11 16:04:10+03:00, evgen@moonbone.local +1 -1
    Bug#17711: DELETE doesn't use index when ORDER BY, LIMIT and non-restricting WHERE is present.
    Now if a DELETE statement with ORDER BY and LIMIT contains such WHERE
    clause conditions that cannot be used to build any quick select then
    the mysql_delete() tries to use an index like there is no WHERE clause at all.

ChangeSet@1.2384, 2007-01-11 16:50:34+04:00, gluh@mysql.com +1 -0
  after merge fix

  sql/sql_base.cc@1.368.1.4, 2007-01-11 16:50:32+04:00, gluh@mysql.com +14 -11
    after merge fix

ChangeSet@1.1616.2924.6, 2007-01-11 12:31:52+01:00, kent@mysql.com +9 -0
  Many files:
    Reverted change for bug#13859, applied smaller patch from Marko

  innobase/buf/buf0buf.c@1.38.1.4, 2007-01-11 12:31:01+01:00, kent@mysql.com +1 -1
    Reverted change for bug#13859, applied smaller patch from Marko

  innobase/dict/dict0dict.c@1.52.1.17, 2007-01-11 12:31:01+01:00, kent@mysql.com +3 -3
    Reverted change for bug#13859, applied smaller patch from Marko

  innobase/fil/fil0fil.c@1.41.1.16, 2007-01-11 12:31:01+01:00, kent@mysql.com +2 -2
    Reverted change for bug#13859, applied smaller patch from Marko

  innobase/ha/ha0ha.c@1.13.1.2, 2007-01-11 12:31:01+01:00, kent@mysql.com +1 -1
    Reverted change for bug#13859, applied smaller patch from Marko

  innobase/ha/hash0hash.c@1.4.2.1, 2007-01-11 12:31:01+01:00, kent@mysql.com +1 -1
    Reverted change for bug#13859, applied smaller patch from Marko

  innobase/include/hash0hash.h@1.4.1.2, 2007-01-11 12:31:01+01:00, kent@mysql.com +4 -1
    Reverted change for bug#13859, applied smaller patch from Marko

  innobase/lock/lock0lock.c@1.43.1.7, 2007-01-11 12:31:01+01:00, kent@mysql.com +1 -1
    Reverted change for bug#13859, applied smaller patch from Marko

  innobase/log/log0recv.c@1.38.1.5, 2007-01-11 12:31:01+01:00, kent@mysql.com +2 -2
    Reverted change for bug#13859, applied smaller patch from Marko

  innobase/thr/thr0loc.c@1.7.2.1, 2007-01-11 12:31:01+01:00, kent@mysql.com +1 -1
    Reverted change for bug#13859, applied smaller patch from Marko

ChangeSet@1.1616.2929.1, 2007-01-11 09:40:17+01:00, Kristofer.Pettersson@naruto. +1 -0
  Bug#24751 - Possible infinit loop in init_io_cache() when insufficient memory
  - When cache memory can't be allocated size is recaclulated using 3/4 of
    the requested memory. This number is rounded up to the nearest 
    min_cache step. 
    However with the previous implementation the new cache size might
    become bigger than requested because of this rounding and thus we get
    an infinit loop.
  - This patch fixes this problem by ensuring that the new cache size
    always will be smaller on the second and subsequent iterations until
    we reach min_cache.

  mysys/mf_iocache.c@1.47.3.1, 2007-01-11 09:40:15+01:00, Kristofer.Pettersson@naruto. +4 -3
    - Added mask to cachesize to ensure that algorithm always produce a 
      smaller cache size than current, until we reach 'min_cache' size.

ChangeSet@1.2303.233.4, 2007-01-10 23:53:08-08:00, brian@zim.(none) +7 -0
  New azio which keeps meta data in its own header. 

  storage/archive/Makefile.am@1.8.1.1, 2007-01-10 23:53:05-08:00, brian@zim.(none) +9 -1
    Added archive reader

  storage/archive/archive_reader.c@1.1, 2007-01-10 23:53:06-08:00, brian@zim.(none) +39 -0
    New BitKeeper file ``storage/archive/archive_reader.c''

  storage/archive/archive_reader.c@1.0, 2007-01-10 23:53:06-08:00, brian@zim.(none) +0 -0

  storage/archive/archive_test.c@1.6, 2007-01-10 23:53:05-08:00, brian@zim.(none) +138 -50
    Extended archive test

  storage/archive/azio.c@1.9.1.3, 2007-01-10 23:53:05-08:00, brian@zim.(none) +149 -128
    Rewrite of azio to include support for more meta data in header

  storage/archive/azlib.h@1.7, 2007-01-10 23:53:05-08:00, brian@zim.(none) +31 -11
    Extended information.

  storage/archive/ha_archive.cc@1.111.1.4, 2007-01-10 23:53:05-08:00, brian@zim.(none) +121 -301
    Rewrite to handle new azio

  storage/archive/ha_archive.h@1.57, 2007-01-10 23:53:05-08:00, brian@zim.(none) +1 -16
    Rewrite to handle new azio. 

ChangeSet@1.2343.65.2, 2007-01-11 01:48:09+01:00, hakank@lu0008.wdf.sap.corp +3 -0
  New test case for BUG#25537.

  mysql-test/r/falcon_bug_25537.result@1.1, 2007-01-11 01:48:03+01:00, hakank@lu0008.wdf.sap.corp +28 -0
    New BitKeeper file ``mysql-test/r/falcon_bug_25537.result''

  mysql-test/r/falcon_bug_25537.result@1.0, 2007-01-11 01:48:03+01:00, hakank@lu0008.wdf.sap.corp +0 -0

  mysql-test/t/disabled.def@1.258, 2007-01-11 01:48:03+01:00, hakank@lu0008.wdf.sap.corp +1 -0
    Disabled new test for BUG#25537.

  mysql-test/t/falcon_bug_25537.test@1.1, 2007-01-11 01:48:03+01:00, hakank@lu0008.wdf.sap.corp +42 -0
    New BitKeeper file ``mysql-test/t/falcon_bug_25537.test''

  mysql-test/t/falcon_bug_25537.test@1.0, 2007-01-11 01:48:03+01:00, hakank@lu0008.wdf.sap.corp +0 -0

ChangeSet@1.2343.33.49, 2007-01-10 17:54:15-05:00, jas@rowvwade. +10 -0
  Added class TransactionManager to do non-blocking managment of degenerate
  (i.e. non-update) transactions using interlocked instructions.  When a 
  transaction performs its first update, it's removed from the transaction
  manager and inserted in the database active transaction list.

  storage/falcon/CMakeLists.txt@1.42, 2007-01-10 17:53:21-05:00, jas@rowvwade. +2 -0
    Added new class TransactionManager.

  storage/falcon/Database.cpp@1.39, 2007-01-10 17:53:22-05:00, jas@rowvwade. +7 -3
    Added class TransactionManager to do non-blocking managment of degenerate
    (i.e. non-update) transactions using interlocked instructions.  When a 
    transaction performs its first update, it's removed from the transaction
    manager and inserted in the database active transaction list.

  storage/falcon/Database.h@1.15, 2007-01-10 17:53:24-05:00, jas@rowvwade. +4 -2
    Added class TransactionManager to do non-blocking managment of degenerate
    (i.e. non-update) transactions using interlocked instructions.  When a 
    transaction performs its first update, it's removed from the transaction
    manager and inserted in the database active transaction list.

  storage/falcon/Makefile.am@1.47, 2007-01-10 17:53:25-05:00, jas@rowvwade. +2 -0
    Added new class TransactionManager.

  storage/falcon/RecordLeaf.h@1.6, 2007-01-10 17:53:27-05:00, jas@rowvwade. +1 -1
    Turn on record leaf level locking granularity.

  storage/falcon/Table.cpp@1.55, 2007-01-10 17:53:29-05:00, jas@rowvwade. +1 -0
    Minor stylist edit for clarity.

  storage/falcon/Transaction.cpp@1.45, 2007-01-10 17:53:30-05:00, jas@rowvwade. +50 -12
    Added class TransactionManager to do non-blocking managment of degenerate
    (i.e. non-update) transactions using interlocked instructions.  When a 
    transaction performs its first update, it's removed from the transaction
    manager and inserted in the database active transaction list.

  storage/falcon/Transaction.h@1.22, 2007-01-10 17:53:31-05:00, jas@rowvwade. +2 -0
    Added class TransactionManager to do non-blocking managment of degenerate
    (i.e. non-update) transactions using interlocked instructions.  When a 
    transaction performs its first update, it's removed from the transaction
    manager and inserted in the database active transaction list.

  storage/falcon/TransactionManager.cpp@1.1, 2007-01-10 17:53:32-05:00, jas@rowvwade. +100 -0
    New BitKeeper file ``storage/falcon/TransactionManager.cpp''

  storage/falcon/TransactionManager.cpp@1.0, 2007-01-10 17:53:32-05:00, jas@rowvwade. +0 -0

  storage/falcon/TransactionManager.h@1.1, 2007-01-10 17:53:32-05:00, jas@rowvwade. +40 -0
    New BitKeeper file ``storage/falcon/TransactionManager.h''

  storage/falcon/TransactionManager.h@1.0, 2007-01-10 17:53:32-05:00, jas@rowvwade. +0 -0

ChangeSet@1.2343.65.1, 2007-01-10 21:58:15+01:00, hakank@lu0008.wdf.sap.corp +1 -0
  Bumbed version.

  configure.in@1.404.2.4, 2007-01-10 21:58:09+01:00, hakank@lu0008.wdf.sap.corp +1 -1
    Bumbed version.

ChangeSet@1.2343.10.17, 2007-01-10 20:50:19+01:00, jonas@perch.ndb.mysql.com +4 -0
  ndb - bug#25468
    handle partially transfered LCP_FRAG_REP after node failure
    recommit to 51-work

  storage/ndb/src/kernel/blocks/dbdih/Dbdih.hpp@1.23.1.1, 2007-01-10 20:50:17+01:00, jonas@perch.ndb.mysql.com +1 -0
    handle partially transfered LCP_FRAG_REP after node failure

  storage/ndb/src/kernel/blocks/dbdih/DbdihMain.cpp@1.94.1.1, 2007-01-10 20:50:17+01:00, jonas@perch.ndb.mysql.com +74 -5
    handle partially transfered LCP_FRAG_REP after node failure

  storage/ndb/test/ndbapi/testNodeRestart.cpp@1.35.1.2, 2007-01-10 20:50:17+01:00, jonas@perch.ndb.mysql.com +60 -0
    testcase

  storage/ndb/test/run-test/daily-basic-tests.txt@1.58.1.3, 2007-01-10 20:50:17+01:00, jonas@perch.ndb.mysql.com +4 -0
    testcase

ChangeSet@1.1810.2475.1, 2007-01-10 13:45:41-05:00, cbell@suse.vabb.com +2 -0
  BUG#22645 - LC_TIME_NAMES: Statement not replicated
  This patch is an additional code change to the get_str_len_and_pointer
  method in log_events.cc. This change is necessary to correct a problem
  encountered on 64-bit SUSE where the auto_increment_* variables were
  being overwritten. The change corrects a cast mismatch which caused
  the problem.

  sql/log_event.cc@1.174.1.48, 2007-01-10 13:44:35-05:00, Chuck@suse.vabb.com +36 -29
    BUG#22645 - LC_TIME_NAMES: Statement not replicated
    This patch is an additional code change to the get_str_len_and_pointer,
    copy_str_and_move methods and the Query_leg_event constructor to 
    correct a type mismatch encountered during testing on SUSE 64-bit. The patch changes
    the data type of the buffer variables was changed to a new typedef 
    defined in the Log_event class. The new type is:
    
    typedef unsigned char Byte; 
    
    The variables changed include:
    
    pos, start, end, and data_buf 

  sql/log_event.h@1.122.1.7, 2007-01-10 13:44:36-05:00, Chuck@suse.vabb.com +8 -1
    BUG#22645 - LC_TIME_NAMES: Statement not replicated
    This patch adds a new type definition to the Log_event class. The new
    type is typedef unsigned char Byte. It is used in place of the uchar
    and usigned char definitions in the Query_log_event constructor to 
    eliminate type conversion problems encountere on SUSE 64-bit.
    

ChangeSet@1.2343.33.48, 2007-01-10 13:44:37-05:00, jas@rowvwade. +9 -0
  Made record tree locking granuality condition for evaluation.

  storage/falcon/Bitmap.cpp@1.8, 2007-01-10 13:44:29-05:00, jas@rowvwade. +0 -1
    Fixed (expletive deleted) include file order problem induced by inclusion
    of Windows.h by SyncObject.

  storage/falcon/Bitmap.h@1.6, 2007-01-10 13:44:29-05:00, jas@rowvwade. +4 -2
    Fixed (expletive deleted) include file order problem induced by inclusion
    of Windows.h by SyncObject.

  storage/falcon/FsbInversion.cpp@1.3, 2007-01-10 13:44:30-05:00, jas@rowvwade. +1 -1
    Fixed (expletive deleted) include file order problem induced by inclusion
    of Windows.h by SyncObject.

  storage/falcon/NBitmap.cpp@1.5, 2007-01-10 13:44:30-05:00, jas@rowvwade. +1 -1
    Fixed (expletive deleted) include file order problem induced by inclusion
    of Windows.h by SyncObject.

  storage/falcon/NNode.cpp@1.6, 2007-01-10 13:44:30-05:00, jas@rowvwade. +1 -1
    Fixed (expletive deleted) include file order problem induced by inclusion
    of Windows.h by SyncObject.

  storage/falcon/RecordLeaf.cpp@1.14, 2007-01-10 13:44:31-05:00, jas@rowvwade. +7 -0
    Made record tree locking granuality condition for evaluation.

  storage/falcon/RecordLeaf.h@1.5, 2007-01-10 13:44:31-05:00, jas@rowvwade. +4 -0
    Made record tree locking granuality condition for evaluation.

  storage/falcon/Table.cpp@1.54, 2007-01-10 13:44:31-05:00, jas@rowvwade. +21 -1
    Made record tree locking granuality condition for evaluation.

  storage/falcon/Validation.h@1.4, 2007-01-10 13:44:32-05:00, jas@rowvwade. +1 -0
    Fixed (expletive deleted) include file order problem induced by inclusion
    of Windows.h by SyncObject.

ChangeSet@1.2343.64.1, 2007-01-10 12:20:13-05:00, cbell@suse.vabb.com +2 -0
  BUG#22645 - LC_TIME_NAMES: Statement not replicated
  This patch is an additional code change to the get_str_len_and_pointer 
  method in log_events.cc. This change is necessary to correct a problem
  encountered on 64-bit SUSE where the auto_increment_* variables were
  being overwritten. The change corrects a cast mismatch which caused
  the problem.

  sql/log_event.cc@1.260, 2007-01-10 12:20:08-05:00, cbell@suse.vabb.com +37 -28
    BUG#22645 - LC_TIME_NAMES: Statement not replicated
    This patch is an additional code change to the get_str_len_and_pointer,
    copy_str_and_move methods and the Query_leg_event constructor to 
    correct a type mismatch encountered during testing on SUSE 64-bit. The patch changes
    the data type of the buffer variables was changed to a new typedef 
    defined in the Log_event class. The new type is:
    
    typedef unsigned char Byte; 
    
    The variables changed include:
    
    pos, start, end, and data_buf 

  sql/log_event.h@1.143, 2007-01-10 12:20:08-05:00, cbell@suse.vabb.com +8 -1
    This patch adds a new type definition to the Log_event class. The new
    type is typedef unsigned char Byte. It is used in place of the uchar
    and usigned char definitions in the Query_log_event constructor to 
    eliminate type conversion problems encountere on SUSE 64-bit.

ChangeSet@1.1810.2442.12, 2007-01-10 18:19:51+01:00, kent@mysql.com +1 -0
  configure.in:
    Corrected default for --disable-grant-options

  configure.in@1.245.73.2, 2007-01-10 18:19:40+01:00, kent@mysql.com +5 -5
    Corrected default for --disable-grant-options

ChangeSet@1.2343.33.47, 2007-01-10 11:39:43-05:00, jas@rowvwade. +4 -0
  Added concurrent form of Bitmap::set that assumes a read lock on the bitmap
  but punts on hard cases.

  storage/falcon/Bitmap.cpp@1.7, 2007-01-10 11:39:35-05:00, jas@rowvwade. +71 -1
    Added concurrent form of Bitmap::set that assumes a read lock on the bitmap
    but punts on hard cases.

  storage/falcon/Bitmap.h@1.5, 2007-01-10 11:39:36-05:00, jas@rowvwade. +3 -2
    Added concurrent form of Bitmap::set that assumes a read lock on the bitmap
    but punts on hard cases.

  storage/falcon/SyncObject.cpp@1.15, 2007-01-10 11:39:36-05:00, jas@rowvwade. +0 -3
    Eliminate piece of dead, conditional code.

  storage/falcon/Table.cpp@1.53, 2007-01-10 11:39:36-05:00, jas@rowvwade. +24 -10
    Added concurrent form of Bitmap::set that assumes a read lock on the bitmap
    but punts on hard cases.

ChangeSet@1.1810.2467.7, 2007-01-10 14:50:09+01:00, kent@mysql.com +1 -0
  configure.in:
    Removed line accidently inserted when correcting bug#18526

  configure.in@1.245.1.172, 2007-01-10 14:50:03+01:00, kent@mysql.com +0 -1
    Removed line accidently inserted when correcting bug#18526

ChangeSet@1.1810.2456.20, 2007-01-10 14:03:36+04:00, gluh@mysql.com +1 -0
  after merge fix

  sql/sql_base.cc@1.235.1.127, 2007-01-10 14:03:35+04:00, gluh@mysql.com +2 -1
    after merge fix

ChangeSet@1.1616.2928.1, 2007-01-10 12:57:03+04:00, gluh@mysql.com +3 -0
  Fix for bug#20867 InnoDB Bug - create temporary table+crash => mysqld needs to clean up
  2nd version
  During tmp tables cleanup we get the handler for temporary table
  and delete table using handler method.

  sql/mysql_priv.h@1.186.109.1, 2007-01-10 12:57:02+04:00, gluh@mysql.com +1 -0
    added function prototype

  sql/mysqld.cc@1.356.98.34, 2007-01-10 12:57:02+04:00, gluh@mysql.com +1 -1
    added call of mysql_rm_tmp_tables() function

  sql/sql_base.cc@1.145.1.130, 2007-01-10 12:57:02+04:00, gluh@mysql.com +35 -7
    mysql_rm_tmp_tables()
    -removed from table_cache_init
    -During tmp tables cleanup we get the handler for temporary table
     and delete table using handler method. 
     it allows to remove orphan records from data dictionary(InnoDB)

ChangeSet@1.1616.2921.7, 2007-01-10 00:27:11-08:00, igor@olga.mysql.com +3 -0
  Fixed bug #25427.
  In the method Item_field::fix_fields we try to resolve the name of
  the field against the names of the aliases that occur in the select
  list. This is done by a call of the function find_item_in_list.
  When this function finds several occurrences of the field name
  it sends an error message to the error queue and returns 0.
  Yet the code did not take into account that find_item_in_list
  could return 0 and tried to dereference the returned value.

  mysql-test/r/order_by.result@1.40.1.9, 2007-01-10 00:27:09-08:00, igor@olga.mysql.com +8 -0
    Added a test case for bug #25427.

  mysql-test/t/order_by.test@1.29.1.7, 2007-01-10 00:27:09-08:00, igor@olga.mysql.com +15 -0
    Added a test case for bug #25427.

  sql/item.cc@1.58.1.177, 2007-01-10 00:27:09-08:00, igor@olga.mysql.com +2 -0
    Fixed bug #25427.
    In the method Item_field::fix_fields we try to resolve the name of
    the field against the names of the aliases that occur in the select
    list. This is done by a call of the function find_item_in_list.
    When this function finds several occurrences of the field name 
    it sends an error message to the error queue and returns 0.
    Yet the code did not take into account that find_item_in_list
    could return 0 and tried to dereference the returned value.
    
    

ChangeSet@1.1810.2442.11, 2007-01-09 19:22:01-07:00, tsmith@siva.hindu.god +9 -0
  WL #3670: Compile-time option to remove GRANT-related startup options
  
  - configure --disable-grant-options defines DISABLE_GRANT_OPTIONS
  - configure.js/cmake also updated
  - if DISABLE_GRANT_OPTIONS is defined, mysqld no longer recognizes:
    --bootstrap
    --init-file
    --skip-grant-tables
  
  Scripts which rely on those three options are modified to check the environment for MYSQLD_BOOTSTRAP; it should be set to the full path of a mysqld which does handle those options.
  
  For example:
  
  $ export MYSQLD_BOOTSTRAP
  $ MYSQLD_BOOTSTRAP=/path/to/full/MySQL/bin/mysqld
  $ mysql_install_db
  $ make test

  sql/CMakeLists.txt@1.1.3.1, 2007-01-09 19:21:58-07:00, tsmith@siva.hindu.god +4 -0
    Add DISABLE_GRANT_OPTIONS define

  win/README@1.1.1.1, 2007-01-09 19:21:58-07:00, tsmith@siva.hindu.god +3 -0
    Document the DISABLE_GRANT_OPTIONS define

  win/configure.js@1.1.2.1, 2007-01-09 19:21:58-07:00, tsmith@siva.hindu.god +1 -0
    Handle DISABLE_GRANT_OPTIONS

  mysql-test/mysql_test_run_new.c@1.15.1.1, 2007-01-09 19:21:58-07:00, tsmith@siva.hindu.god +8 -0
    Mention need for MYSQLD_BOOTSTRAP in a comment, in case this needs to be used with a mysqld which does not accept the --bootstrap option.

  configure.in@1.245.73.1, 2007-01-09 19:21:58-07:00, tsmith@siva.hindu.god +16 -0
    WL#3670
    
    Add --disable-grant-options

  mysql-test/install_test_db.sh@1.35.2.1, 2007-01-09 19:21:58-07:00, tsmith@siva.hindu.god +10 -4
    Add MYSQLD_BOOTSTRAP env variable, to enable test suite to work even if mysqld does not accept --bootstrap or --skip-grant-tables.

  mysql-test/mysql-test-run.pl@1.30.69.1, 2007-01-09 19:21:58-07:00, tsmith@siva.hindu.god +9 -2
    Add MYSQLD_BOOTSTRAP env variable, to enable test suite to work even if mysqld does not accept --bootstrap or --skip-grant-tables.

  scripts/mysql_install_db.sh@1.64.2.1, 2007-01-09 19:21:58-07:00, tsmith@siva.hindu.god +2 -1
    Add MYSQLD_BOOTSTRAP env variable, to enable mysqld_install_db to work even if mysqld does not accept --bootstrap or --skip-grant-tables.

  sql/mysqld.cc@1.439.84.1, 2007-01-09 19:21:58-07:00, tsmith@siva.hindu.god +6 -0
    Add DISABLE_GRANT_OPTIONS define, which removes the --bootstrap, --init-file, and --skip-grant-tables options

ChangeSet@1.1810.2467.6, 2007-01-10 00:36:41+01:00, joerg@trift2. +1 -0
  support-files/MySQL-shared-compat.spec.sh  :    Dummy, irrelevant change - just trigger a new build.

  support-files/MySQL-shared-compat.spec.sh@1.9, 2007-01-10 00:36:38+01:00, joerg@trift2. +1 -1
    Dummy, irrelevant change - just trigger a new build.

ChangeSet@1.2343.33.46, 2007-01-09 16:27:19-05:00, jas@rowvwade. +8 -0
  Experimental change to synchronization for table record trees.  Access control
  for RecordLeaf object is handled by a per-RecordLeaf SyncObject.  Table::insert
  normally gets only a Shared lock on the record tree.  If storing the record requires
  serious structure change in the record tree, the operation is abandoned, the record
  tree lock is released and reacquired as Exclusive, and the operation is restarted.

  storage/falcon/RecordGroup.cpp@1.5, 2007-01-09 16:27:11-05:00, jas@rowvwade. +13 -31
    Experimental change to synchronization for table record trees.  Access control
    for RecordLeaf object is handled by a per-RecordLeaf SyncObject.  Table::insert
    normally gets only a Shared lock on the record tree.  If storing the record requires
    serious structure change in the record tree, the operation is abandoned, the record
    tree lock is released and reacquired as Exclusive, and the operation is restarted.

  storage/falcon/RecordGroup.h@1.4, 2007-01-09 16:27:11-05:00, jas@rowvwade. +1 -1
    Experimental change to synchronization for table record trees.  Access control
    for RecordLeaf object is handled by a per-RecordLeaf SyncObject.  Table::insert
    normally gets only a Shared lock on the record tree.  If storing the record requires
    serious structure change in the record tree, the operation is abandoned, the record
    tree lock is released and reacquired as Exclusive, and the operation is restarted.

  storage/falcon/RecordLeaf.cpp@1.13, 2007-01-09 16:27:12-05:00, jas@rowvwade. +13 -3
    Experimental change to synchronization for table record trees.  Access control
    for RecordLeaf object is handled by a per-RecordLeaf SyncObject.  Table::insert
    normally gets only a Shared lock on the record tree.  If storing the record requires
    serious structure change in the record tree, the operation is abandoned, the record
    tree lock is released and reacquired as Exclusive, and the operation is restarted.

  storage/falcon/RecordLeaf.h@1.4, 2007-01-09 16:27:12-05:00, jas@rowvwade. +4 -2
    Experimental change to synchronization for table record trees.  Access control
    for RecordLeaf object is handled by a per-RecordLeaf SyncObject.  Table::insert
    normally gets only a Shared lock on the record tree.  If storing the record requires
    serious structure change in the record tree, the operation is abandoned, the record
    tree lock is released and reacquired as Exclusive, and the operation is restarted.

  storage/falcon/RecordSection.h@1.4, 2007-01-09 16:27:12-05:00, jas@rowvwade. +1 -1
    Experimental change to synchronization for table record trees.  Access control
    for RecordLeaf object is handled by a per-RecordLeaf SyncObject.  Table::insert
    normally gets only a Shared lock on the record tree.  If storing the record requires
    serious structure change in the record tree, the operation is abandoned, the record
    tree lock is released and reacquired as Exclusive, and the operation is restarted.

  storage/falcon/SyncObject.cpp@1.14, 2007-01-09 16:27:13-05:00, jas@rowvwade. +2 -5
    Fixed reporting of frequently stalled synchronization objects.

  storage/falcon/SyncObject.h@1.5, 2007-01-09 16:27:13-05:00, jas@rowvwade. +0 -1
    Fixed reporting of frequently stalled synchronization objects.

  storage/falcon/Table.cpp@1.52, 2007-01-09 16:27:13-05:00, jas@rowvwade. +27 -12
    Experimental change to synchronization for table record trees.  Access control
    for RecordLeaf object is handled by a per-RecordLeaf SyncObject.  Table::insert
    normally gets only a Shared lock on the record tree.  If storing the record requires
    serious structure change in the record tree, the operation is abandoned, the record
    tree lock is released and reacquired as Exclusive, and the operation is restarted.

ChangeSet@1.1810.2473.3, 2007-01-09 23:24:56+03:00, evgen@moonbone.local +4 -0
  Fixed bug#16861: User defined variable can have a wrong value if a tmp table was
  used.
  
  The Item::save_in_field() function is called from fill_record() to fill the 
  new row with data while execution of the CREATE TABLE ... SELECT statement.
  Item::save_in_field() calls val_xxx() methods in order to get values.
  val_xxx() methods do not take into account the result field. Due to this
  Item_func_set_user_var::val_xxx() methods returns values from the original
  table, not from the temporary one.
  
  The save_in_field() member function is added to the Item_func_set_user_var
  class. It detects whether the result field should be used and properly updates
  the value of the user variable.

  mysql-test/r/user_var.result@1.37.1.7, 2007-01-09 23:23:57+03:00, evgen@moonbone.local +8 -1
    Extended the test case for bug#18681: User defined variable can have a wrong value if
    a tmp table was used.

  mysql-test/t/user_var.test@1.35.1.4, 2007-01-09 23:24:10+03:00, evgen@moonbone.local +4 -1
    Extended the test case for bug#18681: User defined variable can have a wrong value if
    a tmp table was used.

  sql/item_func.cc@1.270.1.51, 2007-01-09 23:23:11+03:00, evgen@moonbone.local +99 -0
    Bug#16861: User defined variable can have a wrong value if a tmp table was used.
    Added the save_in_field() member function to the Item_func_set_user_var class.

  sql/item_func.h@1.136.2.23, 2007-01-09 23:23:37+03:00, evgen@moonbone.local +1 -0
    Bug#16861: User defined variable can have a wrong value if a tmp table was used.
    Added the save_in_field() member function to the Item_func_set_user_var class.

ChangeSet@1.1810.2473.2, 2007-01-09 22:35:30+03:00, evgen@moonbone.local +3 -0
  Bug#14171: Wrong internal default value for a BINARY field.
  
  A BINARY field is represented by the Field_string class. The space character
  is used as the filler for unused characters in such a field. But a BINARY field 
  should use \x00 instead.
  
  Field_string:reset() now detects whether the current field is a BINARY one
  and if so uses the \x00 character as a default value filler.

  mysql-test/r/type_binary.result@1.3.1.1, 2007-01-09 22:33:54+03:00, evgen@moonbone.local +9 -0
    Added a test case for the bug#14171: Wrong internal default value for a BINARY field.

  mysql-test/t/type_binary.test@1.4, 2007-01-09 22:34:11+03:00, evgen@moonbone.local +8 -0
    Added a test case for the bug#14171: Wrong internal default value for a BINARY field.

  sql/field.h@1.153.17.3, 2007-01-09 22:32:38+03:00, evgen@moonbone.local +2 -1
    Bug#14171: Wrong internal default value for a BINARY field.
    Field_string:reset() now detects whether the current field is a BINARY one
    and if so uses the \x00 character as a default value filler.

ChangeSet@1.2372.13.1, 2007-01-09 20:23:12+01:00, tnurnberg@mysql.com +4 -0
  Bug#24660: "enum" field type definition problem
  
  ENUMs weren't allowed to have character 0xff, a perfectly good character in many locales.
  This was circumvented by mapping 0xff in ENUMs to ',', thereby prevent actual commas from
  being used (because they too would get converted to 0xff on load). Now if 0xff makes an
  appearance, we find a character not used in the enum and use that as a separator. If no
  such character exists, we throw an error.
  
  Any solution would have broken some sort of existing behaviour. This solution should
  serve both fractions (those with 0xff and those with ',' in their enums), but
  WILL REQUIRE A DUMP/RESTORE CYCLE FROM THOSE WITH 0xff IN THEIR ENUMS. :-/
  That is, mysqldump with their current server, and restore when upgrading to one with
  this patch.
  
  (port of the original 4.1 patch. incorporates some suggestions by kaamos.)

  mysql-test/r/type_enum.result@1.31, 2007-01-09 20:23:10+01:00, tnurnberg@mysql.com +26 -0
    Bug#24660: "enum" field type definition problem
    
    Show that enums can now contain NAMES_SEP_CHAR (0xff, which is a perfectly respectable
    char in some locales), or ',', or both.

  mysql-test/t/type_enum.test@1.17, 2007-01-09 20:23:10+01:00, tnurnberg@mysql.com +23 -1
    Bug#24660: "enum" field type definition problem
    
    Show that enums can now contain NAMES_SEP_CHAR (0xff, which is a perfectly respectable
    char in some locales), or ',', or both.

  sql/table.cc@1.264.1.2, 2007-01-09 20:23:10+01:00, tnurnberg@mysql.com +0 -11
    Bug#24660: "enum" field type definition problem
    
    Revert fix for Bug#20922.

  sql/unireg.cc@1.93, 2007-01-09 20:23:10+01:00, tnurnberg@mysql.com +40 -21
    Bug#24660: "enum" field type definition problem
    
    Use a field-separator for ENUM-values that is not part of those values. If impossible,
    throw error.

ChangeSet@1.2343.33.45, 2007-01-09 12:08:14-05:00, jas@rowvwade. +2 -0
  Work in progress on finding and fixing thread bottlenecks.

  storage/falcon/SyncObject.cpp@1.13, 2007-01-09 12:08:08-05:00, jas@rowvwade. +23 -3
    Work in progress on finding and fixing thread bottlenecks.

  storage/falcon/SyncObject.h@1.4, 2007-01-09 12:08:09-05:00, jas@rowvwade. +3 -2
    Work in progress on finding and fixing thread bottlenecks.

ChangeSet@1.2343.33.44, 2007-01-09 11:24:53-05:00, jas@rowvwade. +7 -0
  Track number of stalls per SyncObject to identify thread bottlenecks.  Also
  eliminated the configurable page cache hash table size in favor of a function
  of the cache size.

  storage/falcon/Database.cpp@1.38, 2007-01-09 11:24:44-05:00, jas@rowvwade. +2 -2
    Eliminate page cache hash table size as a configurable parameter.

  storage/falcon/Dbb.cpp@1.43, 2007-01-09 11:24:44-05:00, jas@rowvwade. +14 -13
    Eliminate page cache hash table size as a configurable parameter.

  storage/falcon/Dbb.h@1.21, 2007-01-09 11:24:44-05:00, jas@rowvwade. +4 -5
    Eliminate page cache hash table size as a configurable parameter.

  storage/falcon/Engine.dsp@1.1, 2007-01-09 11:24:46-05:00, jas@rowvwade. +3632 -0
    Track number of stalls per SyncObject to identify thread bottlenecks

  storage/falcon/Engine.dsp@1.0, 2007-01-09 11:24:46-05:00, jas@rowvwade. +0 -0

  storage/falcon/RepositoryVolume.cpp@1.5, 2007-01-09 11:24:45-05:00, jas@rowvwade. +1 -1
    Eliminate page cache hash table size as a configurable parameter.

  storage/falcon/SyncObject.cpp@1.12, 2007-01-09 11:24:45-05:00, jas@rowvwade. +14 -0
    Track number of stalls per SyncObject to identify thread bottlenecks

  storage/falcon/SyncObject.h@1.3, 2007-01-09 11:24:46-05:00, jas@rowvwade. +2 -0
    Track number of stalls per SyncObject to identify thread bottlenecks

ChangeSet@1.1346.889.2, 2007-01-09 17:21:54+01:00, joerg@trift2. +6 -0
  Version 4.0 is in "extended maintenance" by now, and so
  no future build of it will include Berkeley DB:
  Remove it from the Windows VC++ project files.
  TAG: mysql-4.0.28

  VC++Files/libmysqld/libmysqld.dsp@1.2.1.9, 2007-01-09 17:21:52+01:00, joerg@trift2. +3 -3
    Version 4.0 is in "extended maintenance" by now, and so
    no future build of it will include Berkeley DB:
    Remove it from the Windows VC++ project files.

  VC++Files/mysql.dsw@1.5.1.8, 2007-01-09 17:21:52+01:00, joerg@trift2. +0 -18
    Version 4.0 is in "extended maintenance" by now, and so
    no future build of it will include Berkeley DB:
    Remove it from the Windows VC++ project files.

  VC++Files/sql/mysqld.dsp@1.6.1.14, 2007-01-09 17:21:52+01:00, joerg@trift2. +6 -6
    Version 4.0 is in "extended maintenance" by now, and so
    no future build of it will include Berkeley DB:
    Remove it from the Windows VC++ project files.

  VC++Files/mysqldemb/mysqldemb.dsp@1.3.1.6, 2007-01-09 17:21:52+01:00, joerg@trift2. +5 -5
    Version 4.0 is in "extended maintenance" by now, and so
    no future build of it will include Berkeley DB:
    Remove it from the Windows VC++ project files.

  VC++Files/sql/mysqldmax.dsp@1.2.1.2, 2007-01-09 17:21:52+01:00, joerg@trift2. +3 -3
    Version 4.0 is in "extended maintenance" by now, and so
    no future build of it will include Berkeley DB:
    Remove it from the Windows VC++ project files.

  VC++Files/mysqlserver/mysqlserver.dsp@1.3.1.4, 2007-01-09 17:21:52+01:00, joerg@trift2. +2 -2
    Version 4.0 is in "extended maintenance" by now, and so
    no future build of it will include Berkeley DB:
    Remove it from the Windows VC++ project files.

ChangeSet@1.2382, 2007-01-09 18:14:04+04:00, gluh@mysql.com +3 -0
  Fix for bug#25026 `information_schema.KEY_COLUMN_USAGE`.`REFERENCED_TABLE_NAME` returns garbage
  Unencode internal db & table name

  mysql-test/r/information_schema_inno.result@1.10, 2007-01-09 18:14:02+04:00, gluh@mysql.com +22 -0
    test result

  mysql-test/t/information_schema_inno.test@1.7, 2007-01-09 18:14:02+04:00, gluh@mysql.com +24 -0
    test case

  storage/innobase/handler/ha_innodb.cc@1.279.26.1, 2007-01-09 18:14:02+04:00, gluh@mysql.com +17 -5
    Unencode internal db & table name

ChangeSet@1.1346.881.3, 2007-01-09 12:28:46+01:00, thek@kpdesk.mysql.com +2 -0
  Cset exclude: thek@kpdesk.mysql.com|ChangeSet|20061106104152|07628

  mysys/mf_iocache.c@1.37.2.2, 2007-01-09 12:28:45+01:00, thek@kpdesk.mysql.com +0 -0
    Exclude

  mysys/my_seek.c@1.10.1.2, 2007-01-09 12:28:45+01:00, thek@kpdesk.mysql.com +0 -0
    Exclude

ChangeSet@1.2372.10.1, 2007-01-09 12:21:06+01:00, joerg@trift2. +1 -0
  configure.in  :    Fix a wrong comment.

  configure.in@1.412, 2007-01-09 12:21:02+01:00, joerg@trift2. +1 -1
    Fix a wrong comment (as of 5.1, there is no separate keeping of NDB version numbers).

ChangeSet@1.2372.9.2, 2007-01-09 13:07:39+03:00, kroki@moonlight.home +1 -0
  Fix after manual merge.

  storage/heap/hp_write.c@1.31, 2007-01-09 13:07:34+03:00, kroki@moonlight.home +1 -1
    Fix after manial merge: do cast _after_ pointer substruction.

ChangeSet@1.1346.885.5, 2007-01-09 12:24:25+03:00, kroki@moonlight.home +3 -0
  BUG#23443: user-defined variables can consume too much memory in the
             server
  
  The problem was that when memory was exhausted HEAP engine could crash
  (GROUP BY uses HEAP TABLE).  Alternatively, if SET was used, it could
  report an error "You may only use constant expressions with SET" instead
  of "Out of memory (Needed NNNNNN bytes)".
  
  The solution is:
   - pass MY_WME to (some) calls to my_malloc() to get correct message.
   - fix heap_write() so that the first key is skipped during cleanup
     on ENOMEM because it wasn't inserted and doesn't have to be
     deleted.
  
  No test case is provided because we can't test out-of-memory behaviour
  in our current test framework.

  sql/item_func.cc@1.60.1.54, 2007-01-09 12:24:25+03:00, kroki@moonlight.home +3 -2
    Add MY_WME so that OOM error will be reported.

  heap/hp_block.c@1.4.1.1, 2007-01-09 12:24:25+03:00, kroki@moonlight.home +1 -1
    If allocation fails, write an error message.

  heap/hp_write.c@1.9.1.2, 2007-01-09 12:24:25+03:00, kroki@moonlight.home +12 -3
    On ENOMEM, skip the first key in cleanup, as it wasn't inserted yet.

ChangeSet@1.1616.2923.7, 2007-01-09 09:32:56+01:00, df@kahlann.erinye.com +2 -0
  BUG#24780 workaround for broken installations that depend on using /etc, but were configured differently

  scripts/mysqlaccess.sh@1.12, 2007-01-09 09:32:55+01:00, df@kahlann.erinye.com +4 -0
    also look in /etc

  scripts/mysqld_multi.sh@1.21.3.1, 2007-01-09 09:32:55+01:00, df@kahlann.erinye.com +3 -0
    also look in /etc

ChangeSet@1.2343.22.15, 2007-01-08 23:52:21+01:00, guilhem@gbichot3.local +3 -0
  Manual merge of the fix for BUG#19725 "Calls to SF in other database are not replicated
  correctly in some cases", from 5.0.
  In short, calls to a stored function located in another database
  than the default database, may fail to replicate if the call was made
  by SET, SELECT, or DO.
  sp_head.cc automerged, only the test and test's result had to be hand-merged.

  mysql-test/r/rpl_sp.result@1.30.1.2, 2007-01-08 23:52:19+01:00, guilhem@gbichot3.local +153 -110
    manual merge of the result of the test for BUG#19725

  mysql-test/r/rpl_switch_stm_row_mixed.result@1.16, 2007-01-08 23:52:19+01:00, guilhem@gbichot3.local +8 -8
    the bugfix changes results as expected

  mysql-test/t/rpl_sp.test@1.29, 2007-01-08 23:52:19+01:00, guilhem@gbichot3.local +42 -11
    manual merge of the test for BUG#19725

ChangeSet@1.2343.33.43, 2007-01-08 17:48:07-05:00, jas@fluffy.netfrastructure.com +1 -0
  Revert to pad character of \0 for MySQL collations.

  storage/falcon/Field.cpp@1.9, 2007-01-08 17:48:05-05:00, jas@fluffy.netfrastructure.com +2 -1
    Revert to pad character of \0 for MySQL collations.

ChangeSet@1.2343.33.42, 2007-01-08 16:45:38-05:00, jas@rowvwade. +11 -0
  Put in mechanism for collations to report pad characters, and for MySQL collations
  to get pad character from the MySQL internal collation object.

  storage/falcon/Collation.h@1.6, 2007-01-08 16:45:29-05:00, jas@rowvwade. +5 -4
    Put in mechanism for collations to report pad characters, and for MySQL collations
    to get pad character from the MySQL internal collation object.

  storage/falcon/CollationCaseless.cpp@1.6, 2007-01-08 16:45:29-05:00, jas@rowvwade. +5 -0
    Put in mechanism for collations to report pad characters, and for MySQL collations
    to get pad character from the MySQL internal collation object.

  storage/falcon/CollationCaseless.h@1.4, 2007-01-08 16:45:30-05:00, jas@rowvwade. +1 -0
    Put in mechanism for collations to report pad characters, and for MySQL collations
    to get pad character from the MySQL internal collation object.

  storage/falcon/CollationUnknown.cpp@1.5, 2007-01-08 16:45:30-05:00, jas@rowvwade. +8 -0
    Put in mechanism for collations to report pad characters, and for MySQL collations
    to get pad character from the MySQL internal collation object.

  storage/falcon/CollationUnknown.h@1.2, 2007-01-08 16:45:30-05:00, jas@rowvwade. +1 -0
    Put in mechanism for collations to report pad characters, and for MySQL collations
    to get pad character from the MySQL internal collation object.

  storage/falcon/DeferredIndex.cpp@1.12, 2007-01-08 16:45:31-05:00, jas@rowvwade. +2 -2
    Don't worry about index key runs when index has single key.  Sigh

  storage/falcon/Field.cpp@1.8, 2007-01-08 16:45:31-05:00, jas@rowvwade. +1 -1
    Put in mechanism for collations to report pad characters, and for MySQL collations
    to get pad character from the MySQL internal collation object.

  storage/falcon/IndexRootPage.cpp@1.47, 2007-01-08 16:45:31-05:00, jas@rowvwade. +2 -2
    Re-activate assertion for deferred index keys out of order.

  storage/falcon/MySQLCollation.cpp@1.11, 2007-01-08 16:45:32-05:00, jas@rowvwade. +6 -0
    Put in mechanism for collations to report pad characters, and for MySQL collations
    to get pad character from the MySQL internal collation object.

  storage/falcon/MySQLCollation.h@1.5, 2007-01-08 16:45:32-05:00, jas@rowvwade. +7 -4
    Put in mechanism for collations to report pad characters, and for MySQL collations
    to get pad character from the MySQL internal collation object.

  storage/falcon/ha_falcon.cpp@1.101, 2007-01-08 16:45:33-05:00, jas@rowvwade. +5 -0
    Put in mechanism for collations to report pad characters, and for MySQL collations
    to get pad character from the MySQL internal collation object.

ChangeSet@1.1810.2425.6, 2007-01-08 22:01:06+01:00, guilhem@gbichot3.local +3 -0
  Fix for BUG#19725 "Calls to SF in other database are not replicated
  correctly in some cases".
  In short, calls to a stored function located in another database
  than the default database, may fail to replicate if the call was made
  by SET, SELECT, or DO.
  Longer: when a stored function is called from a statement which does not go
  to binlog ("SET @a=somedb.myfunc()", "SELECT somedb.myfunc()",
  "DO somedb.myfunc()"), this crafted statement is binlogged:
  "SELECT myfunc();" (accompanied with a mention of the default database
  if there is one). So, if "somedb" is not the default database,
  the slave would fail to find myfunc(). The fix is to specify the
  function's database name in the crafted binlogged statement, like this:
  "SELECT somedb.myfunc();". Test added in rpl_sp.test.

  mysql-test/r/rpl_sp.result@1.13.2.8, 2007-01-08 22:01:04+01:00, guilhem@gbichot3.local +152 -109
    Because I moved the SHOW BINLOG EVENTS down a bit, big portions of its
    output move. Also, the function's database name appears in
    SELECT statements.

  mysql-test/t/rpl_sp.test@1.9.2.7, 2007-01-08 22:01:04+01:00, guilhem@gbichot3.local +40 -10
    Adding test for BUG#19725.
    Moving the SHOW BINLOG EVENTS down, it is run at the very end to
    test everything.

  sql/sp_head.cc@1.200.7.4, 2007-01-08 22:01:04+01:00, guilhem@gbichot3.local +2 -0
    When binlogging a "SELECT myfunc()" (when a stored function is executed
    inside a statement which does not go to the binlog (like a SET,
    SELECT, DO), we need to write "SELECT db_of_myfunc().myfunc()",
    because the function may be in a database which is not the default
    database.

ChangeSet@1.2343.33.41, 2007-01-08 15:29:52-05:00, jas@rowvwade. +1 -0
  Accept temporary deoptimization to work around bug to get Hakan working.

  storage/falcon/IndexRootPage.cpp@1.46, 2007-01-08 15:29:46-05:00, jas@rowvwade. +2 -2
    Accept temporary deoptimization to work around bug to get Hakan working.

ChangeSet@1.1346.889.1, 2007-01-08 18:33:55+01:00, joerg@trift2. +2 -0
  Changes necessary to build version 4.0.28:
  
  - "make_binary_distribution" accepts a dummy "--platform=" argument.
  
  - "MySQL-shared-compat.spec" uses a "version40" define symbol internally.

  scripts/make_binary_distribution.sh@1.49.1.17, 2007-01-08 18:33:54+01:00, joerg@trift2. +1 -0
    Newer versions of the release build tools call this with a "--platform=" argument
    which we seem not to need in 4.0, but which makes the tool crash (happened on SCO).
    
    Rather than add another version check into the build tools, just accept a "--platform="
    argument and ignore it, just give a message.

  support-files/MySQL-shared-compat.spec.sh@1.4.1.1, 2007-01-08 18:33:54+01:00, joerg@trift2. +5 -5
    The current version of "Do-shared-compat" needs two digits to identify the release families
    (to differ between 4.0 and 4.1), so the variable "version4" must get renamed to "version40".

ChangeSet@1.2380, 2007-01-08 17:27:28+02:00, gkodinov@macbook.local +1 -0
  mi_check.c:
    added a missing DBUG_RETURN

  storage/myisam/mi_check.c@1.155.1.3, 2007-01-08 17:26:26+02:00, gkodinov@macbook.local +1 -1
    added a missing DBUG_RETURN

ChangeSet@1.2372.2.13, 2007-01-08 14:20:35+01:00, mskold@mysql.com +2 -0
  bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Merged up test 5.0 case

  mysql-test/r/ndb_index_ordered.result@1.29, 2007-01-08 14:20:16+01:00, mskold@mysql.com +8 -0
    bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Merged up test 5.0 case

  mysql-test/t/ndb_index_ordered.test@1.32, 2007-01-08 14:20:16+01:00, mskold@mysql.com +9 -0
    bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Merged up test 5.0 case

ChangeSet@1.1810.2398.11, 2007-01-08 13:53:37+01:00, mskold@mysql.com +2 -0
  bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Changed test since error mesage wasn't predictable

  mysql-test/r/ndb_index_ordered.result@1.22.1.2, 2007-01-08 13:53:05+01:00, mskold@mysql.com +3 -4
    bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Changed test since error mesage wasn't predictable

  mysql-test/t/ndb_index_ordered.test@1.25.1.2, 2007-01-08 13:53:05+01:00, mskold@mysql.com +3 -5
    bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Changed test since error mesage wasn't predictable

ChangeSet@1.2372.2.10, 2007-01-08 11:42:32+01:00, mskold@mysql.com +3 -0
  bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Added error checking

  mysql-test/r/ndb_index_ordered.result@1.25.1.1, 2007-01-08 11:41:16+01:00, mskold@mysql.com +9 -0
    bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Added error checking

  mysql-test/t/ndb_index_ordered.test@1.28.1.1, 2007-01-08 11:41:15+01:00, mskold@mysql.com +14 -0
    bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Added error checking

  sql/ha_ndbcluster.cc@1.390, 2007-01-08 11:41:15+01:00, mskold@mysql.com +12 -1
    bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Added error checking

ChangeSet@1.1810.2398.10, 2007-01-08 10:38:53+01:00, mskold@mysql.com +3 -0
  bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Added error checking

  mysql-test/r/ndb_index_ordered.result@1.22.1.1, 2007-01-08 10:38:39+01:00, mskold@mysql.com +9 -0
    bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Added error checking

  mysql-test/t/ndb_index_ordered.test@1.25.1.1, 2007-01-08 10:38:39+01:00, mskold@mysql.com +14 -0
    bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Added error checking

  sql/ha_ndbcluster.cc@1.175.61.6, 2007-01-08 10:38:39+01:00, mskold@mysql.com +10 -0
    bug#24820  CREATE INDEX ....USING HASH on NDB table creates ordered index, not HASH index: Added error checking

ChangeSet@1.2343.33.39, 2007-01-07 13:29:40-05:00, jas@rowvwade. +1 -0
  Remove piece of debugging code.

  storage/falcon/IndexRootPage.cpp@1.45, 2007-01-07 13:29:34-05:00, jas@rowvwade. +0 -3
    Remove piece of debugging code.

ChangeSet@1.2343.33.38, 2007-01-07 13:26:30-05:00, jas@rowvwade. +6 -0
  Use IndexPage::findIndex rather than IndexPage::findIndexNode when preparing to
  do an index update to get correct duplicate handling.

  storage/falcon/Dbb.cpp@1.42, 2007-01-07 13:26:20-05:00, jas@rowvwade. +2 -2
    Bifurcate index calls to current and legacy IndexRootPage calls.

  storage/falcon/Index2Page.cpp@1.4, 2007-01-07 13:26:20-05:00, jas@rowvwade. +2 -1
    Use IndexPage::findIndex rather than IndexPage::findIndexNode when preparing to
    do an index update to get correct duplicate handling.

  storage/falcon/Index2RootPage.cpp@1.3, 2007-01-07 13:26:21-05:00, jas@rowvwade. +2 -1
    Use IndexPage::findIndex rather than IndexPage::findIndexNode when preparing to
    do an index update to get correct duplicate handling.

  storage/falcon/IndexPage.cpp@1.32, 2007-01-07 13:26:21-05:00, jas@rowvwade. +2 -1
    Use IndexPage::findIndex rather than IndexPage::findIndexNode when preparing to
    do an index update to get correct duplicate handling.

  storage/falcon/IndexRootPage.cpp@1.44, 2007-01-07 13:26:22-05:00, jas@rowvwade. +8 -4
    Added debugging instrumentation (commented out) for debugging
    IndexRootPage::indexMerge.

  storage/falcon/SyncObject.cpp@1.11, 2007-01-07 13:26:22-05:00, jas@rowvwade. +10 -0
    Be very care about Thread object state when logging errors while handling
    SyncObjects.

ChangeSet@1.2372.8.6, 2007-01-07 12:21:42-05:00, cmiller@zippy.cornsilk.net +2 -0
  Post-merge cleanup and fix minor BUILD/... "="-equality syntax 
  error.

  BUILD/SETUP.sh@1.66, 2007-01-07 12:21:39-05:00, cmiller@zippy.cornsilk.net +1 -1
    Use POSIX "=" equality shell test.

  mysql-test/r/view.result@1.196, 2007-01-07 12:21:39-05:00, cmiller@zippy.cornsilk.net +4 -4
    Revert year drift.

ChangeSet@1.2367.1.5, 2007-01-06 18:40:43-05:00, cmiller@zippy.cornsilk.net +1 -0
  Forgot to add result file to changeset.  :(

  mysql-test/r/ndb_binlog_ignore_db.result@1.5, 2007-01-06 18:40:41-05:00, cmiller@zippy.cornsilk.net +1 -0
    Forgot to add result file to changeset.  :(

ChangeSet@1.2367.1.4, 2007-01-06 18:32:55-05:00, cmiller@zippy.cornsilk.net +2 -0
  Use relative dates so that the tests don't fail when the year
  changes.

  mysql-test/r/view.result@1.193.2.1, 2007-01-06 18:32:53-05:00, cmiller@zippy.cornsilk.net +3 -3
    Use relative dates so that the tests don't fail when the year
    changes.

  mysql-test/t/view.test@1.176, 2007-01-06 18:32:53-05:00, cmiller@zippy.cornsilk.net +3 -3
    Use relative dates so that the tests don't fail when the year
    changes.

ChangeSet@1.2367.1.3, 2007-01-06 12:34:16-05:00, cmiller@zippy.cornsilk.net +1 -0
  A writability test in a prereq file polluted the binlog.  
  
  Reset the info after using those files.

  mysql-test/t/ndb_binlog_ignore_db.test@1.4, 2007-01-06 12:34:14-05:00, cmiller@zippy.cornsilk.net +1 -0
    Reset the binlog after we include several files that have little 
    to do with this test.

ChangeSet@1.2343.63.4, 2007-01-06 13:06:29+01:00, hakank@lu0008.wdf.sap.corp +1 -0
  Forgot to disable failing test.

  mysql-test/t/disabled.def@1.257, 2007-01-06 13:06:25+01:00, hakank@lu0008.wdf.sap.corp +1 -0
    Disabled failing falcon_bug_23818_B.test.

ChangeSet@1.2343.63.3, 2007-01-06 12:25:42+01:00, hakank@lu0008.wdf.sap.corp +2 -0
  New failing test for BUG#23818.

  mysql-test/r/falcon_bug_23818_B.result@1.1, 2007-01-06 12:25:35+01:00, hakank@lu0008.wdf.sap.corp +7 -0
    Result file for test.

  mysql-test/r/falcon_bug_23818_B.result@1.0, 2007-01-06 12:25:35+01:00, hakank@lu0008.wdf.sap.corp +0 -0

  mysql-test/t/falcon_bug_23818_B.test@1.1, 2007-01-06 12:25:36+01:00, hakank@lu0008.wdf.sap.corp +35 -0
    New failing test for BUG#23818.

  mysql-test/t/falcon_bug_23818_B.test@1.0, 2007-01-06 12:25:36+01:00, hakank@lu0008.wdf.sap.corp +0 -0

ChangeSet@1.2372.8.4, 2007-01-05 22:28:53-08:00, brian@zim.(none) +2 -0
  Fix for when shell version of mysql-test-run is called. 

  mysql-test/t/warnings-master.opt@1.6, 2007-01-05 22:28:50-08:00, brian@zim.(none) +1 -0
    Added skip-innodb option (which was what it once was...)

  mysql-test/t/warnings.test@1.29.1.2, 2007-01-05 22:28:50-08:00, brian@zim.(none) +0 -2
    Removed un-needed variable setting. Bug only had to do with unterimated string. 

ChangeSet@1.2372.8.3, 2007-01-05 20:20:53-08:00, brian@zim.(none) +2 -0
  Cleaning up warning for windows. Innodb is compiled but disable on Windows, so it should be fine. NDB wasn't compiled in, which is what caused the issue. 

  mysql-test/r/warnings.result@1.54.3.1, 2007-01-05 20:20:50-08:00, brian@zim.(none) +2 -2
    Modified warning to work with Windows

  mysql-test/t/warnings.test@1.29.1.1, 2007-01-05 20:20:50-08:00, brian@zim.(none) +2 -2
    Moved warning to use Innodb. 

ChangeSet@1.2343.33.37, 2007-01-05 11:12:42-05:00, jas@rowvwade. +1 -0
  Add more debugging information (work in progress).

  storage/falcon/IndexRootPage.cpp@1.43, 2007-01-05 11:12:37-05:00, jas@rowvwade. +8 -12
    Add more debugging information (work in progress).

ChangeSet@1.2343.33.36, 2007-01-05 11:03:43-05:00, jas@rowvwade. +1 -0
  Put in some statistics gathering into the index merge code.

  storage/falcon/IndexRootPage.cpp@1.42, 2007-01-05 11:03:38-05:00, jas@rowvwade. +22 -1
    Put in some statistics gathering into the index merge code.

ChangeSet@1.1616.2924.2, 2007-01-05 16:53:03+01:00, kent@mysql.com +2 -0
  mysql.spec.sh, make_binary_distribution.sh:
    Add CFLAGS to gcc call with --print-libgcc-file, to make sure the
    correct "libgcc.a" path is returned for the 32/64 bit architecture

  scripts/make_binary_distribution.sh@1.55.8.8, 2007-01-05 16:51:46+01:00, kent@mysql.com +1 -1
    Add CFLAGS to gcc call with --print-libgcc-file, to make sure the
    correct "libgcc.a" path is returned for the 32/64 bit architecture

  support-files/mysql.spec.sh@1.83.1.45, 2007-01-05 16:52:04+01:00, kent@mysql.com +6 -1
    Add CFLAGS to gcc call with --print-libgcc-file, to make sure the
    correct "libgcc.a" path is returned for the 32/64 bit architecture

ChangeSet@1.2343.33.35, 2007-01-05 10:46:31-05:00, jas@rowvwade. +1 -0
  Work on massive duplicate performance bug.

  storage/falcon/IndexRootPage.cpp@1.41, 2007-01-05 10:46:25-05:00, jas@rowvwade. +2 -1
    Work on massive duplicate performance bug.

ChangeSet@1.1810.2462.3, 2007-01-05 15:33:39+01:00, tomas@poseidon. +3 -0
  remove unused errorcode
  corrected previous patch removing  "if (signal)", which should acually be "if (signum)"

  ndb/src/common/debugger/EventLogger.cpp@1.21.8.1, 2007-01-05 15:33:32+01:00, tomas@poseidon. +2 -1
    corrected previous patch removing  "if (signal)", which should acually be "if (signum)"

  ndb/src/kernel/blocks/dbtc/Dbtc.hpp@1.26.12.1, 2007-01-05 15:33:32+01:00, tomas@poseidon. +0 -1
    remove unused errorcode

  ndb/src/ndbapi/ndberror.c@1.30.37.1, 2007-01-05 15:33:32+01:00, tomas@poseidon. +0 -1
    remove unused errorcode

ChangeSet@1.1810.2468.1, 2007-01-05 14:02:50+02:00, gkodinov@macbook.gmz +3 -0
  Bug #15881: cast problems
    The optimizer removes expressions from GROUP BY/DISTINCT
    if they happen to participate in a <expression> = <const>
    predicates of the WHERE clause (the idea being that if
    it's always equal to a constant it can't have multiple 
    values).
    However for predicates where the expression and the 
    constant item are of different result type this is not
    valid (e.g. a string column compared to 0).
    Fixed by additional check of the result types of the 
    expression and the constant and if they differ the 
    expression don't get removed from the group by list.

  mysql-test/r/distinct.result@1.46.1.4, 2007-01-05 14:02:43+02:00, gkodinov@macbook.gmz +37 -0
    Bug #15881: cast problems
      - test case

  mysql-test/t/distinct.test@1.29, 2007-01-05 14:02:44+02:00, gkodinov@macbook.gmz +21 -0
    Bug #15881: cast problems
      - test case

  sql/sql_select.cc@1.312.117.6, 2007-01-05 14:02:45+02:00, gkodinov@macbook.gmz +42 -2
    Bug #15881: cast problems
      - can't use <expr>=<const> to remove GROUP BY/DISTINCT cols
        if they're not of the same type.

ChangeSet@1.1616.2881.34, 2007-01-05 10:26:51+01:00, istruewing@chilla.local +3 -0
  Bug#24607 - MyISAM pointer size determined incorrectly
  
  The function mi_get_pointer_length() computed too small
  pointer size for very large tables.
  
  Inserted missing 'else' between the branches for very
  large tables.

  mysql-test/r/myisam.result@1.45.10.2, 2007-01-05 10:26:50+01:00, istruewing@chilla.local +5 -0
    Bug#24607 - MyISAM pointer size determined incorrectly
    Added the test result.

  mysql-test/t/myisam.test@1.33.12.2, 2007-01-05 10:26:50+01:00, istruewing@chilla.local +8 -0
    Bug#24607 - MyISAM pointer size determined incorrectly
    Added the test.

  myisam/mi_create.c@1.37.1.13, 2007-01-05 10:26:50+01:00, istruewing@chilla.local +7 -6
    Bug#24607 - MyISAM pointer size determined incorrectly
    Inserted missing 'else' between the branches for very
    large tables.
    Harmonized literals "(longlong) 1" and "1L" to "ULL(1)"
    where they are used for "ulonglong file_length".

ChangeSet@1.2367.3.1, 2007-01-04 19:51:34-07:00, tsmith@siva.hindu.god +27 -0
  Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
  
  Fixes:
  - Bug #24712: SHOW TABLE STATUS for file-per-table showing incorrect time fields
  - Bug #24386: Performance degradation caused by instrumentation in mutex_struct
  - Bug #24190: many exportable definitions of field_in_record_is_null
  - Bug #21468: InnoDB crash during recovery with corrupted data pages: XA bug?

  storage/innobase/buf/buf0buf.c@1.62.1.1, 2007-01-04 19:51:29-07:00, tsmith@siva.hindu.god +10 -10
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1045:
    buf_page_init_for_read(): Correct the indentation.

  storage/innobase/buf/buf0flu.c@1.38, 2007-01-04 19:51:29-07:00, tsmith@siva.hindu.god +2 -0
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1038:
    Port r983 from branches/zip: Enclose some more debug code in
    #ifdef UNIV_SYNC_DEBUG to allow the code to be built
    with UNIV_DEBUG but without UNIV_SYNC_DEBUG.

  storage/innobase/dict/dict0dict.c@1.94.1.1, 2007-01-04 19:51:29-07:00, tsmith@siva.hindu.god +13 -34
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1124:
    Unify dict_table_get_and_increment_handle_count() with dict_table_get() by
    adding a second parameter, adjust callers.

  storage/innobase/ha/ha0ha.c@1.20.1.1, 2007-01-04 19:51:29-07:00, tsmith@siva.hindu.god +7 -5
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1039:
    Port r1034 from branches/zip: Remove some instrumentation and reduce
    the output of SHOW MUTEX STATUS in non-debug builds.  (Bug #24386)

  storage/innobase/ha/hash0hash.c@1.7.1.1, 2007-01-04 19:51:29-07:00, tsmith@siva.hindu.god +7 -5
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1039:
    Port r1034 from branches/zip: Remove some instrumentation and reduce
    the output of SHOW MUTEX STATUS in non-debug builds.  (Bug #24386)

  storage/innobase/handler/ha_innodb.cc@1.279.1.39, 2007-01-04 19:51:29-07:00, tsmith@siva.hindu.god +51 -59
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1028:
    Merge a change from MySQL AB.
    
    ChangeSet
      2006/11/10 17:22:43+02:00 aelkin@dsl-hkibras-fe30f900-107.dhcp.inet.fi 
      Bug #24190  many exportable definitions of field_in_record_is_null
      
      mysql had several(2) exportable definitions of field_in_record_is_null function.
      
      Fixed with adding static.
    
    storage/innobase/handler/ha_innodb.cc
      2006/11/10 17:22:36+02:00 aelkin@dsl-hkibras-fe30f900-107.dhcp.inet.fi +1 -1
      made static
    
    
    Revision r1008:
    Minor cleanup.
    
    ha_innobase::rnd_pos(): Use correct format in DBUG_PRINT statements.
    
    buf_page_release(): Remove the local variable buf_fix_count.
    
    
    Revision r1039:
    Port r1034 from branches/zip: Remove some instrumentation and reduce
    the output of SHOW MUTEX STATUS in non-debug builds.  (Bug #24386)
    
    
    Revision r1124:
    Unify dict_table_get_and_increment_handle_count() with dict_table_get() by
    adding a second parameter, adjust callers.
    
    Revision r1134:
    Fix a potential bug in ha_innodb.cc:innobase_query_is_update() where the
    function can be called with "current_thd == NULL". Minor non-functional fix
    in log0recv.c
    
    
    Revision r1098:
    Fix bug #24712: SHOW TABLE STATUS for file-per-table showing incorrect
    time fields
    
    
    Revision r1109:
    ha_innodb.cc: Remove unused define MAX_ULONG_BIT.

  storage/innobase/include/btr0sea.h@1.13, 2007-01-04 19:51:29-07:00, tsmith@siva.hindu.god +1 -1
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1088:
    Replace the Latin abbreviation "cf." in comments.

  storage/innobase/include/buf0buf.ic@1.29, 2007-01-04 19:51:29-07:00, tsmith@siva.hindu.god +1 -4
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1008:
    Minor cleanup.
    
    ha_innobase::rnd_pos(): Use correct format in DBUG_PRINT statements.
    
    buf_page_release(): Remove the local variable buf_fix_count.

  storage/innobase/include/data0type.ic@1.33, 2007-01-04 19:51:29-07:00, tsmith@siva.hindu.god +2 -2
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1088:
    Replace the Latin abbreviation "cf." in comments.

  storage/innobase/include/dict0dict.h@1.49, 2007-01-04 19:51:29-07:00, tsmith@siva.hindu.god +8 -14
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1124:
    Unify dict_table_get_and_increment_handle_count() with dict_table_get() by
    adding a second parameter, adjust callers.

  storage/innobase/include/ha0ha.h@1.12, 2007-01-04 19:51:29-07:00, tsmith@siva.hindu.god +12 -5
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1039:
    Port r1034 from branches/zip: Remove some instrumentation and reduce
    the output of SHOW MUTEX STATUS in non-debug builds.  (Bug #24386)

  storage/innobase/include/hash0hash.h@1.9.1.1, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +12 -4
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1039:
    Port r1034 from branches/zip: Remove some instrumentation and reduce
    the output of SHOW MUTEX STATUS in non-debug builds.  (Bug #24386)

  storage/innobase/include/sync0rw.h@1.20, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +18 -4
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1039:
    Port r1034 from branches/zip: Remove some instrumentation and reduce
    the output of SHOW MUTEX STATUS in non-debug builds.  (Bug #24386)

  storage/innobase/include/sync0sync.h@1.31, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +40 -25
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1038:
    Port r983 from branches/zip: Enclose some more debug code in
    #ifdef UNIV_SYNC_DEBUG to allow the code to be built
    with UNIV_DEBUG but without UNIV_SYNC_DEBUG.
    
    
    Revision r1037:
    Port r972 from branches/zip: Enclose some debug code in #ifdef UNIV_SYNC_DEBUG.
    The code was previously unused in non-debug builds.
    
    
    Revision r1039:
    Port r1034 from branches/zip: Remove some instrumentation and reduce
    the output of SHOW MUTEX STATUS in non-debug builds.  (Bug #24386)
    
    
    Revision r1084:
    Remove the unused constants SYNC_INFINITE_TIME and SYNC_TIME_EXCEEDED.

  storage/innobase/include/sync0sync.ic@1.23, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +2 -2
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1039:
    Port r1034 from branches/zip: Remove some instrumentation and reduce
    the output of SHOW MUTEX STATUS in non-debug builds.  (Bug #24386)

  storage/innobase/include/univ.i@1.60, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +19 -11
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1006:
    Introduce #define UNIV_LIST_DEBUG for enabling the debug code in
    UT_LIST_REMOVE_CLEAR().
    
    
    Revision r1088:
    Replace the Latin abbreviation "cf." in comments.
    
    
    Revision r1083:
    univ.i: Document the debug flags (UNIV_DEBUG et al).

  storage/innobase/include/ut0lst.h@1.5, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +1 -1
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1006:
    Introduce #define UNIV_LIST_DEBUG for enabling the debug code in
    UT_LIST_REMOVE_CLEAR().

  storage/innobase/lock/lock0lock.c@1.70.1.1, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +0 -4
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1009:
    Remove duplicate printing of row lock counts in SHOW INNODB STATUS, and in
    the remaining print, add a comma so it doesn't get combined with the heap
    size. Both problems were introduced in r383.

  storage/innobase/log/log0recv.c@1.63.1.1, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +12 -0
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1134:
    Fix a potential bug in ha_innodb.cc:innobase_query_is_update() where the
    function can be called with "current_thd == NULL". Minor non-functional fix
    in log0recv.c
    
    
    Revision r1078:
    Merge r1067:1077 from branches/5.0:
    
    innobase_start_or_create_for_mysql(): Remove unnecessary delay now that
    we moved the setting sync_order_checks_on=TRUE to log0recv.c,
    to the start of the rollback phase in crash recovery.
    
    Fix assertion failure sync0sync.c line 1239
    (the latter ut_error in sync_thread_reset_level())
    in crash recovery when UNIV_SYNC_DEBUG is enabled.
    
    
    Revision r1080:
    Merge r1079 from branches/5.0:
    
    recv_recovery_from_checkpoint_finish(): Add 1 sec delay
    before switching on the sync order checks in crash recovery, so that
    file I/O threads have time to suspend themselves.

  storage/innobase/row/row0ins.c@1.83, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +2 -1
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1124:
    Unify dict_table_get_and_increment_handle_count() with dict_table_get() by
    adding a second parameter, adjust callers.

  storage/innobase/row/row0sel.c@1.115, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +7 -1
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1038:
    Port r983 from branches/zip: Enclose some more debug code in
    #ifdef UNIV_SYNC_DEBUG to allow the code to be built
    with UNIV_DEBUG but without UNIV_SYNC_DEBUG.
    
    
    Revision r1124:
    Unify dict_table_get_and_increment_handle_count() with dict_table_get() by
    adding a second parameter, adjust callers.

  storage/innobase/row/row0upd.c@1.47, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +2 -1
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1124:
    Unify dict_table_get_and_increment_handle_count() with dict_table_get() by
    adding a second parameter, adjust callers.

  storage/innobase/srv/srv0start.c@1.104, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +0 -11
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1038:
    Port r983 from branches/zip: Enclose some more debug code in
    #ifdef UNIV_SYNC_DEBUG to allow the code to be built
    with UNIV_DEBUG but without UNIV_SYNC_DEBUG.
    
    
    Revision r1078:
    Merge r1067:1077 from branches/5.0:
    
    innobase_start_or_create_for_mysql(): Remove unnecessary delay now that
    we moved the setting sync_order_checks_on=TRUE to log0recv.c,
    to the start of the rollback phase in crash recovery.
    
    Fix assertion failure sync0sync.c line 1239
    (the latter ut_error in sync_thread_reset_level())
    in crash recovery when UNIV_SYNC_DEBUG is enabled.
    
    
    Revision r1070:
    Remove another accidentally committed change to srv0start.c.
    The change was accidentally committed with the merge in r1068.
    This revision corresponds to r1051 with a properly merged
    r1067 of branches/5.0.
    
    
    Revision r1068:
    Merge r1067 from branches/5.0:
    
    trx_rollback_for_mysql(), trx_commit_for_mysql():
    Protect the creation of trx_dummy_sess with kernel_mutex.
    This error was introduced in r1046 and r1050.
    
    
    Revision r1069:
    Remove an accidentally committed change to srv0start.c.
    The change was accidentally committed with the merge in r1068.

  storage/innobase/sync/sync0rw.c@1.29, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +9 -6
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1039:
    Port r1034 from branches/zip: Remove some instrumentation and reduce
    the output of SHOW MUTEX STATUS in non-debug builds.  (Bug #24386)

  storage/innobase/sync/sync0sync.c@1.46, 2007-01-04 19:51:30-07:00, tsmith@siva.hindu.god +61 -56
    Applied innodb-5.1-ss1039 and innodb-5.1-ss1134 snapshots.
    
    Revision r1038:
    Port r983 from branches/zip: Enclose some more debug code in
